<?php
if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

function envo_ms_cookie_notification() {
    
    global $current_user;
                    
    if ( is_user_logged_in() ) {                

        $cUserName = $current_user->display_name;
        
    }else {
        
        $cUserName = 'unknown_visitor';
        
    }

    function envo_get_visitor_ip2()  {
        $ip = '';
        if (getenv('HTTP_CLIENT_IP'))
            $ip = getenv('HTTP_CLIENT_IP');
        else if(getenv('HTTP_X_FORWARDED_FOR'))
            $ip = getenv('HTTP_X_FORWARDED_FOR');
        else if(getenv('HTTP_X_FORWARDED'))
            $ip = getenv('HTTP_X_FORWARDED');
        else if(getenv('HTTP_FORWARDED_FOR'))
            $ip = getenv('HTTP_FORWARDED_FOR');
        else if(getenv('HTTP_FORWARDED'))
            $ip = getenv('HTTP_FORWARDED');
        else if(getenv('REMOTE_ADDR'))
            $ip = getenv('REMOTE_ADDR');
        else
            $ip = 'none';
      
        return $ip;
    }
    
    $ip_address = envo_get_visitor_ip2();
if ($ip_address == "::1") {
    $country_name = 'Unknown';
} else {
    $api_url = 'http://getcitydetails.geobytes.com/GetCityDetails?fqcn=' . $ip_address;

    $ch = curl_init($api_url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

    $json = curl_exec($ch);

    if ($json === false) {
        echo 'Error fetching data from the API: ' . curl_error($ch);
    } else {
        curl_close($ch);

    

        $data = json_decode($json);

        // Check if the property exists before accessing it
        $country_name = isset($data->geobytescountry) ? $data->geobytescountry : 'Unknown';
    }
}


    
    if(get_field('ms_enable_cookie_notification', 'option') && (isset($_COOKIE[$cUserName]) == FALSE)) {
        
        //get value of display page status
        $display_page = get_field('cookie_notification_display_on', 'option');
        
        //get value of display country status
        $display_country = get_field('cookie_notification_display_on_countries', 'option');
        
        //get the urls of which pages to show or not
        $show_on_page_urls = get_field('cookie_notification_pages_to_show_on', 'option');
        $hide_on_page_urls = get_field('cookie_notification_pages_not_to_show_on', 'option');
        
        //get the country name of which pages to show or not
        $show_on_country_names = get_field('cookie_notification_countries_to_show_on', 'option');
        $hide_on_country_names = get_field('cookie_notification_countries_to_not_show_on', 'option');
        
        if($display_country == 'all') {
            //show all countries
            
            if($display_page == 'all') {
                //show all pages
                include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                
            }elseif($display_page == 'selected') {
               //show selected pages only
            
               $current_url = esc_url(untrailingslashit(trim(get_page_link())));
            
               foreach($show_on_page_urls as $each_url) {
                   $target_url = esc_url(untrailingslashit(trim($each_url['cookie_notification_individual_urls'])));
                   if($current_url == $target_url) {
                       include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                   }
               }
            
            }elseif($display_page == 'not_selected') {
                //hide selected pages only
                
                $current_url = esc_url(untrailingslashit(trim(get_page_link())));
                
                foreach($hide_on_page_urls as $each_url) {
                   $target_url = esc_url(untrailingslashit(trim($each_url['cookie_notification_dont_individual_urls'])));
                   if($current_url != $target_url) {
                       include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                   }
                }
            }
        }elseif($display_country == 'selected') {
            $current_country = str_replace(' ', '_', $country_name);
                
            foreach($show_on_country_names as $each_country) {
                
                if($current_country == $each_country) {
                    
                    if($display_page == 'all') {
                        //show all pages
                        include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                        
                    }elseif($display_page == 'selected') {
                       //show selected pages only
                    
                       $current_url = esc_url(untrailingslashit(trim(get_page_link())));
                    
                       foreach($show_on_page_urls as $each_url) {
                           $target_url = esc_url(untrailingslashit(trim($each_url['cookie_notification_individual_urls'])));
                           if($current_url == $target_url) {
                               include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                           }
                       }
                    
                    }elseif($display_page == 'not_selected') {
                        //hide selected pages only
                        
                        $current_url = esc_url(untrailingslashit(trim(get_page_link())));
                        
                        foreach($hide_on_page_urls as $each_url) {
                           $target_url = esc_url(untrailingslashit(trim($each_url['cookie_notification_dont_individual_urls'])));
                           if($current_url != $target_url) {
                               include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                           }
                        }
                    } 
                    
                }
            }
               
        }elseif($display_country == 'not_selected') {
            $current_country = str_replace(' ', '_', $country_name);
                
            foreach($hide_on_country_names as $each_country) {
                
                if($current_country == $each_country) {
                    
                    if($display_page == 'all') {
                        //show all pages
                        include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                        
                    }elseif($display_page == 'selected') {
                       //show selected pages only
                    
                       $current_url = esc_url(untrailingslashit(trim(get_page_link())));
                    
                       foreach($show_on_page_urls as $each_url) {
                           $target_url = esc_url(untrailingslashit(trim($each_url['cookie_notification_individual_urls'])));
                           if($current_url == $target_url) {
                               include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                           }
                       }
                    
                    }elseif($display_page == 'not_selected') {
                        //hide selected pages only
                        
                        $current_url = esc_url(untrailingslashit(trim(get_page_link())));
                        
                        foreach($hide_on_page_urls as $each_url) {
                           $target_url = esc_url(untrailingslashit(trim($each_url['cookie_notification_dont_individual_urls'])));
                           if($current_url != $target_url) {
                               include_once (dirname(__FILE__) . "/inc/cookie_notification/cookie-notification-front.php");
                           }
                        }
                    } 
                    
                }
            }
               
        }
    
    }

}
add_action('wp_footer', 'envo_ms_cookie_notification');

function envo_my_acf_prepare_field( $field ) {
    if ( is_admin() ) :
?>

<?php
global $wpdb;

$table_name = $wpdb->prefix . "cookie_info";

$retrieve_data = $wpdb->get_results( "SELECT * FROM $table_name ORDER BY id DESC" );
?>

<table id="cookie-info-table" class="table table-striped table-bordered" cellspacing="0" width="100%">
<thead>
    <tr>
        <th><?php echo  esc_html("ID")?></th>
        <th><?php echo  esc_html("Name")?></th>
        <th><?php echo  esc_html("Email")?></th>
        <th><?php echo  esc_html("Country")?></th>
        <th><?php echo  esc_html("IP")?></th>
        <th><?php echo  esc_html("Time")?></th>
    </tr>
</thead>
<tfoot>
    <tr>
        <th><?php echo  esc_html("ID")?></th>
        <th><?php echo  esc_html("User Name")?></th>
        <th><?php echo  esc_html("User Email")?></th>
        <th><?php echo  esc_html("Country")?></th>
        <th><?php echo  esc_html("IP address")?></th>
        <th><?php echo  esc_html("Time")?></th>
    </tr>
</tfoot>
<tbody>
<?php foreach ($retrieve_data as $retrieved_data){ ?>
    <tr>
        <td><?php echo  esc_html($retrieved_data->id);?></td>
        <td><?php echo  esc_html($retrieved_data->cookie_name);?></td>
        <td><?php echo  esc_html($retrieved_data->cookie_value);?></td>
        <td><?php echo  esc_html($retrieved_data->country_name);?></td>
        <td><?php echo  esc_html($retrieved_data->ip_address);?></td>
        <td><?php echo  esc_html($retrieved_data->cookie_time);?></td>
    </tr>
<?php 
}
?>
</tbody>
</table>

<?php
    endif;
    return $field;
}

add_filter('acf/prepare_field/key=field_TdnmTTvZu9d7IfcO', 'envo_my_acf_prepare_field');
?>