<?php
if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

// _______ INTEGRATE MAILCHIMP BY paxaron.com 
function envo_syncMailchimp($data,$apiKey=null, $listId=null) {

  $apiKey = $apiKey;
  $listId = $listId;

  $memberId = md5(strtolower($data['email']));
  $dataCenter = substr($apiKey,strpos($apiKey,'-')+1);
  $url = 'https://' . $dataCenter . '.api.mailchimp.com/3.0/lists/' . $listId . '/members/' . $memberId;

  $json = json_encode([
      'email_address' => $data['email'],
      'status'        => $data['status'], // "subscribed","unsubscribed","cleaned","pending"
      'merge_fields'  => [
          'FNAME'     => $data['firstname'],
          'LNAME'     => $data['lastname']
      ]
  ]);

  $ch = curl_init($url);

  curl_setopt($ch, CURLOPT_USERPWD, 'user:' . $apiKey);
  curl_setopt($ch, CURLOPT_HTTPHEADER, ['Content-Type: application/json']);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_TIMEOUT, 10);
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'PUT');
  curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
  curl_setopt($ch, CURLOPT_POSTFIELDS, $json);                                                                                                                 

  $result = curl_exec($ch);
  $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
  curl_close($ch);

  return $httpCode; //if return 200 then working
}

// _______ INTEGRATE MAILERLITE BY paxaron.com 
function envo_syncMailerlite($data,$apiKey=null, $group_id=null) {
require_once "mailerLiteApi/vendor/autoload.php";

$groupsApi = (new \MailerLiteApi\MailerLite($apiKey))->groups();
define("groupId", $group_id);// NCTEAM GROUP


  
$subscriber = [
  'email' => $data['email'],
  'name' => $data['firstname']
];
$addedSubscriber = $groupsApi->addSubscriber(groupId, $subscriber); // return
}

// _______ INTEGRATE SENDINBLUE BY paxaron.com 
function envo_syncSendInBlue($data, $apiKey=null, $groupId=0, $partnerKey=null) {
require_once('vendor/autoload.php');

// Configure API key authorization: api-key
// $config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', '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');
$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('api-key', $apiKey);

// Uncomment below line to configure authorization using: partner-key
// $config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('partner-key', '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');
$config = SendinBlue\Client\Configuration::getDefaultConfiguration()->setApiKey('partner-key', $partnerKey);

$apiInstance = new SendinBlue\Client\Api\ContactsApi(
    // If you want use custom http client, pass your client which implements `GuzzleHttp\ClientInterface`.
    // This is optional, `GuzzleHttp\Client` will be used as default.
    new GuzzleHttp\Client(),
    $config
);

$createContact = new \SendinBlue\Client\Model\CreateContact(); 
// \SendinBlue\Client\Model\CreateContact | Values to create a contact

$createContact['email'] = $data['email'];
$createContact['attributes'] = array( 'FIRSTNAME'=>$data['firstname'], 'LASTNAME'=>'');
$createContact['listIds'] = array($groupId); 
$createContact['emailBlacklisted'] = false;
$createContact['smsBlacklisted'] = false;
$createContact['updateEnabled'] = false;

try {
    $result = $apiInstance->createContact($createContact);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling ContactsApi->createContact: ', $e->getMessage(), PHP_EOL;
}
}

function envo_syncgetrespponce($data2, $apiKey=0, $campaignId=0)
{
    $url = "https://api.getresponse.com/v3/contacts";

    $headers = array();
    // $headers[] = "X-Auth-Token: api-key yk9pw5cln4ib1c0rs3zp23ps2viyy0xg";
    $headers[] = "X-Auth-Token: api-key ".$apiKey;
    $headers[] = "Content-Type:application/json";

      $data = array(
        'name' => $data2['firstname'],
        'email' => $data2['email'],
        // 'campaign' => array('campaignId' => 'W6gSr')
        'campaign' => array('campaignId' => $campaignId)
    );
    $payload = json_encode($data);
    
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
    $result = curl_exec($ch);
}

?>

<?php $id = '#modal-popup'.$ms_popup_atts['id'] ?>

<style type="text/css">
  <?php echo $id; ?> .ms-popup-form form .ms-popup-form-input input,
  <?php echo $id; ?> .ms-popup-form form .ms-popup-form-input input::placeholder {
    color: <?php the_field( 'ms_popup_form_input_color', $ms_popup_atts['id'] ); ?> !important;
    background-color: <?php the_field( 'ms_popup_form_input_back_color', $ms_popup_atts['id'] ); ?> !important;
  }
  <?php echo $id; ?> .ms-popup-form-submit input {
    color: <?php the_field( 'ms_popup_form_submit_text_color', $ms_popup_atts['id'] ); ?> !important;
    background-color: <?php the_field( 'ms_popup_form_submit_background_color', $ms_popup_atts['id'] ); ?> !important;
  }
  
</style>

<?php
  //coupon code
  if( get_field( 'ms_popup_enable_coupon_code', $ms_popup_atts['id'] ) ) {
    if( get_field( 'ms_popup_use_form_or_anything_custom', $ms_popup_atts['id']  ) ) {
      ?>

      <?php if( isset( $_POST['ms-popup-form-submit'] ) ) : ?>
        <script type="text/javascript">
          parent.document.getElementById("ms-popup-coupon-code").style.display = "block";
        </script>
      <?php endif; ?>
      <?php
    }
    ?>
    
    <?php

  }
  
?>
<div class="ms-popup-form ms-mt-4 ">
  <iframe id="ms-popup-form-iframe" class="ms-d-none" name="ms-popup-form-iframe" no-referrer></iframe>
  <form id="ms-popup-form" action="" method="post" autocomplete="off" target="ms-popup-form-iframe" validate>
    <div class="ms-popup-form-input">
      <input type="text" name="ms-popup-name" placeholder="Your name" required="">
    </div>
    <div class="ms-popup-form-input">
      <input type="email" name="ms-popup-email" placeholder="Your email" required="">
    </div>
    <div class="ms-popup-form-submit">
      <input type="submit" name="ms-popup-form-submit" onclick="envo_updateAnalyticPopup('simple_form')" >
    </div>
  </form>
  <h3 class="w-100 ms-mt-0 ms-text-center" id="ms-popup-subscriber-confirmation">
    <?php 
      the_field( 'ms_popup_form_success_message', $ms_popup_atts['id'] );     
     ?>
  </h3>
</div>

<?php

    if ( isset( $_POST['ms-popup-form-submit'] ) ){

        global $wpdb;

        // save the popup data in database

        $popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
        $ms_popup_data=array(
            'popup_id' => $ms_popup_atts['id'],
          'ms_popup_name' => $_POST['ms-popup-name'],
            'ms_popup_email' => $_POST['ms-popup-email'],
            'ms_popup_time' => current_time( 'mysql' )
        );
        $wpdb->insert($popup_subscribers, $ms_popup_data);
        
        // Send mail notification

        $popup_name = $_POST['ms-popup-name'];
        $popup_to = $_POST['ms-popup-email'];
        $popup_subject = "Promotion Offer";
        $popup_body = "Hi $popup_name, Thank you for subscribing.";
        $headers = array("Content-Type: text/html; charset = utf-8");

if( get_field( 'ms_popup_use_email_integration', $ms_popup_atts['id'] )) 
{
    $EmailOptions = get_field( 'ms_popup_email_integraion_options', $ms_popup_atts['id']);
    $api_subscribers = 'email_integration';
    
    // _______ INTEGRATE MAILCHIMP BY paxaron.com 
    $data = [
      'email'     => $popup_to,
      'status'    => 'subscribed',
      'firstname' => $popup_name ,
      'lastname'  => ''
    ];

    // _______ INTEGRATE MAILCHIMP BY paxaron.com 
    if( in_array( 'MailChimp', $EmailOptions) || in_array( 'all', $EmailOptions)) 
    {
     
      $apiKey = get_field( 'ms_popup_mailchimp_auth_key', $ms_popup_atts['id']);
      $listId = get_field( 'ms_popup_mailchimp_list_id', $ms_popup_atts['id']);

      envo_syncMailchimp($data, $apiKey, $listId);

        $popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
        $ms_popup_data=array(
          'popup_id' => $ms_popup_atts['id'],
          'ms_popup_name' => $_POST['ms-popup-name'],
          'ms_popup_email' => $_POST['ms-popup-email'],
          'api' => 'MailChimp',
          'ms_popup_time' => current_time( mysql )
        );
        $wpdb->insert($popup_subscribers, $ms_popup_data);

    }

    // _______ INTEGRATE MAILERLITE BY paxaron.com 
    if( in_array( 'Mailerlite', $EmailOptions) || in_array( 'all', $EmailOptions)) 
    {
     
      $apiKey = get_field( 'ms_popup_mailerlite_auth_key', $ms_popup_atts['id']);
      $groupId = get_field( 'ms_popup_mailerlite_list_id', $ms_popup_atts['id']);
      envo_syncMailerlite($data, $apiKey, $groupId);

        $popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
        $ms_popup_data=array(
          'popup_id' => $ms_popup_atts['id'],
          'ms_popup_name' => $_POST['ms-popup-name'],
          'ms_popup_email' => $_POST['ms-popup-email'],
          'api' => 'MailerLite',
          'ms_popup_time' => current_time( mysql )
        );
        $wpdb->insert($popup_subscribers, $ms_popup_data);
    }

    // _______ INTEGRATE SENDINBLUE BY paxaron.com 
    if( in_array( 'SendinBlue', $EmailOptions) || in_array( 'all', $EmailOptions)) 
    {
     
      $apiKey = get_field( 'ms_popup_sendInBlue_auth_key', $ms_popup_atts['id']);
      $groupId = get_field( 'ms_popup_sendInBlue_group_id', $ms_popup_atts['id']);
      $partnerKey = get_field( 'ms_popup_sendInBlue_partner_key', $ms_popup_atts['id']);

      envo_syncSendInBlue($data, $apiKey, $groupId, $partnerKey);

        $popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
        $ms_popup_data=array( 
          'popup_id' => $ms_popup_atts['id'],
          'ms_popup_name' => $_POST['ms-popup-name'],
          'ms_popup_email' => $_POST['ms-popup-email'],
          'api' => 'SendInBlue',
          'ms_popup_time' => current_time( mysql )
        );
        $wpdb->insert($popup_subscribers, $ms_popup_data);      
    }

    // _______ INTEGRATE GETRESPOONCE BY paxaron.com 
    if( in_array( 'get_response', $EmailOptions) || in_array( 'all', $EmailOptions)) 
    {
      $apiKey = get_field( 'ms_popup_Getresponse_auth_key', $ms_popup_atts['id']);
      $campaignId = get_field( 'ms_popup_Getresponse_campaign_id', $ms_popup_atts['id']);
        envo_syncgetrespponce($data, $apiKey, $campaignId);
        $ms_popup_data=array(
        'post_id' => $ms_popup_atts['id'],
        'api' => 'Get Respoonce',
        'name' => $_POST['ms-popup-name'],
        'email' => $_POST['ms-popup-email'],
      );
      $wpdb->insert( $api_subscribers, $ms_popup_data);
    }
}

        wp_mail( $popup_to, $popup_subject, $popup_body, $headers );

        ?>
    <?php if( isset( $_POST['ms-popup-form-submit'] ) ) : ?>
           <script type="text/javascript">
      parent.document.getElementById("ms-popup-form").style.display = "none";
      parent.document.getElementById("ms-popup-subscriber-confirmation").style.display = "block";

    </script>
    <?php endif; ?>
    <?php

    }