<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if(function_exists('acf_add_options_page')) {
	
	acf_add_options_sub_page(array(
		'page_title' => 'MS Feedback Tool',
		'menu_title' => 'Feedback',
		'parent_slug' => 'envo_ms-marketing-tools'
	));
	
    
	acf_add_options_sub_page(array(
		'page_title' => 'Cookie Notification',
		'menu_title' => 'Cookie Notification',
		'parent_slug' => 'envo_ms-marketing-tools'
	));
    
	function envo_ms_marketing_submissions() {
		//Menu buttons 

		add_submenu_page(
			'envo_ms-marketing-tools',
			'MS Popup',
			'Popup Notifications',
			'manage_options',
			'edit.php?post_type=ms-simple-popup'
		);
		add_submenu_page(
			'envo_ms-marketing-tools',
			'MS Notification',
			'Web Notifications',
			'manage_options',
			'edit.php?post_type=ms-web-notification'
		);
		add_submenu_page(
			'envo_ms-marketing-tools',
			'Boost Sales',
			'Social Proof',
			'manage_options',
			'edit.php?post_type=ms-boost-sales'
		);
		add_submenu_page(
			'envo_ms-marketing-tools',
			'Header Bar',
			'Header Bar Notifications',
			'manage_options',
			'edit.php?post_type=ms-header-bar'
		);
		
		add_submenu_page( 
			'envo_ms-marketing-tools',
			'Heatmap',
			'Heatmaps',
			'manage_options',
			'heatmap',
			'envo_heatmap'
		);
		
		// _______ ADDED BY ZEESHAN ____________
		
		add_submenu_page( 
			'envo_ms-marketing-tools',
			'Ecommerce Statistics',
			'Ecommerce Statistics',
			'manage_options',
			'ecommerceStats', 	//GET PARAM
			'envo_ecommerceStats'	// function name
		);
		// _______ ADDED BY ZEESHAN ____________
		add_submenu_page( 
			'envo_ms-marketing-tools',
			'Server Status',
			'Server Status',
			'manage_options',
			'serverstatus', 	//GET PARAM
			'envo_serverStatus'	// function name
		);
		add_submenu_page( 
			'envo_ms-marketing-tools',
			'Voice Callback',
			'Voice Callback',
			'manage_options',
			'voicecontrol', 	//GET PARAM
			'envo_voicecontrol'	// function name
		);
		add_submenu_page( 
			'',
			'Users',
			'Users',
			'manage_options',
			'users',
			'envo_users'
		);
		add_submenu_page( 
			'',
			'View Activity',
			'View Activity',
			'manage_options',
			'activity',
			'envo_activity'
		);
		add_submenu_page( 
			'',
			'User Activity',
			'User Activity',
			'manage_options',
			'activity_heatmap',
			'envo_activity_heatmap'
		);
		add_submenu_page( 
			'',
			'Get Image Codes',
			'Get Image Codes',
			'manage_options',
			'image_codes',
			'envo_image_codes'
		);
	}
	add_action( 'admin_menu', 'envo_ms_marketing_submissions', 9999,999 );

add_filter( 'manage_ms-simple-popup_posts_columns', 'envo_set_ah_multiform_columns' );
add_action( 'manage_ms-simple-popup_posts_custom_column' , 'envo_ah_multiform_column', 10, 2 );
 add_action('admin_menu', 'envo_add_menu_page');

function envo_add_menu_page() {
    add_menu_page(
        'EnvoFlix',
        'EnvoFlix',
        'manage_options',
        'envo_ms-marketing-tools',
        'envo_ms_marketing_tools_callback',
        '',
        20 // You can adjust the menu position if needed
    );
}

function envo_ms_marketing_tools_callback() {
    ?>
<div class="wrap">
    <h2>EnvoFlix</h2>
    <p>EnvoFlix YouTube Video:</p>
    <iframe width="560" height="315" src="https://www.youtube.com/embed/XqNtDHiygT4" frameborder="0"
        allowfullscreen></iframe>
</div>
<?php
}
function envo_set_ah_multiform_columns($columns){
	$columns = array(
			'cb' => '<input type="checkbox" />',
			'title' => 'Title',
			'shortcode' => 'Shortcode',
			'date' => 'Date',
		);
	return $columns;
}

function envo_ah_multiform_column( $column, $post_id ) {
    switch ( $column ) {
        case 'shortcode' :
         	 _e('[ms-popup id = '.$post_id .']');
         break;
    }
}

add_filter( 'manage_ms-header-bar_posts_columns', 'envo_set_msheader_columns' );
add_action( 'manage_ms-header-bar_posts_custom_column' , 'envo_msheader_column', 10, 2 );

function envo_set_msheader_columns($columns){
	$columns = array(
			'cb' => '<input type="checkbox" />',
			'title' => 'Title',
			'shortcode' => 'Shortcode',
			'date' => 'Date',
		);
	return $columns;
}

function envo_msheader_column( $column, $post_id ) {
    switch ( $column ) {
        case 'shortcode' :
         	 _e('[ms-header-bar id='.$post_id .']');
         break;
    }
}
	function envo_image_codes(){
		$query_images_args = array(
			'post_type'      => 'attachment',
			'post_mime_type' => 'image',
			'post_status'    => 'inherit',
		);
		
		$query_images = new WP_Query( $query_images_args );
		
		?>
<style>
tr th {
    text-align: left;
}
</style>

<table class="table">
    <tr>
        <th><?php echo  esc_html("_eImage")?></th>
        <th><?php echo  esc_html("_eID")?></th>
    </tr>
    <?php
		
		foreach ( $query_images->posts as $image ) {
			$img = wp_get_attachment_url( $image->ID );

			echo '<tr><td><img src="'.esc_attr($img).'" width="70px" height="70px" /></td>';
			echo '<td>'.esc_html($image->ID).'</td></tr>';

		}
		?>

</table>

<?php
	}

	// menu button
		function envo_activity_heatmap(){
		global $wpdb;
		$user = $_GET['user'];
		?>
<style type="text/css">
tr th {
    text-align: left;
}
</style>
<table class="table">
    <tr>

        <th><?php echo  esc_html("_eNo")?></th>
        <th><?php echo  esc_html("_ePage")?></th>
        <th><?php echo  esc_html("_eClicks")?></th>
        <th><?php echo  esc_html("_ePage Views")?></th>
        <th><?php echo  esc_html("_ePage Width")?></th>
        <th><?php echo  esc_html("_eView Heatmap")?></th>
    </tr>
    <?php
		
		$query = $wpdb->get_results("SELECT  * FROM h_page WHERE user_id = $user GROUP BY url",ARRAY_A);
		$count = 1;
		foreach ($query as  $value) {
			$url = $value['url'];
			$page_views = $wpdb->get_results("SELECT COUNT(url) AS count FROM h_page WHERE url = '$url' AND user_id = '$user'",ARRAY_A);
			$event_count = $wpdb->get_results("SELECT COUNT(pageX) AS count FROM h_event WHERE url = '$url' AND user_id = '$user' ",ARRAY_A);
			$vi = $page_views[0]['count'];
		if($vi == 0){
			$vi = 1;
		}
			echo '
			<tr>
			<td>'.esc_html($count++).'</td>
			<td>'.esc_html($value["url"]).'</td>
			<td>'.esc_html($event_count[0]["count"]).'</td>
			<td>'.esc_html($vi).'</td>
            <td>'.esc_html($value['page_width']).'px </td> ';

			$wp_user = get_user_by('ID',$user);
			if($wp_user == false){
				$wp_user = $user;
			}else{
				$wp_user = $wp_user->ID;
			}
			?>
    <td><a href="#"
            onclick="envo_viewHeatMap(<?php echo $wp_user;?>,'<?php echo $url;?>',<?php echo $value['page_width'] ?>,<?php echo $value['page_height']; ?>)">View
            Heatmap</a></td>
    </tr>
    <?php
	}

	?>
</table>
<script type="text/javascript">
function envo_viewHeatMap(user, url, width, height) {
    var uri = url + '?heatmap=true';

    window.open(uri, "tab", "resizable=yes,width=" + width + ",height=" + height);
    localStorage.setItem('user', user);
    localStorage.setItem('width', width);
    localStorage.setItem('height', height);
}
</script>
<?php
}

function envo_activity(){
	global $wpdb;
	$user = $_GET['user'];
	$reffer = $wpdb->get_results("SELECT reffer FROM h_user  WHERE user_id = $user ",ARRAY_A);
	?>
<h2>Filter Results</h2>
<form action="" method="post">
    <input type="date" name="date">
    <input type="submit" name="submit" value="Search">
</form>
<center>
    <h4>
        <bold>Reffer From:</bold> <span><?php echo $reffer[0]['reffer']; ?></span>
    </h4>
</center>
<table class="table">

    <tr style="text-align: left;">
        <th><?php echo  esc_html("_eNo")?></th>
        <th><?php echo  esc_html("_ePage View")?></th>
        <th><?php echo  esc_html("_eTime Spend")?></th>
        <th><?php echo  esc_html("_eDate")?></th>
        <th><?php echo  esc_html("_eScroll")?></th>
        <th><?php echo  esc_html("_eView Mouse Movement")?></th>
    </tr>

    <?php
       if(isset($_POST['submit'])){

	 $date = new DateTime($_POST['date']);

         $filter = date_format($date,"Y-m-d");
         $query = $wpdb->get_results("SELECT * FROM `h_page` WHERE view_date LIKE '%$filter%' AND user_id = $user ORDER BY view_date ",ARRAY_A);
         if(!$query){
         	echo '<h4>No Record Found</h4>';
         }
}else{
		$query = $wpdb->get_results("SELECT * FROM h_page  WHERE user_id = $user ORDER BY view_date ",ARRAY_A);
	}
		$count = 1;
		foreach ($query as  $value) {
			$url = $value['url'];	
			$session = $value['session_id'];
			
			$time_spend = $wpdb->get_results("SELECT time_spend FROM h_time WHERE session_id = '$session' ",ARRAY_A);

			/* paxaron.com */

			$hours = floor($time_spend[0]['time_spend'] / 3600);
			$mins  = floor($time_spend[0]['time_spend'] / 60 % 60);
			$secs  = floor($time_spend[0]['time_spend'] % 60);

			$spend_time = sprintf('%02d:%02d:%02d', $hours, $mins, $secs);

			/* paxaron.com */
			
			// $spend_time = get_the_time("H:i:s",$time_spend[0]['time_spend']); 

			$wp_user = get_user_by('ID',$user);
			if($wp_user == false){
				$wp_user = $user;
			}else{
				$wp_user = $wp_user->ID;
			}
			echo '<tr>';
			echo '<td>'.$count++.'</td>';
			echo '<td>'.$url.'</td>';
			echo '<td>'.$spend_time.'</td>';
			echo '<td>'.$value["view_date"].'</td>';
			?>
    <td><a href="#" onclick="window.open('<?php echo $url;?>?scroll=true','tab','resizable=yes,width=600,height=500');
		localStorage.setItem('user','<?php echo $user; ?>');">Show Scroll</a></td>
    <td><a href="#"
            onclick="envo_mouse(<?php echo $wp_user;?>,'<?php echo $url;?>',<?php echo $value['page_width'] ?>,<?php echo $value['page_height']; ?>, <?php echo $value['session_id']; ?>)">Mouse
            Movement</a></td>
    <?php
			echo '</tr>';
		}
		?>

</table>
<script type="text/javascript">
function envo_mouse(user, url, width, height, session) {
    var uri = url + '?heatmap=true&mouse=true';

    window.open(uri, "tab", "resizable=yes,width=" + width + ",height=" + height);
    localStorage.setItem('user', user);
    localStorage.setItem('width', width);
    localStorage.setItem('height', height);
    localStorage.setItem('session', session)
}
</script>
<?php
}

	// menu button
function envo_users(){
	global $wpdb;
	?>
<style type="text/css">
tr th {
    text-align: left;
}
</style>
<h2>Filter Results</h2>
<form action="" method="post">
    <input type="date" name="date">
    <input type="text" name="searchByAll">
    <input type="submit" name="submit" value="Search">
</form>
<table class="table">

    <tr>
        <th><?php echo  esc_html("_eNo")?></th>
        <th><?php echo  esc_html("_eUsername")?></th>
        <th><?php echo  esc_html("_eEmail")?></th>
        <th><?php echo  esc_html("_eCity")?></th>
        <th><?php echo  esc_html("_eCountry")?></th>
        <th><?php echo  esc_html("_eIp Adress") ?></th>
        <th><?php echo  esc_html("_eBrowser")?></th>
        <th><?php echo  esc_html("_eOperating System") ?></th> <!-- spell corrected by paxaron.com -->
        <th><?php echo  esc_html("_eRef Url") ?></th> <!-- added by paxaron.com -->
        <th><?php echo  esc_html("_ePdf")?></th>
        <th><?php echo  esc_html("_eView Heatmap") ?></th>
        <th><?php echo  esc_html("_eView Activity") ?></th>
    </tr>
    <?php
global $query;
	  if(isset($_POST['submit'])){

		$date = new DateTime($_POST['date']);

		$filter = date_format($date,"Y-m-d");
		
		$filterAnyData = $_POST['searchByAll'];
	    $query = $wpdb->get_results("SELECT 
		act.user_id,
		org.user_login,
		org.user_email,
        act.register_date,
		act.city,
		act.country,
		act.ip_adress,
		act.browser,
		act.os,
		act.refereral_link
		FROM h_user AS act
		LEFT JOIN wp_users AS org on (act.user_id = org.ID)
		WHERE act.register_date LIKE '%$filter%' 
		AND (
		org.user_login LIKE '%$filterAnyData%'
		OR org.user_email LIKE '%$filterAnyData%'
		OR act.city LIKE '%$filterAnyData%'  
		OR act.country LIKE '%$filterAnyData%'  
		OR act.ip_adress LIKE '%$filterAnyData%'  
		OR act.browser LIKE '%$filterAnyData%'  
		OR act.os LIKE '%$filterAnyData%'  
		OR act.refereral_link  LIKE '%$filterAnyData%')
		",ARRAY_A);

		if(!$query){
			echo '<h4>No Record Found</h4>';
		}
}else{
		$query = $wpdb->get_results("SELECT * FROM h_user ORDER BY id desc",ARRAY_A); 
	}
	$count = 1;
	if ($query) {
		foreach ($query as $value) {
			$user_id = $value['user_id'];
			$user = get_user_by('ID',$user_id); 
			echo '<tr>';
			echo '<td>'.$count++.'</td>';
			echo '<td>'.$user->user_login.'</td>';
			echo '<td>'.$user->user_email.'</td>';
			echo '<td>'.$value['city'].'</td>';
			echo '<td>'.$value['country'].'</td>';
			echo '<td>'.$value['ip_adress'].'</td>';
			echo '<td>'.$value['browser'].'</td>';
			echo '<td>'.$value['os'].'</td>';
			echo '<td>'.$value['refereral_link'].'</td>'; // added by paxaron.com
			echo '<td><form action="'. esc_url( admin_url( 'admin-post.php' ) ).'" method="post">	
                     <input type="hidden" name="action" value="pdf">
                     <input type="hidden" name="pdf" value="'.$user_id.'">
                     <input type="submit"  name="submit" value="Pdf"/>
			</form>  </td>';
			echo '<td><a href="'.get_home_url().'/wp-admin/admin.php?page=activity_heatmap&user='.$user_id.'">View Heatmap</a></td>';
			echo '<td><a href="'.get_home_url().'/wp-admin/admin.php?page=activity&user='.$user_id.'">View Activity</a></td>';
			echo '</tr>';
		}

	}
	
	?>
</table><?php
}

function envo_heatmap(){
	global $wpdb;
	?>
<center>
    <h1><?php echo '<a href="'.get_home_url().'/wp-admin/admin.php?page=users">View Users</a>'; ?></h1>
</center>

<!-- ADDED BY paxaron.com  -->

<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script>
$(document).ready(function() {
    "use strict";
    $(".enableAnalytics").checkboxradio();
    $("fieldset").controlgroup();

    var enableClass = $("#forEnable").attr('class');
    var disableClass = $("#forDisable").attr('class');

    var analyticDuplicate = 1;
    var analytic_url = "<?php //echo plugins_url( 'ms-simple-popup.php', __FILE__ ); ?>";

    var data = {
        'action': 'envo_getHeatAnalytic'
    };

    jQuery.post(ajaxurl, data, function(response) {

        if (response == 1) {
            $("#forEnable").addClass(
                "ui-button ui-widget ui-checkboxradio-radio-label ui-controlgroup-item ui-checkboxradio-label ui-corner-left ui-checkboxradio-checked ui-state-active"
                );

            $("#forDisable").addClass(
                "ui-button ui-widget ui-checkboxradio-radio-label ui-controlgroup-item ui-checkboxradio-label ui-corner-right"
                );
        } else if (response == 0) {
            $("#forEnable").addClass(
                "ui-button ui-widget ui-checkboxradio-radio-label ui-controlgroup-item ui-checkboxradio-label ui-corner-left"
                );

            $("#forDisable").addClass(
                "ui-button ui-widget ui-checkboxradio-radio-label ui-controlgroup-item ui-checkboxradio-label ui-corner-right ui-checkboxradio-checked ui-state-active"
                );
        }

    });

    $("#forDisable").on("click", function() {
        alert("forDisable");

        var analytic = 0;
        var data = {
            'action': 'envo_updateHeatAnalytic',
            'analytic': analytic
        };
        jQuery.post(ajaxurl, data, function(response) {});

    });

    $("#forEnable").on("click", function() {
        alert("forEnable");

        var analytic = 1;
        var data = {
            'action': 'envo_updateHeatAnalytic',
            'analytic': analytic
        };
        jQuery.post(ajaxurl, data, function(response) {});
    });

});
</script>
<br>
<center>
    <fieldset style="box-shadow: 10px 10px 10px -13px #23282d;">
        <b>
            <legend class="">&nbsp Enable / Disable Analytics: </legend>
        </b>
        <label for="radio-1" id="forEnable">Enable</label>
        <input type="radio" name="radio-1" id="radio-1" class="enableAnalytics">
        <label for="radio-2" id="forDisable">Disable</label>
        <input type="radio" name="radio-1" id="radio-2" class="enableAnalytics">
    </fieldset>
</center><br>

<!-- END BY paxaron.com  -->

<style type="text/css">
tr th {
    text-align: left;
}
</style>
<table class="table">
    <tr>
        <th><?php echo  esc_html("_eNo")?></th>
        <th><?php echo  esc_html("_ePage")?></th>
        <th><?php echo  esc_html("_eHeatMap Pdf") ?></th> <!-- paxaron.com -->
        <th><?php echo  esc_html("_eClicks")?></th>
        <th><?php echo  esc_html("_ePage Views") ?></th>
    </tr>
    <?php
	
	$query = $wpdb->get_results("SELECT DISTINCT url FROM h_page",ARRAY_A);
	$count = 1;
	foreach ($query as  $value) {
		$url = $value['url'];
		$event_count = $wpdb->get_results("SELECT COUNT(pageX) AS count FROM h_event WHERE url = '$url'",ARRAY_A);
		$page_views = $wpdb->get_results("SELECT COUNT(url) AS count FROM h_page WHERE url = '$url'",ARRAY_A);
		$vi = $page_views[0]['count'];

		/* paxaron.com */
		$diff_screen_events = $wpdb->get_results("SELECT DISTINCT page_width,page_height FROM h_event WHERE url = '$url'",ARRAY_A);
		/* paxaron.com */

		if($vi == 0){
			$vi = 1;
		}
		$user_query = $wpdb->get_results("SELECT user_id FROM h_event WHERE url = '$url'",ARRAY_A);
		$user = $user_query[0]['user_id'];
		echo '
		<tr>
		<td>'.$count++.'</td>
		<td>'.$url.'</td>';

		/* paxaron.com */
		if($diff_screen_events){
		echo 
			'<td>
				<select name='.$url.' onchange="envo_ScreenChange(this);">';
		$i = 1;
		foreach ($diff_screen_events as $key => $value) { 
			if($i == 1){
				$widthBtnPDF = $value["page_width"];
				$heightBtnPDF = $value["page_height"];
			}
			echo '<option value='.$value["page_width"].','.$value["page_height"].'>'.$value["page_width"].'x'.$value["page_height"].'</option>';
			$i++;
		}
		echo 
				"</select>
					<button class='btn btn-success btn-sm' id=".'_'.$url." onclick=envo_viewHeatMapPdf('".$url."',".$widthBtnPDF.",".$heightBtnPDF.")>PDF</button>
			</td>";
		}
		else{

			echo '<td> No Clicks Found</td>';

		}

		/* paxaron.com */
		
		echo '
		<td>'.$event_count[0]["count"].'</td>
		<td>'.$vi.'</td>
		</tr>
		';
	}

	?>
</table>

<!-- paxaron.com -->

<script type="text/javascript">
function envo_ScreenChange(obj) {

    let url = obj.name;
    let value = obj.value;
    let params = value.split(",");
    let width = params[0];
    let height = params[1];

    document.getElementById('_' + url).setAttribute('onclick',
        "envo_viewHeatMapPdf('" + url + "'," + width + "," + height + ")");
}

function envo_viewHeatMapPdf(url, width, height) {
    var uri = url + '?heatmap=true&printPdf=true';

    var windref = window.open(uri, "tab", "resizable=yes,width=" + width + ",height=" + height);
    localStorage.setItem('Page_Width_SW', width);
    localStorage.setItem('Page_Height_SW', height);
}
</script>

<?php
}

// Add email
function ssp_add_email($email) {
    $emails = get_option('ssp_emails', []);
    $emails[] = $email;
    update_option('ssp_emails', $emails);
}

// Get all emails
function ssp_get_emails() {
    return get_option('ssp_emails', []);
}

// Delete email
function ssp_delete_email($email) {
    $emails = get_option('ssp_emails', []);
    if(($key = array_search($email, $emails)) !== false) {
        unset($emails[$key]);
        update_option('ssp_emails', array_values($emails));
    }
}

//added by happy
function envo_serverStatus(){
	include plugin_dir_path(__FILE__) . 'templates/notifications.php';

}

function envo_voicecontrol(){
	include plugin_dir_path(__FILE__) . 'templates/voice_control.php';
}
//added by happy

// _________ ADDED BY ZEESHAN
function envo_ecommerceStats(){
	global $countryList;
	global $wpdb;
 	


    $woocommerce_order_items = $wpdb->prefix . 'woocommerce_order_items';
	$res_woocommerce_order_items = $wpdb->get_results( "SELECT DISTINCT o.order_item_name as item_name FROM $woocommerce_order_items o" );
    $woo_envoflix_cart_items = $wpdb->prefix . 'woo_envoflix_cart_items';
	$devices = $wpdb->get_results( "SELECT DISTINCT os FROM $woo_envoflix_cart_items " );
	$browsers = $wpdb->get_results( "SELECT DISTINCT browser FROM $woo_envoflix_cart_items " );



   	echo '<section class="content">
      <div class="container-fluid " >';
   	echo '<form action="'. esc_url( admin_url( 'admin-post.php' ) ).'" method="post" id ="ecommercePDFform">';	

  echo '<div class="row" >

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_checkoutOrder">0</h3>

                <p>Checkout Orders</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_addCart">0</h3>

                <p>Add Cart</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_removeCart">0</h3>

                <p>Removed Cart</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_successTransaction">0</h3>

                <p>Success Transaction</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>
          
        </div>

         <div class="row">

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_avgOrdValue">0</h3>

                <p>Average Order Value</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_refund">0</h3>

                <p>Refunds</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_conversion">0</h3>

                <p>Conversion</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bgWidget">
              <div class="inner">
                <h3 id="widget_revenue">0</h3>

                <p>Revenue</p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"></a>
            </div>
          </div>
          
        </div>'; // widgets row

     
    echo '<div class="row mainFilters"  >';

    echo' <div class="col-lg-3 ">';
    echo'
	        <select class="form-control "  name ="allDataFilter"  id="allDataFilter"> 
	           <option value="wooData">WooCommerce Data</option> 
	           <option value="eddData">Easy Digital Download Data</option> 
	        </select>
    ';
    echo '</div>';

	echo' <div class="col-lg-3 ">';
    echo' 
			<select class="form-control "  name ="allProdFilter"  id="allProdFilter"> 
			</select>

     ';
    echo '</div>';

 	echo' <div class="col-lg-0.5 labelDate">';
    echo' <p>From Date:</p>    ';
    echo '</div>';
	echo' <div class="col-lg-1.5 ">';
    echo' <input type="date" name="allDateFilter"  id="allDateFilter" style="height: 36px;"  >    ';
    echo '</div>';

    echo' <div class="col-lg-0.5 labelDate">';
    echo' <p>To Date:</p>    ';
    echo '</div>';
    echo' <div class="col-lg-1.5 ">';
    echo' <input type="date" name="allToDateFilter"  id="allToDateFilter" style="height: 36px;"  >    ';
    echo '</div>';


    echo '</div>'; // END row mainFilters

     



    echo' 	<div class="col-lg-12 boxShadowTable">';
    echo '		<h2 class="headingTable ">Product Statistics</h2>';
    echo '		<div id="ecommerceProdStat" class="  ecommerceStats"></div>';
   	echo '	</div>';

   	echo' <div class="col-lg-12 boxShadowTable">';
    echo '	<h2 class="headingTable ">Customer List</h2>';

    echo '<div class="text-center">';

    echo '<a href="#" id="add_cart" style="text-decoration:none;margin: 0.2%;" class="btn btn-primary btn-lg showCustbtn active" role="button" aria-pressed="true">Add Cart</a>';
    
    echo '<a href="#" id="remove_cart" style="text-decoration:none;margin: 0.2%;" class="btn btn-primary btn-lg showCustbtn" role="button" aria-pressed="true">Remove Cart</a>';
    
    echo '<a href="#" id="checkout_cart" style="text-decoration:none;margin: 0.2%;" class="btn btn-primary btn-lg showCustbtn" role="button" aria-pressed="true">Checkout Cart</a>';
    
    echo '<a href="#" id="success_cart" style="text-decoration:none;margin: 0.2%;" class="btn btn-primary btn-lg showCustbtn" role="button" aria-pressed="true">Success Cart</a>';
    
    echo '<a href="#" id="product_views" style="text-decoration:none;margin: 0.2%;" class="btn btn-primary btn-lg showCustbtn" role="button" aria-pressed="true">Product Views</a>';
    
    echo '<a href="#" id="refund" style="text-decoration:none;margin: 0.2%;" class="btn btn-primary btn-lg showCustbtn" role="button" aria-pressed="true">Refund</a>';

    echo '<input type="hidden" name= "showCustbtn" id="showCustbtn_hidden">';
    echo '</div>';

	echo '	<div id="ecommerceCustList" class="ecommerceStats">';
   	echo '</div></div>';

   	echo'</div>'; // END ROW

	// ____________________________________________________________________________________________________________________________________
    echo '<div class="row col-lg-12 Filters" >';  
   

    // ______________________ ______________________ DATA WISE ______________________ ______________________
    echo '<div class="col-lg-3 ">';
    echo'
	        <select class="form-control select2 donutCartDataOption" id="donutCartDataOption" name ="donutCartDataOption"> 
	           <option value="ac">Add Cart Data</option> 
	           <option value="rc">Remove Cart Data</option> 
	           <option value="cc">Checkout Cart</option> 
	           <option value="sc">Success Cart</option> 
	           <option value="rfc">Refund Cart</option> 
	           <option value="vc">View Cart</option> 
	        </select>
    ';
   	echo'</div>';

   	// ______________________ ______________________ DATA WISE2 ______________________ ______________________
    echo '<div class="col-lg-3 ">';
    echo'
	        <select class="form-control select2 donutSelectOption" id="donutSelectOption" name ="donutSelectOption"> 
	           <option value="pw">Product Wise</option> 
	           <option value="cw">Country Wise</option> 
	           <option value="sw">Source Wise</option> 
	           <option value="dw">Device Wise</option> 
	           <option value="bw">Browser Wise</option> 
	        </select>
    ';
   	echo'</div>';

    echo '<div class="col-lg-3 ">';
   	// ______________________ ______________________ COUNTRIES ______________________ ______________________
   	echo '<div class=" " id="donutSelectCountryOption" >';
    echo'
	        <select  class="form-control select2 donutSelectSubOption" name ="donutSelectSubOption_cw" >
	           <option value="all">Select</option>'; 
	        	foreach ($countryList as $key => $value) {
	        		echo'<option value="'.$key.'">'.$value.'</option>';
	        	}
	        echo'</select>
    ';
   	echo'</div>';

   	// _________ PRODUCTS
   	
    echo '<div class=" " id="donutSelectProductOption"  ">';
    echo'
	        <select  class="form-control select2 donutSelectSubOption prodSubList"  name ="donutSelectSubOption_pw" >';
	        echo'</select>';
   	echo'</div>';

   	// _________ DEVICE

   	echo '<div class="" id="donutSelectDeviceOption"  ">';
    echo'
	        <select  class="form-control select2 donutSelectSubOption" name ="donutSelectSubOption_dw" >
	           <option value="all">Select</option>'; 
	        	foreach ($devices as $device ) {
	        		echo'<option value="'.$device->os.'">'.$device->os.'</option>';
	        	}
	        echo'</select>
    ';
   	echo'</div>';

   	// _________ BROWSERS
   	echo '<div class=" " id="donutSelectBrowserOption"  ">';
    echo'
	        <select  class="form-control select2 donutSelectSubOption" name ="donutSelectSubOption_bw" >
	           <option value="all">Select</option>'; 
	        	foreach ($browsers as $browser ) {
	        		echo'<option value="'.$browser->browser.'">'.$browser->browser.'</option>';
	        	}
	        echo'</select>
    ';
   	echo'</div>';
   	echo'</div>';

   	
   	echo '<div class="col-lg-1 "  ">';
	echo '	<input type="hidden"  id="showAllPDF" name="showAllPDF" value="0" >';
	// echo '	<p>Show All</p>';
	echo '	<span class ="showAllPDFLabel checked" > &nbsp&nbsp Show All &nbsp&nbsp <input type="checkbox"  id="showAllPDFcheckbox" ></span>';
   	echo'</div>';


   	echo '<div class=" col-lg-2.1 "  ">';
	echo'<input type="hidden" name="action" value="envo_ecommercePDF">
		 <input type="submit"  class="ecommercePDFButton  ml" name="submit" value="Print PDF" title=" Generate Pdf"/>';
   	echo'</div>';


   	echo'</div>'; // END ROW
   			// ____________________________________________________________________________________________________________________________________

	echo '<div class ="col-lg-12 boxShadowTable">';
    echo '		<h2 class="headingTable " id ="">Carts Data</h2>';
	echo '	<div id="ecommerceProdList" class="table-responsive ecommerceStats"></div>';
   	echo'</div>'; // END ROW
  



	echo'</form>  ';
    echo '</div>
  </section>';
 
}

// _________ ADDED BY ZEESHAN
function ms_marketing_tools_callback() {
		?>
<style type="text/css">
.notice.is-dismissible.updated.error.acf-notice {
    display: none;
}
</style>
<div class="clearfix"></div>
<div class="alert alert-success alert-dismissible fade show mt-4" role="alert">
    <strong>Thank you</strong> for using MS Marketing Tools. From here, you can navigate to all the MS Marketing Tools
    easily
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="container">
    <div class="row">
        <div class="text-center mt-4 mb-4 col-12">
            <h1 class="ms-admin-heading-one">MS Marketing Tools</h1>
            <h6>Visitors attraction made easy</h6>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4 mb-4">
            <a href="<?php echo get_admin_url(); ?>edit.php?post_type=ms-simple-popup" class="ms-d-block">
                <img src="<?php echo plugins_url( '/assets/images/popup.jpg', __FILE__ ); ?>" class="w-100">
            </a>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4 mb-4">
            <a href="<?php echo get_admin_url(); ?>edit.php?post_type=ms-simple-popup" class="ms-d-block">
                <img src="<?php echo plugins_url( '/assets/images/notification.jpg', __FILE__ ); ?>" class="w-100">
            </a>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4 mb-4">
            <a href="<?php echo get_admin_url(); ?>admin.php?page=acf-options-ms-feedback" class="ms-d-block">
                <img src="<?php echo plugins_url( '/assets/images/feedback.jpg', __FILE__ ); ?>" class="w-100">
            </a>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4 mb-4">
            <a href="<?php echo get_admin_url(); ?>admin.php?page=acf-options-facebook-messenger" class="ms-d-block">
                <img src="<?php echo plugins_url( '/assets/images/chat.jpg', __FILE__ ); ?>" class="w-100">
            </a>
        </div>
        <div class="col-xs-12 col-sm-6 col-md-4 mb-4">
            <a href="<?php echo get_admin_url(); ?>admin.php?page=ms-marketing-submissions" class="ms-d-block">
                <img src="<?php echo plugins_url( '/assets/images/submissions.jpg', __FILE__ ); ?>" class="w-100">
            </a>
        </div>
    </div>
</div>
<?php
		wp_die();
	}

	function envo_ms_marketing_submissions_callback() {
		?>
<div class="container">
    <div class="row">
        <div class="col-12">
            <div class="text-center mt-4 mb-4 col-12">
                <h1 class="ms-admin-heading-one">MS Marketing Submissions</h1>
                <h6>Here are the submissions/email subscribers</h6>
            </div>
        </div>
    </div>
</div>
<nav>
    <div class="nav nav-tabs" id="nav-tab" role="tablist">
        <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab" href="#nav-home" role="tab"
            aria-controls="nav-home" aria-selected="true">Popup</a>
        <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab" href="#nav-profile" role="tab"
            aria-controls="nav-profile" aria-selected="false">Feedback</a>
        <a class="nav-item nav-link" id="nav-callback-tab" data-toggle="tab" href="#nav-callback" role="tab"
            aria-controls="nav-callback-tab" aria-selected="false">Call Back</a>
    </div>
</nav>
<div class="tab-content" id="nav-tabContent">
    <?php
					global $wpdb;

					$popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
					$feedback_subscribers_table = $wpdb->prefix . 'ms_feedback_submit';
					$callback_subscribers_table = $wpdb->prefix . 'ms_popup_callback';

					$subscribers = $wpdb->get_results( "SELECT * FROM $popup_subscribers" );
					$feedback_subscribers = $wpdb->get_results( "SELECT * FROM $feedback_subscribers_table" );
					$callback_subscribers = $wpdb->get_results( "SELECT * FROM $callback_subscribers_table" );

					?>
    <div class="tab-pane fade show active" id="nav-home" role="tabpanel" aria-labelledby="nav-home-tab">

        <!-- popup submissions -->

        <div class="container">
            <div class="row">
                <div class="col-12 mt-4 ms-pt-4">
                    <table id="ms-popup-elist" class="table table-striped table-bordered" cellspacing="0" width="100%">
                        <thead>
                            <tr>
                                <th><?php echo  esc_html("_eID")?></th>
                                <th><?php echo  esc_html("_eName")?></th>
                                <th><?php echo  esc_html("_eEmail")?></th>
                                <th><?php echo  esc_html("_eSubmit Date") ?></th>
                                <th><?php echo  esc_html("_eSent To") ?></th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th><?php echo  esc_html("_eID")?></th>
                                <th><?php echo  esc_html("_eName")?></th>
                                <th><?php echo  esc_html("_eEmail")?></th>
                                <th><?php echo  esc_html("_eSubmit Date") ?></th>
                                <th><?php echo  esc_html("_eSent To") ?></th>
                            </tr>
                        </tfoot>
                        <tbody>
                            <?php
							        	foreach( $subscribers as $subscriber ) {
							        	?>
                            <tr>
                                <td><?php echo $subscriber->ms_popup_id; ?></td>
                                <td><?php echo $subscriber->ms_popup_name; ?></td>
                                <td><?php echo $subscriber->ms_popup_email; ?></td>
                                <td><?php echo $subscriber->ms_popup_time; ?></td>
                                <td><?php echo $subscriber->ms_popup_mailto; ?></td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <!-- popup submissions end -->
    </div>
    <div class="tab-pane fade" id="nav-profile" role="tabpanel" aria-labelledby="nav-profile-tab">

        <!-- feedback submissions -->

        <div class="container">
            <div class="row">
                <div class="col-12 mt-4 ms-pt-4">
                    <table id="ms-feedback-elist" class="table table-striped table-bordered" cellspacing="0"
                        width="100%">
                        <thead>
                            <tr>
                                <th><?php echo  esc_html("_eID")?></th>
                                <th><?php echo  esc_html("_eEmoji")?></th>
                                <th><?php echo  esc_html("_eEmail")?></th>
                                <th><?php echo  esc_html("_eFeedback")?></th>
                                <th><?php echo  esc_html("_eSubmit Date") ?></th>
                                <th><?php echo  esc_html("_eImage")?></th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th><?php echo  esc_html("_eID")?></th>
                                <th><?php echo  esc_html("_eEmoji")?></th>
                                <th><?php echo  esc_html("_eEmail")?></th>
                                <th><?php echo  esc_html("_eFeedback")?></th>
                                <th><?php echo  esc_html("_eSubmit Date") ?></th>
                                <th><?php echo  esc_html("_eImage")?></th>
                            </tr>
                        </tfoot>
                        <tbody>
                            <?php foreach ( $feedback_subscribers as $feedback_subscriber ) {
							        	 ?>
                            <tr>
                                <td><?php echo $feedback_subscriber->ms_feedback_id; ?></td>
                                <td><?php echo $feedback_subscriber->ms_feedback_emoji; ?></td>
                                <td><?php echo $feedback_subscriber->ms_feedback_email; ?></td>
                                <td><?php echo $feedback_subscriber->ms_feedback; ?></td>
                                <td><?php echo $feedback_subscriber->ms_feedback_time; ?></td>
                                <td><img src="<?php echo $feedback_subscriber->ms_feedback_img ?>" width="150px"
                                        height="150px" /></td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <!-- popup submissions end -->

    </div>

    <div class="tab-pane fade" id="nav-callback" role="tabpanel" aria-labelledby="nav-callback-tab">

        <!-- popup submissions -->

        <div class="container">
            <div class="row">
                <div class="col-12 mt-4 ms-pt-4">
                    <table id="ms-callback-elist" class="table table-striped table-bordered" cellspacing="0"
                        width="100%">
                        <thead>
                            <tr>
                                <th><?php echo  esc_html("_eID")?></th>
                                <th><?php echo  esc_html("_eSubmit Time") ?></th>
                                <th><?php echo  esc_html("_eCallback Date") ?></th>
                                <th><?php echo  esc_html("_eCallback Time") ?></th>
                                <th><?php echo  esc_html("_eNote")?></th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th><?php echo  esc_html("_eID")?></th>
                                <th><?php echo  esc_html("_eSubmit Time") ?></th>
                                <th><?php echo  esc_html("_eCallback Date") ?></th>
                                <th><?php echo  esc_html("_eCallback Time") ?></th>
                                <th><?php echo  esc_html("_eNote")?></th>
                            </tr>
                        </tfoot>
                        <tbody>
                            <?php
							        	foreach( $callback_subscribers as $callback_subscriber ) {
							        	?>
                            <tr>
                                <td><?php echo $callback_subscriber->ms_callback_id; ?></td>
                                <td><?php echo $callback_subscriber->ms_callback_submit_time; ?></td>
                                <td><?php echo $callback_subscriber->ms_callback_date; ?></td>
                                <td><?php echo $callback_subscriber->ms_callback_time; ?></td>
                                <td><?php echo $callback_subscriber->ms_callback_note; ?></td>
                            </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <!-- popup submissions end -->
    </div>

</div>

<?php
	}
}