<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $ms_popup_version;
$ms_popup_version = '1.0';

function ms_popup_mail_list_database() {
	global $wpdb, $ms_popup_version, $popup_subscribers;

	$popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
	$feedback_subscribers = $wpdb->prefix . 'ms_feedback_submit';
	$popup_callback = $wpdb->prefix . 'ms_popup_callback';
	$popup_survey = $wpdb->prefix . 'ms_popup_survey';
	$msh_form_subscribers = $wpdb->prefix . 'msh_header_form';
	$msh_callback = $wpdb->prefix . 'msh_header_callback';

	$h_user =  "h_user";
	$h_event = "h_event";
	$h_page = "h_page";
	$h_time = "h_time";
	$h_movement = "h_movement";
	$analytic =  "analytic";
	$users_excel =  "users_excel";
	$analytic_notification =  "analytic_notification";
	$email_integration =  "email_integration";
	$woo_envoflix_cart_items =  $wpdb->prefix . 'woo_envoflix_cart_items';
	$envoflix_visitors =  $wpdb->prefix . 'envoflix_visitors';
	$woo_envoflix_view_product =  $wpdb->prefix . 'woo_envoflix_view_product';

	$charset_collate = $wpdb->get_charset_collate();

	$sql = "CREATE TABLE $popup_subscribers (
		ms_popup_id mediumint(9) NOT NULL AUTO_INCREMENT,
		popup_id varchar(100) NOT NULL,
		ms_popup_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
		ms_popup_name varchar(100) NOT NULL,
		ms_popup_email varchar(100) NOT NULL,
		api varchar(100) NOT NULL,
		ms_popup_mailto varchar(100) DEFAULT '' NOT NULL,
		PRIMARY KEY  (ms_popup_id)
	);";

	$sql2 = "CREATE TABLE $feedback_subscribers (
		ms_feedback_id mediumint(9) NOT NULL AUTO_INCREMENT,
		ms_feedback_time datetime DEFAULT '0000-00-00 00:00:00'  NOT NULL,
		ms_feedback_emoji varchar(100) NOT NULL,
		ms_feedback_email varchar(100) NOT NULL,
		ms_feedback varchar(100) NOT NULL,
		ms_feedback_img varchar(255) NOT NULL,
		PRIMARY KEY  (ms_feedback_id)
	);";
$sql3 = "CREATE TABLE $h_user (
		id int(33) NOT NULL AUTO_INCREMENT,
		user_id varchar(255)  NOT NULL,
		city varchar(255) NOT NULL,
		country varchar(255) NOT NULL,
		ip_adress varchar(255) NOT NULL,
		browser varchar(255) NOT NULL,
		os varchar(255) NOT NULL,
		reffer varchar(255) NOT NULL,
		refereral_link varchar(255) NOT NULL,
		register_date datetime NOT NULL,

		PRIMARY KEY  (id)
	)$charset_collate;";

     $sql4 = "CREATE TABLE $h_time (
		id int(33) NOT NULL AUTO_INCREMENT,
		time_spend varchar(255)  NOT NULL,
		session_id varchar(255) NOT NULL,
		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql5 = "CREATE TABLE $h_page (
		id int(33) NOT NULL AUTO_INCREMENT,
		url varchar(255)  NOT NULL,
		view_date datetime NOT NULL,
		user_id varchar(255) NOT NULL,
		session_id varchar(255) NOT NULL,
		page_height varchar(255) NOT NULL,
		page_width varchar(255) NOT NULL,
		scroll varchar(255) NOT NULL,
		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql6 = "CREATE TABLE $h_event (
		id int(33) NOT NULL AUTO_INCREMENT,
		user_id varchar(255)  NOT NULL,
		pageX varchar(255) NOT NULL,
		pageY varchar(255) NOT NULL,
		url varchar(255) NOT NULL,
		time datetime NOT NULL,
		page_width varchar(255) NOT NULL,
		page_height varchar(255) NOT NULL,
		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql7 = "CREATE TABLE $h_movement (
		id int(33) NOT NULL AUTO_INCREMENT,
		session_id varchar(255)  NOT NULL,
		json text NOT NULL,
		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql8 = "CREATE TABLE $popup_callback (
		ms_callback_id mediumint(9) NOT NULL AUTO_INCREMENT,
		popup_id varchar(100) NOT NULL,
		ms_callback_submit_time  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
		ms_callback_time varchar(100)  NOT NULL,
		ms_callback_date varchar(100) NOT NULL,
		ms_popup_phone varchar(100) NOT NULL,
		ms_callback_note varchar(500) NOT NULL,
		PRIMARY KEY  (ms_callback_id)
	)$charset_collate;";

	$sql9 = "CREATE TABLE $popup_survey (
		ms_survey_id mediumint(9) NOT NULL AUTO_INCREMENT,
		popup_id varchar(100) NOT NULL,
		ms_survey_time  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
		ms_survey_post_id mediumint(9)  NOT NULL,
		ms_survey_data LONGTEXT NOT NULL,
		ms_survey_question varchar(100)  NOT NULL,
		ms_survey_answer varchar(100)  NOT NULL,
		ms_survey_user_email varchar(100)  NOT NULL,
		ms_survey_user_name varchar(100)  NOT NULL,
		ms_survey_user_note varchar(100)  NOT NULL,
		PRIMARY KEY  (ms_survey_id)
	)$charset_collate;";

	$sq110 = "CREATE TABLE $msh_form_subscribers (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		ms_header_form_time datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
		ms_header_form_email varchar(100) NOT NULL,
		ms_header_form_mailto varchar(100) DEFAULT '' NOT NULL,
		ms_header_post_id mediumint(9)  NOT NULL,
		ms_header_ref varchar(100) DEFAULT '' ,
		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql11 = "CREATE TABLE $msh_callback (
		id mediumint(9) NOT NULL AUTO_INCREMENT,
		ms_header_cb_sub_time  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
		ms_header_cb_time varchar(100)  NOT NULL,
		ms_header_cb_date varchar(100) NOT NULL,
		ms_header_cb_phone varchar(100) NOT NULL,
		ms_header_post_id mediumint(9)  NOT NULL,
		ms_header_cb_ref varchar(500) ,
		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql12 = "CREATE TABLE $analytic (
		id int(33) NOT NULL AUTO_INCREMENT,
		analytic varchar(255)  NOT NULL,

		PRIMARY KEY  (id)
	)$charset_collate;";

	$sql12.= " INSERT INTO analytic (analytic) VALUES('1');  ";

	$sql13 = "CREATE TABLE $users_excel (
		id int(33) NOT NULL AUTO_INCREMENT,
		post_id int(11)  NOT NULL,
		username varchar(255)  NOT NULL,
		email varchar(255)  NOT NULL,
		ip varchar(255)  NOT NULL,

		PRIMARY KEY  (id)
	)$charset_collate;";

		$sql14 = "CREATE TABLE $analytic_notification (
		id int(33) NOT NULL AUTO_INCREMENT,
		post_id int(11)  NOT NULL,
		user_id int(11)  NOT NULL,
		last_activity datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
		ip varchar(255)  NOT NULL,
		user_name varchar(255)  NOT NULL,
		total_redirect int(11)  NOT NULL,
		total_no_thanks int(11)  NOT NULL,
		total_file_download int(11)  NOT NULL,
		total_coupon_copied int(11)  NOT NULL,
		total_share int(11)  NOT NULL,
		simple_form varchar(255)  NOT NULL,
		callback_form varchar(255)  NOT NULL,
		survey_form varchar(255)  NOT NULL,

		PRIMARY KEY  (id)
	)$charset_collate;";

		$sql15 = "CREATE TABLE $email_integration (
		id int(33) NOT NULL AUTO_INCREMENT,
		post_id int(11)  NOT NULL,
		api varchar(255)  NOT NULL,
		name varchar(255)  NOT NULL,
		email varchar(255)  NOT NULL,
		time  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,

		PRIMARY KEY  (id)
	)$charset_collate;";
	$sql16 = "CREATE TABLE $woo_envoflix_cart_items (
		`id` int(11) NOT NULL AUTO_INCREMENT,
		`user_id` bigint(20) unsigned NOT NULL default '0',
		`product_id` bigint(20) unsigned NOT NULL default '0',
		`product_name` varchar(255) NOT NULL,
		`qty` int(10) unsigned NOT NULL default '0',
		`productPrice` varchar(255) NOT NULL default '0',
		`os` varchar(255) NOT NULL,
		`browser` varchar(255) NOT NULL,
		`ip_address` varchar(255) NOT NULL,
		`city` varchar(255) NOT NULL DEFAULT 'N/A', 
		`country` varchar(255) NOT NULL DEFAULT 'N/A',
		`refereral_link` varchar(255) NOT NULL DEFAULT 'N/A',
		`cart_id` varchar(40) NOT NULL,
		`date` date NOT NULL,
		`last_update_time` int(11) unsigned NOT NULL,
		`cart_is_abandoned` int(1) unsigned NOT NULL default '0',
		`success_transaction` int(1) unsigned NOT NULL default '0',
		`refund` varchar(255) NOT NULL default '0',
		`amountAfterRefund` varchar(255) NOT NULL default '0',
		`data_type` varchar(255) NOT NULL,
		`customer_key` varchar(255) NOT NULL,
		`checkout_cart` tinyint(20) unsigned NOT NULL default '0',
		`success_cart` tinyint(20) unsigned NOT NULL default '0',
		`last_activity` datetime NOT NULL,
		`order_id` bigint(20),
		PRIMARY KEY (`id`),
		KEY `product_id` (`product_id`),
		KEY `user_id` (`user_id`)
	) $charset_collate;";


			$sql17 = "CREATE TABLE $envoflix_visitors (
						  `id` int(11) NOT NULL AUTO_INCREMENT,
						  `user_id` bigint(20) unsigned NOT NULL default '0',
						  `ip_address` varchar(255) NOT NULL default '0',
						  PRIMARY KEY (`id`),
						  KEY `user_id` (`user_id`)
						) $charset_collate;";

			$sql19 = "CREATE TABLE $woo_envoflix_view_product (
					`id` int(11) NOT NULL AUTO_INCREMENT,
					`product_id` bigint(20) unsigned NOT NULL default '0',
					`product_name` varchar(255) NOT NULL,
					`count` int(11) unsigned NOT NULL,
					`date` date NOT NULL,
					`user_id` bigint(20) unsigned NOT NULL default '0',
					`data_type` varchar(255) NOT NULL,
					`ip_address` varchar(255) NOT NULL,
					`city` varchar(255) NOT NULL,
					`country` varchar(255) NOT NULL,
					`browser` varchar(255) NOT NULL,
					`source` varchar(255) NOT NULL,
					`device` varchar(255) NOT NULL,
					`last_activity` datetime NOT NULL,
					PRIMARY KEY (`id`),
					KEY `product_id` (`product_id`)
				) $charset_collate;";

	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );
	dbDelta( $sql2 );
	dbDelta( $sql3 );
	dbDelta( $sql4 );
	dbDelta( $sql5 );
	dbDelta( $sql6 );
	dbDelta( $sql7 );
	dbDelta( $sql8 );
	dbDelta( $sql9 );
	dbDelta( $sq110 );
	dbDelta( $sql11 );
	dbDelta( $sql12 );
	dbDelta( $sql13 );
	dbDelta( $sql14 );
	dbDelta( $sql15 );
	dbDelta( $sql16 );
	dbDelta( $sql17 );
	dbDelta( $sql19 );
	add_option( 'ms_popup_version', $ms_popup_version );
}

function ms_popup_deactivation() {
     global $wpdb;

     $popup_subscribers = $wpdb->prefix . 'ms_popup_submit';
     $feedback_subscribers = $wpdb->prefix . 'ms_feedback_submit';
     $popup_callback = $wpdb->prefix . 'ms_popup_callback';
     $popup_survey = $wpdb->prefix . 'ms_popup_survey';
     $msh_form_subscribers = $wpdb->prefix . 'msh_header_form';
	 $msh_callback = $wpdb->prefix . 'msh_header_callback';
	 
      $h_user =  "h_user";
	  $h_event = "h_event";
	  $h_page = "h_page";
	  $h_time = "h_time";
	  $h_movement = "h_movement";
	  $analytic = "analytic";
	  $users_excel = "users_excel";
	  $analytic_notification = "analytic_notification";
	  $email_integration = "email_integration";
	  $woo_envoflix_cart_items = $wpdb->prefix . 'woo_envoflix_cart_items';
	  $envoflix_visitors = $wpdb->prefix . 'envoflix_visitors';
	  $woo_envoflix_view_product = $wpdb->prefix . 'woo_envoflix_view_product';

     $sql = "DROP TABLE IF EXISTS $popup_subscribers";
     $sql2 = "DROP TABLE IF EXISTS $feedback_subscribers";
     $sql3 = "DROP TABLE IF EXISTS $h_user";
     $sql4 = "DROP TABLE IF EXISTS $h_event";
     $sql5 = "DROP TABLE IF EXISTS $h_page";
     $sql6 = "DROP TABLE IF EXISTS $h_time";
     $sql7 = "DROP TABLE IF EXISTS $h_movement";
     $sql8 = "DROP TABLE IF EXISTS $popup_callback";
     $sql9 = "DROP TABLE IF EXISTS $popup_survey";
     $sql10 = "DROP TABLE IF EXISTS $msh_form_subscribers";
     $sql11 = "DROP TABLE IF EXISTS $msh_callback";
     $sql12 = "DROP TABLE IF EXISTS $analytic";
     $sql13 = "DROP TABLE IF EXISTS $users_excel";
     $sql14 = "DROP TABLE IF EXISTS $analytic_notification";
     $sql15 = "DROP TABLE IF EXISTS $email_integration";
     $sql16 = "DROP TABLE IF EXISTS $woo_envoflix_cart_items";
     $sql17 = "DROP TABLE IF EXISTS $envoflix_visitors";
     $sql19 = "DROP TABLE IF EXISTS $woo_envoflix_view_product";

     $wpdb->query($sql);
     $wpdb->query($sql2);
     $wpdb->query($sql3);
     $wpdb->query($sql4);
     $wpdb->query($sql5);
     $wpdb->query($sql6);
     $wpdb->query($sql7);
     $wpdb->query($sql8);
     $wpdb->query($sql9);
     $wpdb->query($sql10);
     $wpdb->query($sql11);
     $wpdb->query($sql12);
     $wpdb->query($sql13);
     $wpdb->query($sql14);
     $wpdb->query($sql15);
     $wpdb->query($sql16);
     $wpdb->query($sql17);
     $wpdb->query($sql19);
     
}