<?php 
 // Check if the user is allowed to access this page
 if (!current_user_can('manage_options')) {
    wp_die(__('You do not have sufficient permissions to access this page.'));
}

// Handle the form submission
if (isset($_POST['voice_callback_enable_login'])) {
    $voice_callback_enable_login = isset($_POST['voice_callback_enable_login']) ? '1' : '0';
    update_option('voice_callback_enable_login', $voice_callback_enable_login);
}

if (isset($_POST['voice_callback_enable_cart'])) {
    $voice_callback_enable_cart = isset($_POST['voice_callback_enable_cart']) ? '1' : '0';
    update_option('voice_callback_enable_cart', $voice_callback_enable_cart);
}

if (isset($_POST['voice_callback_enable_order'])) {
    $voice_callback_enable_order = isset($_POST['voice_callback_enable_order']) ? '1' : '0';
    update_option('voice_callback_enable_order', $voice_callback_enable_order);
}

// Get the current option values
$voice_callback_enable_login = get_option('voice_callback_enable_login', '0');
$voice_callback_enable_cart = get_option('voice_callback_enable_cart', '0');
$voice_callback_enable_order = get_option('voice_callback_enable_order', '0');

?>

<div class="wrap">
    <h1>Voice Callback Settings</h1>
    <form method="post" action="">
        <table class="form-table">
            <tr valign="top">
                <th scope="row">Enable Voice Callback on Login</th>
                <td>
                    <label for="voice_callback_enable_login">
                        <input type="checkbox" name="voice_callback_enable_login" id="voice_callback_enable_login"
                            value="1" <?php checked($voice_callback_enable_login, '1'); ?>>
                        Enable
                    </label>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Enable Voice Callback on Cart Item Added</th>
                <td>
                    <label for="voice_callback_enable_cart">
                        <input type="checkbox" name="voice_callback_enable_cart" id="voice_callback_enable_cart"
                            value="1" <?php checked($voice_callback_enable_cart, '1'); ?>>
                        Enable
                    </label>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">Enable Voice Callback on Order Success</th>
                <td>
                    <label for="voice_callback_enable_order">
                        <input type="checkbox" name="voice_callback_enable_order" id="voice_callback_enable_order"
                            value="1" <?php checked($voice_callback_enable_order, '1'); ?>>
                        Enable
                    </label>
                </td>
            </tr>
        </table>
        <?php submit_button(); ?>
    </form>
</div>