<?php

/*

Plugin Name:  EnvoFlix

Plugin URI:   https://envoflix.net

Description:  EnvoFlix Plugin for Wordpress, This Plugin is very easy to use,With this we can create HeatMaps, Boost Sales(Social Proof), Popup Notifications, Cookie Notifications, Web Notifications, Feedback Tool, Facebook Live chat, Sliders.

Version:      3.2.0

Author:       EnvoFlix

Author URI:   https://envoflix.net

License:      GPL2

License URI:  https://www.gnu.org/licenses/gpl-2.0.html

Text Domain:  mspopup

*/

if (!defined('ABSPATH')) {

    exit; // Exit if accessed directly.

}
function load_plugin_textdomain_callback() {
    load_plugin_textdomain('mspopup', false, plugin_basename(dirname(__FILE__)) . '/languages');
}
add_action('plugins_loaded', 'load_plugin_textdomain_callback');

define('envoFlix_IS_WOO30', "true");
function envo_get_current_ip()
{
    // Get real visitor IP behind CloudFlare network
    if (isset($_SERVER["HTTP_CF_CONNECTING_IP"])) {
        $ip = $_SERVER["HTTP_CF_CONNECTING_IP"];
    } elseif (isset($_SERVER['HTTP_CLIENT_IP'])) {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } elseif (isset($_SERVER['REMOTE_ADDR'])) {
        $ip = $_SERVER['REMOTE_ADDR'];
    } else {
        $ip = 'UNKNOWN';
    }

    // Use the first IP address in the list if multiple IPs are present
    $ip = explode(',', $ip)[0];

    // Validate the IP address
    $ip = filter_var($ip, FILTER_VALIDATE_IP) ? $ip : 'UNKNOWN';

    return $ip;
}

function envo_get_currency_symbol()
{
    // Check if WooCommerce is active
    if (class_exists('WooCommerce') && function_exists('get_woocommerce_currency_symbol')) {
        $currency = get_woocommerce_currency_symbol();
    } else {
        $currency = "";
    }

    return $currency;
}


if (!class_exists('ACF')) {

    require('libs/advanced-custom-fields-pro/acf.php');
}

if (class_exists('ACF')) {

    require_once('acf-import.php');
} //dashboard 

require_once('ms-dashboard.php');
require_once('ms-submission.php');
require_once('shortcodes.php');
require("uaparser/uaparser.php");

require_once(dirname(__FILE__) . "/inc/cookie_notification/cookie-table.php");
register_activation_hook(__FILE__, 'cookie_db_install');


require_once(dirname(__FILE__) . '/ms-simple-popup-activation.php');
register_activation_hook(__FILE__, 'ms_popup_mail_list_database');



register_deactivation_hook(__FILE__, 'ms_popup_deactivation');

$plugin_url = WP_PLUGIN_URL . 'EnvoFlix.php';

require_once('cookie-notification.php');

require_once('ms-live-chat.php');

require_once('ms-feedback-front.php');


// Register popup post type add_action( 'init', 'ms_simple_popup' );
add_action('init', 'envo_ms_simple_popup');

function envo_getRefURL()
{
    $redirectionURL = "";
    if (isset($_SERVER['HTTP_REFERER'])) {

        $redirectionURL = $_SERVER['HTTP_REFERER'];
        $redirectionURL = parse_url($redirectionURL);
        $redirectionURL = $redirectionURL['host'];
        $sameUrl = $_SERVER['HTTP_HOST'];
        if ($redirectionURL == $sameUrl || $redirectionURL == "" || $redirectionURL == null)
            $redirectionURL = 'DIRECT VISIT';
    }
    return $redirectionURL;
}




function envo_getHeatAnalytic()
{
    global $wpdb;

    $getanalytic_results = $wpdb->get_results(
        $wpdb->prepare(
            "SELECT analytic FROM analytic"

        ),
        ARRAY_A
    );
    $getanalytic = $getanalytic_results[0]['analytic'];
    if (!empty($getanalytic)) {

        echo 1;
    } else {
        echo 0;
    }

    wp_die();
}


function envo_getChooseMethod()
{
    global $wpdb;

    $postID = isset($_POST['postID']) ? $_POST['postID'] : 0;

    $envo_getChooseMethod_results = $wpdb->get_results(
        $wpdb->prepare(
            "SELECT meta_value FROM {$wpdb->prefix}postmeta WHERE meta_key = %s AND post_id = %d",
            'boostsales_notification_chooseMethod',
            $postID
        ),
        ARRAY_A
    );

    $envo_getChooseMethod = !empty($envo_getChooseMethod_results) ? $envo_getChooseMethod_results[0]['meta_value'] : null;

    echo $envo_getChooseMethod;
    wp_die();
}

function envo_getChooseMethodxNotification()
{
    global $wpdb;

    $postID = isset($_POST['postID']) ? $_POST['postID'] : 0;


    $envo_getChooseMethodxNotification_results =  $wpdb->get_results(
        $wpdb->prepare(
            "SELECT meta_value FROM {$wpdb->prefix}postmeta WHERE meta_key = %s AND post_id = %d",
            'boostsales_notification_x_notification',
            $postID
        ),
        ARRAY_A
    );

    $envo_getChooseMethodxNotification = !empty($envo_getChooseMethodxNotification_results) ? $envo_getChooseMethodxNotification_results[0]['meta_value'] : null;

    echo $envo_getChooseMethodxNotification;
    wp_die();
}


function envo_updateHeatAnalytic()
{
    global $wpdb;
    $wpdb->query($wpdb->prepare("UPDATE analytic SET analytic='" . $_POST['analytic'] . "'  ", 546));

    wp_die();
}

// FOR ANALYTIC NOTIFICATION
if (isset($_POST['columnNotification'])) {

    $column = $_POST['columnNotification'];
    $userId = $_POST['user_id'];
    $userName = $_POST['user_name'];
    $lastActivity = date('Y-m-d H:i:s');
    $currentIp = envo_get_current_ip();

    if ($userName == "" || $userName == null || empty($userName))
        $userName = "Someone";

    $postId = $_POST['post_id'];


    $getuserId =   $wpdb->get_results(
        $wpdb->prepare(
            "SELECT COUNT(*) as users FROM analytic_notification
                WHERE user_id = %d AND ip = %s AND post_id = %d",
            $userId,
            $currentIp,
            $postId
        ),
        ARRAY_A
    );

    if ($getuserId[0]['users'] > 0) {
        $getLastVal = (int) $wpdb->get_results(
            $wpdb->prepare(
                "SELECT %s as value FROM analytic_notification 
            WHERE user_id = %d AND post_id = %d",
                $column,
                $userId,
                $postId
            ),
            ARRAY_A
        )[0]['value'];;

        $UpdatedVal = $getLastVal + 1;


        $wpdb->query(
            $wpdb->prepare(
                "UPDATE analytic_notification 
        SET %s = %d, last_activity = %s
        WHERE user_id = %d AND ip = %s AND post_id = %d",
                $column,
                $UpdatedVal,
                $lastActivity,
                $userId,
                $currentIp,
                $postId
            )
        );
    } else {
        $wpdb->insert(
            "analytic_notification",
            array(
                $column => 1,
                'user_id' => $userId,
                'user_name' => $userName,
                'post_id' => $postId,
                'ip' => $currentIp,
                'last_activity' => $lastActivity,
            ),
            array('%d', '%d', '%s', '%d', '%s', '%s')
        );
    }

    echo "SUCCESS";
    die();
}


// function to get the compare time for cart abandonment    
function envo_get_compare_time()
{

    $current_time = current_time('timestamp');
    $cut_off_time = (get_option('sr_abandoned_cutoff_time')) ? get_option('sr_abandoned_cutoff_time') : 24 * 60;

    $cut_off_period = (get_option('sr_abandoned_cutoff_period')) ? get_option('sr_abandoned_cutoff_period') : 'minutes';

    if ($cut_off_period == "hours") {
        $cut_off_time = $cut_off_time * 60;
    } elseif ($cut_off_period == "days") {
        $cut_off_time = $cut_off_time * 24 * 60;
    }

    $cart_cut_off_time = $cut_off_time * 60;
    $compare_time = $current_time - $cart_cut_off_time;

    return $compare_time;
}
function envo_getIP()
{
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        $ip = $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {

        $ip = $_SERVER['REMOTE_ADDR'];
    }
    return $ip;
}

add_action('woocommerce_add_to_cart', 'envo_abandoned_cart_updated');
add_action('woocommerce_cart_updated', 'envo_abandoned_cart_updated');

add_filter('woocommerce_before_checkout_form', 'envo_abandoned_cart_checkout');

add_action('woocommerce_before_cart_item_quantity_zero', 'envo_abandoned_remove_cart_item');
add_action('woocommerce_remove_cart_item', 'envo_abandoned_remove_cart_item');

add_filter('woocommerce_order_details_after_order_table', 'envo_abandoned_order_placed');

add_action('woocommerce_order_refunded', 'envo_action_woocommerce_order_refunded', 10, 2);

add_action('woocommerce_after_cart_item_quantity_update', 'envo_woocommerce_after_cart_item_quantity_update', 1, 3);

add_action('woocommerce_before_single_product', 'envo_viewProduct', 10);

add_action('wp_ajax_edd_add_to_cart', 'envo_edd_add_cart');
add_action('wp_ajax_nopriv_edd_add_to_cart', 'envo_edd_add_cart');

add_action('edd_after_checkout_cart', 'envo_edd_action_edd_checkout_cart', 10, 2);

add_action('wp_ajax_edd_remove_from_cart', 'envo_edd_remove_cart', 10, 2);
add_action('edd_remove', 'envo_edd_remove_cart', 10, 2);

add_action('edd_complete_purchase', 'envo_edd_success_cart', 20);
add_action('edd_get_current_page_url', 'envo_edd_product_view', 20);




function envo_edd_product_view($url)
{
    global  $wpdb;
    $currentUrl = parse_url($url);
    $path = explode('/', $currentUrl['path']);


    /* SINGLE PRODUCT PAGE */
    if (in_array("downloads", $path)) {
        $itemKey = count($path) - 2;
        $itemSlug = $path[$itemKey];


        $table_post = $wpdb->prefix . 'posts';

        $get_prodId_query = $wpdb->prepare(
            "SELECT ID as prodId FROM {$table_post}
    WHERE post_type = 'download' AND post_name LIKE %s",
            '%' . $wpdb->esc_like($itemSlug) . '%'
        );
        $productId = $wpdb->get_col($get_prodId_query)[0];

        $get_prodName_query = $wpdb->prepare(
            "SELECT post_title as prodName FROM {$table_post}
    WHERE post_type = 'download' AND post_name LIKE %s",
            '%' . $wpdb->esc_like($itemSlug) . '%'
        );
        $prodName = $wpdb->get_col($get_prodName_query)[0];


        /* UPDATING PRODUCT VIEW */

        $table_name = $wpdb->prefix . "woo_envoflix_view_product";
        $woo_envoflix_cart_items = $wpdb->prefix . "woo_envoflix_cart_items";
        $date = date("Y-m-d");
        $last_activity = date('Y-m-d H:i:s');

        $data_type = "edd";

        $user_id = get_current_user_id();
        $ip_address = envo_getIP();
        $ua = $_SERVER['HTTP_USER_AGENT'];

        $parser = new UAParser;
        $result = $parser->parse($ua);
        $browser = $result->ua->family;
        $device = $result->os->family;
        $source = envo_getRefURL();

        $city = "";
        $country = "";

        if ($ip_address != "::1") {
            $json       = file_get_contents("http://ipinfo.io/{$ip_address}");
            $details    = json_decode($json);
            $city = $details->city;
            $country = envo_getCountryName($details->country);
        }

        $cartKey = md5($user_id . $ip_address);
        $query = $wpdb->prepare(
            "SELECT MAX(count) as count FROM {$table_name}
        WHERE product_id = %d 
        AND user_id = %s
        AND ip_address = %s
        AND browser = %s
        AND source = %s
        AND device = %s
        AND data_type = %s",
            $productId,
            $user_id,
            $ip_address,
            $browser,
            $source,
            $device,
            $data_type
        );

        $count = $wpdb->get_col($query)[0];

        if ($count == null || $count == "") {
            $count = 1;


            $productViewQuery = $wpdb->prepare(
                "INSERT INTO {$table_name}
            (product_id, product_name, count, date, data_type, user_id, ip_address, city, country, browser, source, device, last_activity)
            VALUES ( %d, %s, %d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s )",
                $productId,
                $prodName,
                $count,
                $date,
                $data_type,
                $user_id,
                $ip_address,
                $city,
                $country,
                $browser,
                $source,
                $device,
                $last_activity
            );

            $wpdb->query($productViewQuery);
        } else {
            $count = $count + 1;


            $update_query = $wpdb->prepare(
                "UPDATE {$table_name}
            SET count = %d,
            ip_address = %s,
            city = %s,
            country = %s,
            browser = %s,
            source = %s,
            device = %s,
            last_activity = %s,
            date = %s
            WHERE product_id = %d
            AND user_id = %s
            AND ip_address = %s
            AND browser = %s
            AND source = %s
            AND device = %s
            AND data_type = %s",
                $count,
                $ip_address,
                $city,
                $country,
                $browser,
                $source,
                $device,
                $last_activity,
                $date,
                $productId,
                $user_id,
                $ip_address,
                $browser,
                $source,
                $device,
                $data_type
            );

            $wpdb->query($update_query);
        }
    }
}

function envo_edd_add_cart()
{
    global $wpdb;
    $download = edd_get_download($_POST['download_id']); // retrieve the download post data for ID current cart productId 

    $ip_address = envo_getIP();
    $user_id = get_current_user_id();
    $cartKey = md5($user_id . $ip_address);
    $data_type = "edd";
    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    if (!class_exists('Easy_Digital_Downloads')) {
        return;
    }

    $parser = new UAParser;
    $ua = $_SERVER['HTTP_USER_AGENT'];
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $result = $parser->parse($ua);
    $browser = $result->ua->family;
    $os = $result->os->family;
    $city = "";
    $country = "";

    if ($ip_address !== "::1") {
        $json       = file_get_contents("http://ipinfo.io/{$ip_address}");
        $details    = json_decode($json);
        $city = $details->city;
        $country = envo_getCountryName($details->country);
    }

    $current_time = current_time('timestamp');
    $compare_time = envo_get_compare_time();
    $refereral_link = envo_getRefURL();

    /* GET PRODUCT INFO BASED ON DOWNLOAD ID */

    $product_id       = $_POST['download_id'];
    $product_name     = $download->post_title;
    $product_quantity = 1;
    $product_price    = edd_get_download_price($_POST['download_id']);

   
    
    $query2 = $wpdb->prepare(
        "SELECT COUNT(id) as alreadyRec FROM {$table_name}
        WHERE cart_is_abandoned = '0' AND order_id IS NULL AND product_id = %s AND cart_id = %s AND data_type = %s",
        $product_id,
        $cartKey,
        $data_type
    );
    
    $query_ignored = $wpdb->get_col($query2)[0];
   

    if ($query_ignored == 0) {

        
        
        $insert_query = $wpdb->prepare(
            "INSERT INTO {$table_name}
            (user_id, product_id, qty, cart_id, last_update_time, cart_is_abandoned, productPrice, browser, os, ip_address, city, country, refereral_link, product_name, date, data_type, last_activity)
            VALUES (%s, %s, %s, %s, %s, '0', %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
            $user_id,
            $product_id,
            $product_quantity,
            $cartKey,
            $current_time,
            $product_price,
            $browser,
            $os,
            $ip_address,
            $city,
            $country,
            $refereral_link,
            $product_name,
            $date,
            $data_type,
            $last_activity
        );
        
        $wpdb->query($insert_query);
     
    }
}

function envo_edd_action_edd_checkout_cart()
{
    global $wpdb;

    $ip_address = envo_getIP();
    $user_id = get_current_user_id();
    $cartKey = md5($user_id . $ip_address);
    $data_type = "edd";
    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    if (!class_exists('Easy_Digital_Downloads')) {
        return;
    }

    $parser = new UAParser;
    $ua = $_SERVER['HTTP_USER_AGENT'];
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $result = $parser->parse($ua);
    $browser = $result->ua->family;
    $os = $result->os->family;
    $city = "";
    $country = "";

    if ($ip_address !== "::1") {
        $json       = file_get_contents("http://ipinfo.io/{$ip_address}");
        $details    = json_decode($json);
        $city = $details->city;
        $country = envo_getCountryName($details->country);
    }

    $current_time = current_time('timestamp');
    $compare_time = envo_get_compare_time();
    $refereral_link = envo_getRefURL();

    $cart_contents = edd_get_cart_content_details();
    $checkout_cart = 1;
    foreach ($cart_contents as $item) {
        $product_id       = $item["id"];
        $product_name     = $item["name"];
        $product_quantity = $item["quantity"];
        $product_price    = $item["item_price"];


        $update_checkout = $wpdb->prepare(
            "UPDATE {$table_name}
            SET qty = %s,
                last_update_time = %s,
                checkout_cart = %s,
                last_activity = %s,
                date = %s
            WHERE user_id = %s
                AND data_type = %s
                AND product_id IN (%s)
                AND cart_is_abandoned = '0'
                AND cart_id = %s
                AND order_id IS NULL",
            $product_quantity,
            $current_time,
            $checkout_cart,
            $last_activity,
            $date,
            $user_id,
            $data_type,
            $product_id,
            $cartKey
        );
        
        $wpdb->query($update_checkout);
        
    } 
}
function envo_edd_remove_cart($removeData)
{
    global $wpdb;
    $cart_contents = edd_get_cart_content_details();
    $product_id = $cart_contents[$removeData['cart_item']]['id'];

    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";
    $ip_address = envo_getIP();
    $user_id = get_current_user_id();
    $last_activity = date('Y-m-d H:i:s');
    $cartKey = md5($user_id . $ip_address);
    $data_type = "edd";
    $eddRemoveQuery = $wpdb->prepare(
        "UPDATE {$table_name}
        SET cart_is_abandoned = 1,
            last_activity = %s,
            checkout_cart = 0
        WHERE user_id = %d
            AND cart_id = %s
            AND data_type = %s
            AND product_id = %s",
        $last_activity,
        $user_id,
        $cartKey,
        $data_type,
        $product_id
    );
    
    $wpdb->query($eddRemoveQuery);
}

function envo_edd_success_cart()
{
    global $edd_receipt_args, $wpdb, $wp_session;
    $cart_contents = edd_get_cart_content_details();

    $data_type = "edd";
    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    $parser = new UAParser;
    $ua = $_SERVER['HTTP_USER_AGENT'];
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');


    $result = $parser->parse($ua);
    $ip_address = envo_getIP();
    $browser = $result->ua->family;
    $os = $result->os->family;
    $city = "";
    $country = "";

    if ($ip_address !== "::1") {
        $json       = file_get_contents("http://ipinfo.io/{$ip_address}");
        $details    = json_decode($json);
        $city = $details->city;
        $country = envo_getCountryName($details->country);
    }

    $user_id = get_current_user_id();
    $cartKey = md5($user_id . $ip_address);
    $current_time = current_time('timestamp');
    $compare_time = envo_get_compare_time();
    $refereral_link = envo_getRefURL();

    //Check last payment ID and increment 1
    $success_cart = 1;
    $table_name2 = $wpdb->prefix . "postmeta";
    $query2 = "SELECT MAX(post_id) as paymentId FROM $table_name2
    WHERE meta_key = '_edd_payment_meta'   ";
    $order_id = $wpdb->get_col($query2)[0];

    

    $query_insert_order = $wpdb->prepare(
        "UPDATE {$table_name}
        SET order_id = %d,
            success_transaction = 1,
            ip_address = %s,
            success_cart = %s,
            last_activity = %s,
            date = %s
        WHERE user_id = %s
            AND data_type = %s
            AND cart_id = %s
            AND cart_is_abandoned = '0'
            AND order_id IS NULL",
        $order_id,
        $ip_address,
        $success_cart,
        $last_activity,
        $date,
        $user_id,
        $data_type,
        $cartKey
    );
    
    $wpdb->query($query_insert_order);
   
}

// ______ START WOO COMMERCE WORK
function envo_abandoned_cart_updated()
{
    global $woocommerce, $wpdb;

    $data_type = "woo";
    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    $parser = new UAParser;

    $ua = $_SERVER['HTTP_USER_AGENT'];
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');


    $result = $parser->parse($ua);
    $ip = $_SERVER['REMOTE_ADDR'];
    $browser = $result->ua->family;
    $os = $result->os->family;
    $city = "";
    $country = "";
    if ($ip !== "::1") {
        $url = "http://ipinfo.io/{$ip}";

        // Use cURL to handle HTTP requests
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

        $json = curl_exec($ch);
        $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

        curl_close($ch);

        if ($httpCode == 200) {
            $details = json_decode($json);

            if ($details !== null) {
                $city = isset($details->city) ? $details->city : '';
                $country = isset($details->country) ? envo_getCountryName($details->country) : '';
            } else {
                // Handle the case where json_decode fails
                $city = '';
                $country = '';
            }
        } else {
            // Handle the case where the HTTP request fails
            $city = '';
            $country = '';
        }
    } else {
        // Handle the case where $ip is "::1"
        $city = '';
        $country = '';
    }

    $cart_contents = array();
    $cart_contents = $woocommerce->cart->cart_contents;

    $data = (array) WC()->session->get('customer');

    $customer_key = $woocommerce->session->get_customer_id();

    $user_id = get_current_user_id();
    $cartKey = md5($user_id . envo_getIP());

    $current_time = current_time('timestamp');

    $compare_time = envo_get_compare_time();

    $refereral_link = envo_getRefURL();

    $ip_address = envo_getIP();

    foreach ($cart_contents as $key => $cart_content) {

        $product_id = ($cart_content['variation_id'] > 0) ? $cart_content['variation_id'] : $cart_content['product_id'];
        $productPrice =  get_post_meta($product_id, '_sale_price', true);
        $product_name = wc_get_product($cart_content['product_id']);
        $product_name = $product_name->get_title();


        $query_abandoned = $wpdb->prepare(
            "SELECT * FROM {$table_name}
            WHERE user_id = %s
                AND product_id IN (%s)
                AND cart_id = %s
                AND cart_is_abandoned = 0
                AND order_id IS NULL
                AND data_type = %s",
            $user_id,
            $product_id,
            $cartKey,
            $data_type
        );
        
        $results_abandoned = $wpdb->get_results($query_abandoned, ARRAY_A);
 
        $rows_abandoned = $wpdb->num_rows;

     
                    $insert_query = $wpdb->prepare(
                        "INSERT INTO {$table_name}
                        (user_id, product_id, qty, cart_id, last_update_time, cart_is_abandoned, productPrice, browser, os, ip_address, city, country, refereral_link, product_name, date, data_type, customer_key, last_activity)
                        VALUES (%s, %s, %s, %s, %s, '0', %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
                        $user_id,
                        $product_id,
                        $cart_content['quantity'],
                        $cartKey,
                        $current_time,
                        $productPrice,
                        $browser,
                        $os,
                        $ip_address,
                        $city,
                        $country,
                        $refereral_link,
                        $product_name,
                        $date,
                        $data_type,
                        $customer_key,
                        $last_activity
                    );
                    
                   

        if ($rows_abandoned == 0) {

            $wpdb->query($insert_query);
        } else if ($compare_time > $results_abandoned[0]['last_update_time']) {

           
           
            $query_ignored = $wpdb->prepare(
                "UPDATE {$table_name}
                SET cart_is_abandoned = 1,
                    last_activity = %s,
                    date = %s
                WHERE user_id = %s
                    AND product_id IN (%s)",
                $last_activity,
                $date,
                $user_id,
                $product_id
            );
            
            $wpdb->query($query_ignored);
          
            $wpdb->query($insert_query);
        } else {

            
$query_update = $wpdb->prepare(
    "UPDATE {$table_name}
    SET qty = %s,
        last_update_time = %s,
        date = %s,
        last_activity = %s
    WHERE user_id = %s
        AND data_type = %s
        AND product_id IN (%s)
        AND cart_is_abandoned = '0'
        AND cart_id = %s
        AND order_id IS NULL",
    $cart_content['quantity'],
    $current_time,
    $date,
    $last_activity,
    $user_id,
    $data_type,
    $product_id,
    $cartKey
);

$wpdb->query($query_update);
            
        }
    }
}

function envo_abandoned_cart_checkout()
{
    global $woocommerce, $wpdb;
    $checkout_cart = 1;
    $data_type = "woo";
    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    $parser = new UAParser;

    $ua = $_SERVER['HTTP_USER_AGENT'];
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $result = $parser->parse($ua);
    $ip = $_SERVER['REMOTE_ADDR'];
    $browser = $result->ua->family;
    $os = $result->os->family;

    $city = "";
    $country = "";

    if ($ip != "::1") {
        $json       = file_get_contents("http://ipinfo.io/{$ip}");
        $details    = json_decode($json);
        $city = $details->city;
        $country = envo_getCountryName($details->country);
    }

    $cart_contents = array();
    $cart_contents = $woocommerce->cart->cart_contents;

    $data = (array) WC()->session->get('customer');

    $customer_key = $woocommerce->session->get_customer_id();

    $user_id = get_current_user_id();
    $cartKey = md5($user_id . envo_getIP());

    $current_time = current_time('timestamp');

    $compare_time = envo_get_compare_time();

    $refereral_link = envo_getRefURL();

    $ip_address = envo_getIP();

    foreach ($cart_contents as $key => $cart_content) {

        $product_id = ($cart_content['variation_id'] > 0) ? $cart_content['variation_id'] : $cart_content['product_id'];
        $productPrice =  get_post_meta($product_id, '_sale_price', true);
        $product_name = class_exists('WooCommerce') ? wc_get_product($cart_content['product_id']) : 1;

        $product_name = $product_name->get_title();

        $query_update = $wpdb->prepare(
            "UPDATE {$table_name}
            SET ip_address  = %s,
                last_update_time = %s,
                last_activity = %s,
                date = %s,
                checkout_cart = %s
            WHERE user_id = %s
                AND data_type = %s
                AND product_id IN (%s)
                AND cart_is_abandoned = '0'
                AND cart_id = %s
                AND order_id IS NULL",
            $ip_address,
            $current_time,
            $last_activity,
            $date,
            $checkout_cart,
            $user_id,
            $data_type,
            $product_id,
            $cartKey
        );
        
        $wpdb->query($query_update);
    }
}

function envo_abandoned_remove_cart_item($cart_item_key)
{
    global $woocommerce, $wpdb;
    $data_type = "woo";
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    $user_id = get_current_user_id();
    $cartKey = md5($user_id . envo_getIP());

    $car_items_count = $woocommerce->cart->get_cart_contents_count();

    $cart_contents = $woocommerce->cart->cart_contents[$cart_item_key];

    $product_id = (!empty($cart_contents['variation_id'])) ? $cart_contents['variation_id'] : ((version_compare(WOOCOMMERCE_VERSION, '2.0', '<')) ? $cart_contents['id'] : $cart_contents['product_id']);

    $query_max_id = $wpdb->prepare(
        "SELECT MAX(id) 
        FROM {$table_name}
        WHERE user_id = %d
            AND cart_id = %d
            AND data_type = %s
            AND product_id = %d",
        $user_id,
        $cartKey,
        $data_type,
        $product_id
    );

    $results_max_id = $wpdb->get_col($query_max_id);
    $results_max_id = implode(",", $results_max_id);

    //
    $query_update_cart_id = $wpdb->prepare(
        "UPDATE {$table_name}
        SET cart_is_abandoned = 1,
            date = %s,
            last_activity = %s
        WHERE user_id = %d
            AND product_id = %d
            AND data_type = %s
            AND id IN ({$results_max_id})",
        $date,
        $last_activity,
        $user_id,
        $product_id,
        $data_type
    );
    
    $wpdb->query($query_update_cart_id);
    //
}
function envo_abandoned_order_placed($order)
{
    global $woocommerce, $wpdb;
    $success_cart = 1;
    $data_type = "woo";
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $current_time = current_time('timestamp');

    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";

    $user_id = get_current_user_id();
    $cartKey = md5($user_id . envo_getIP());

    $order_data = array();

    if (defined('envoFlix_IS_WOO30') && envoFlix_IS_WOO30 == "true") {
        $order_data = $order->get_data();
        $items = $order->get_items();

        $paymethod = $order_data['payment_method'];
        $orderstat = $order_data['status'];

        if (!empty($items)) {
            foreach ($items as $item) {
                $order_items[] = $item->get_data();
            }
        }

        $order_id = (!empty($order_data['id'])) ? $order_data['id'] : '';
    } else {
        $order_id = $order->id;
        $order_items = $order->get_items();
    }

    if (empty($order_items)) return;

    $compare_time = envo_get_compare_time();

    foreach ($order_items as $item) {

        $product_id = (!empty($item['variation_id'])) ? $item['variation_id'] : ((version_compare(WOOCOMMERCE_VERSION, '2.0', '<')) ? $item['id'] : $item['product_id']);

        
   
        $query_abandoned = $wpdb->prepare(
            "SELECT * FROM {$table_name}
            WHERE user_id = %d
                AND data_type = %s
                AND product_id IN (%s)
                AND cart_is_abandoned = 0
                AND order_id IS NULL
                AND cart_id = %s",
            $user_id,
            $data_type,
            $product_id,
            $cartKey
        );
        
        $results_abandoned = $wpdb->get_results($query_abandoned, ARRAY_A);
       
        $rows_abandoned = $wpdb->num_rows;

        if ($compare_time > $results_abandoned[0]['last_update_time']) {
            $cart_is_abandoned = 1;
        } else {
            $cart_is_abandoned = 0;
        }
        $success_transaction = " ";
        if (($orderstat == 'completed') && ($paymethod != 'cod')) {
            $success_transaction = " , success_transaction = 1 ";
        }

        $ip_address = envo_getIP();

        if ($rows_abandoned > 0) {
            
            
            $query_insert_order = $wpdb->prepare(
                "UPDATE {$table_name}
                SET cart_is_abandoned = %d,
                    order_id = %d%s,
                    ip_address = %s,
                    date = %s,
                    last_activity = %s,
                    success_cart = %s
                WHERE user_id = %d
                    AND data_type = %s
                    AND product_id IN (%s)
                    AND cart_is_abandoned = '0'
                    AND order_id IS NULL",
                $cart_is_abandoned,
                $order_id,
                $success_transaction,
                $ip_address,
                $date,
                $last_activity,
                $success_cart,
                $user_id,
                $data_type,
                $product_id
            );
            
            $wpdb->query($query_insert_order);
         
        }
    }
}

function envo_action_woocommerce_order_refunded($order_id, $refund_id)
{
    global $woocommerce, $wpdb;
    $data_type = "woo";
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $table_name = $wpdb->prefix . "posts";
    $table_name2 = $wpdb->prefix . "postmeta";
    $table_name3 = $wpdb->prefix . "woo_envoflix_cart_items";

    $query = $wpdb->prepare(
        "SELECT id FROM {$table_name}
        WHERE post_parent = %d
            AND post_type = 'shop_order_refund'
            AND data_type = %s",
        $order_id,
        $data_type
    );
    
    $postIDs = $wpdb->get_results($query, ARRAY_A);

    $totalRefundAmount = 0;
    $totalRemainingAmount = 0;

   
        foreach ($postIDs as $postId => $val) {
            $query2 = $wpdb->prepare(
                "SELECT SUM(meta_value) as totalRefundAmount
                FROM {$table_name2}
                WHERE meta_key = '_refund_amount'
                    AND post_id IN(%d)
                    AND data_type = %s",
                $val['id'],
                $data_type
            );
        
            $totalRefundAmount += $wpdb->get_col($query2)[0];
        }
        //
    
    $totalRemainingAmount =  get_post_meta($order_id, '_order_total', true) - $totalRefundAmount;


    $query3 = $wpdb->prepare(
        "UPDATE {$table_name3}
        SET refund = %s, 
            amountAfterRefund = %d,
            last_activity = %s,
            date = %s
        WHERE order_id = %d
            AND data_type = %s",
        $totalRefundAmount,
        $totalRemainingAmount,
        $last_activity,
        $date,
        $order_id,
        $data_type
    );
    
    $wpdb->query($query3);
 
}

function envo_woocommerce_after_cart_item_quantity_update($cart_item_key, $quantity, $old_quantity)
{

    global $woocommerce, $wpdb;
    $data_type = "woo";
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $table_name = $wpdb->prefix . "woo_envoflix_cart_items";
    $user_id = get_current_user_id();
    $cartKey = md5($user_id . envo_getIP());

    $current_time = current_time('timestamp');

    $cart_contents = $woocommerce->cart->cart_contents[$cart_item_key];
    $product_id = (!empty($cart_contents['variation_id'])) ? $cart_contents['variation_id'] : ((version_compare(WOOCOMMERCE_VERSION, '2.0', '<')) ? $cart_contents['id'] : $cart_contents['product_id']);

    $newQuantity = $quantity;

    $query_update = $wpdb->prepare(
        "UPDATE {$table_name}
        SET qty = %d,
            last_update_time = %s,
            date = %s
        WHERE user_id = %d
            AND data_type = %s
            AND last_activity = %s
            AND product_id IN ({ $product_id})
            AND cart_is_abandoned = '0'
            AND cart_id = %s
            AND order_id IS NULL",
        $newQuantity,
        $current_time,
        $date,
        $user_id,
        $data_type,
        $last_activity,
        $cartKey
    );
    
    $wpdb->query($query_update);
}

function envo_viewProduct()
{
    global $product, $wpdb;
    $productId = $product->get_id();
    $table_name = $wpdb->prefix . "woo_envoflix_view_product";
    $woo_envoflix_cart_items = $wpdb->prefix . "woo_envoflix_cart_items";
    $date = date("Y-m-d");
    $last_activity = date('Y-m-d H:i:s');

    $data_type = "woo";

    $user_id = get_current_user_id();
    $ip_address = envo_getIP();
    $ua = $_SERVER['HTTP_USER_AGENT'];

    $parser = new UAParser;
    $result = $parser->parse($ua);
    $browser = $result->ua->family;
    $device = $result->os->family;
    $source = envo_getRefURL();

    $city = "";
    $country = "";

    if ($ip_address != "::1") {
        $json       = file_get_contents("http://ipinfo.io/{$ip_address}");
        $details    = json_decode($json);
        $city = $details->city;
        $country = envo_getCountryName($details->country);
    }

    $cartKey = md5($user_id . $ip_address);
    
    $query = $wpdb->prepare(
        "SELECT MAX(count) as count
        FROM {$table_name}
        WHERE product_id = %d
            AND user_id = %s
            AND ip_address = %s
            AND browser = %s
            AND source = %s
            AND device = %s
            AND data_type = %s",
        $productId,
        $user_id,
        $ip_address,
        $browser,
        $source,
        $device,
        $data_type
    );
    
    $count = $wpdb->get_col($query)[0];
    
    if ($count == null || $count == "") {
        $count = 1;
      
        $insert_query = $wpdb->prepare(
            "INSERT INTO {$table_name}
            (product_id, count, date, data_type, user_id, ip_address, city, country, browser, source, device, last_activity)
            VALUES (%s, %d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
            $productId,
            $count,
            $date,
            $data_type,
            $user_id,
            $ip_address,
            $city,
            $country,
            $browser,
            $source,
            $device,
            $last_activity
        );
        
        $wpdb->query($insert_query);
     
    } else {
        $count = $count + 1;
      
        $update_query = $wpdb->prepare(
            "UPDATE {$table_name}
            SET count = %d,
                ip_address = %s,
                city = %s,
                country = %s,
                browser = %s,
                source = %s,
                device = %s,
                last_activity = %s,
                date = %s
            WHERE product_id = %d
                AND user_id = %s
                AND ip_address = %s
                AND browser = %s
                AND source = %s
                AND device = %s
                AND data_type = %s",
            $count,
            $ip_address,
            $city,
            $country,
            $browser,
            $source,
            $device,
            $last_activity,
            $date,
            $productId,
            $user_id,
            $ip_address,
            $browser,
            $source,
            $device,
            $data_type
        );
        
        $wpdb->query($update_query);
      
    }
}



function getUserForRealData($user_id, $col = null)
{
    global $wpdb;
    $query = $wpdb->prepare(
        "SELECT %s AS col
        FROM {$wpdb->prefix}users
        WHERE id = %d",
        $col,
        $user_id
    );
    
    $count = $wpdb->get_col($query)[0];

    return $count;
}
$countryList = array(
    'AF' => 'Afghanistan',
    'AX' => 'Aland Islands',
    'AL' => 'Albania',
    'DZ' => 'Algeria',
    'AS' => 'American Samoa',
    'AD' => 'Andorra',
    'AO' => 'Angola',
    'AI' => 'Anguilla',
    'AQ' => 'Antarctica',
    'AG' => 'Antigua and Barbuda',
    'AR' => 'Argentina',
    'AM' => 'Armenia',
    'AW' => 'Aruba',
    'AU' => 'Australia',
    'AT' => 'Austria',
    'AZ' => 'Azerbaijan',
    'BS' => 'Bahamas the',
    'BH' => 'Bahrain',
    'BD' => 'Bangladesh',
    'BB' => 'Barbados',
    'BY' => 'Belarus',
    'BE' => 'Belgium',
    'BZ' => 'Belize',
    'BJ' => 'Benin',
    'BM' => 'Bermuda',
    'BT' => 'Bhutan',
    'BO' => 'Bolivia',
    'BA' => 'Bosnia and Herzegovina',
    'BW' => 'Botswana',
    'BV' => 'Bouvet Island (Bouvetoya)',
    'BR' => 'Brazil',
    'IO' => 'British Indian Ocean Territory (Chagos Archipelago)',
    'VG' => 'British Virgin Islands',
    'BN' => 'Brunei Darussalam',
    'BG' => 'Bulgaria',
    'BF' => 'Burkina Faso',
    'BI' => 'Burundi',
    'KH' => 'Cambodia',
    'CM' => 'Cameroon',
    'CA' => 'Canada',
    'CV' => 'Cape Verde',
    'KY' => 'Cayman Islands',
    'CF' => 'Central African Republic',
    'TD' => 'Chad',
    'CL' => 'Chile',
    'CN' => 'China',
    'CX' => 'Christmas Island',
    'CC' => 'Cocos (Keeling) Islands',
    'CO' => 'Colombia',
    'KM' => 'Comoros the',
    'CD' => 'Congo',
    'CG' => 'Congo the',
    'CK' => 'Cook Islands',
    'CR' => 'Costa Rica',
    'CI' => 'Cote d\'Ivoire',
    'HR' => 'Croatia',
    'CU' => 'Cuba',
    'CY' => 'Cyprus',
    'CZ' => 'Czech Republic',
    'DK' => 'Denmark',
    'DJ' => 'Djibouti',
    'DM' => 'Dominica',
    'DO' => 'Dominican Republic',
    'EC' => 'Ecuador',
    'EG' => 'Egypt',
    'SV' => 'El Salvador',
    'GQ' => 'Equatorial Guinea',
    'ER' => 'Eritrea',
    'EE' => 'Estonia',
    'ET' => 'Ethiopia',
    'FO' => 'Faroe Islands',
    'FK' => 'Falkland Islands (Malvinas)',
    'FJ' => 'Fiji the Fiji Islands',
    'FI' => 'Finland',
    'FR' => 'France, French Republic',
    'GF' => 'French Guiana',
    'PF' => 'French Polynesia',
    'TF' => 'French Southern Territories',
    'GA' => 'Gabon',
    'GM' => 'Gambia the',
    'GE' => 'Georgia',
    'DE' => 'Germany',
    'GH' => 'Ghana',
    'GI' => 'Gibraltar',
    'GR' => 'Greece',
    'GL' => 'Greenland',
    'GD' => 'Grenada',
    'GP' => 'Guadeloupe',
    'GU' => 'Guam',
    'GT' => 'Guatemala',
    'GG' => 'Guernsey',
    'GN' => 'Guinea',
    'GW' => 'Guinea-Bissau',
    'GY' => 'Guyana',
    'HT' => 'Haiti',
    'HM' => 'Heard Island and McDonald Islands',
    'VA' => 'Holy See (Vatican City State)',
    'HN' => 'Honduras',
    'HK' => 'Hong Kong',
    'HU' => 'Hungary',
    'IS' => 'Iceland',
    'IN' => 'India',
    'ID' => 'Indonesia',
    'IR' => 'Iran',
    'IQ' => 'Iraq',
    'IE' => 'Ireland',
    'IM' => 'Isle of Man',
    'IL' => 'Israel',
    'IT' => 'Italy',
    'JM' => 'Jamaica',
    'JP' => 'Japan',
    'JE' => 'Jersey',
    'JO' => 'Jordan',
    'KZ' => 'Kazakhstan',
    'KE' => 'Kenya',
    'KI' => 'Kiribati',
    'KP' => 'Korea',
    'KR' => 'Korea',
    'KW' => 'Kuwait',
    'KG' => 'Kyrgyz Republic',
    'LA' => 'Lao',
    'LV' => 'Latvia',
    'LB' => 'Lebanon',
    'LS' => 'Lesotho',
    'LR' => 'Liberia',
    'LY' => 'Libyan Arab Jamahiriya',
    'LI' => 'Liechtenstein',
    'LT' => 'Lithuania',
    'LU' => 'Luxembourg',
    'MO' => 'Macao',
    'MK' => 'Macedonia',
    'MG' => 'Madagascar',
    'MW' => 'Malawi',
    'MY' => 'Malaysia',
    'MV' => 'Maldives',
    'ML' => 'Mali',
    'MT' => 'Malta',
    'MH' => 'Marshall Islands',
    'MQ' => 'Martinique',
    'MR' => 'Mauritania',
    'MU' => 'Mauritius',
    'YT' => 'Mayotte',
    'MX' => 'Mexico',
    'FM' => 'Micronesia',
    'MD' => 'Moldova',
    'MC' => 'Monaco',
    'MN' => 'Mongolia',
    'ME' => 'Montenegro',
    'MS' => 'Montserrat',
    'MA' => 'Morocco',
    'MZ' => 'Mozambique',
    'MM' => 'Myanmar',
    'NA' => 'Namibia',
    'NR' => 'Nauru',
    'NP' => 'Nepal',
    'AN' => 'Netherlands Antilles',
    'NL' => 'Netherlands the',
    'NC' => 'New Caledonia',
    'NZ' => 'New Zealand',
    'NI' => 'Nicaragua',
    'NE' => 'Niger',
    'NG' => 'Nigeria',
    'NU' => 'Niue',
    'NF' => 'Norfolk Island',
    'MP' => 'Northern Mariana Islands',
    'NO' => 'Norway',
    'OM' => 'Oman',
    'PK' => 'Pakistan',
    'PW' => 'Palau',
    'PS' => 'Palestinian Territory',
    'PA' => 'Panama',
    'PG' => 'Papua New Guinea',
    'PY' => 'Paraguay',
    'PE' => 'Peru',
    'PH' => 'Philippines',
    'PN' => 'Pitcairn Islands',
    'PL' => 'Poland',
    'PT' => 'Portugal, Portuguese Republic',
    'PR' => 'Puerto Rico',
    'QA' => 'Qatar',
    'RE' => 'Reunion',
    'RO' => 'Romania',
    'RU' => 'Russian Federation',
    'RW' => 'Rwanda',
    'BL' => 'Saint Barthelemy',
    'SH' => 'Saint Helena',
    'KN' => 'Saint Kitts and Nevis',
    'LC' => 'Saint Lucia',
    'MF' => 'Saint Martin',
    'PM' => 'Saint Pierre and Miquelon',
    'VC' => 'Saint Vincent and the Grenadines',
    'WS' => 'Samoa',
    'SM' => 'San Marino',
    'ST' => 'Sao Tome and Principe',
    'SA' => 'Saudi Arabia',
    'SN' => 'Senegal',
    'RS' => 'Serbia',
    'SC' => 'Seychelles',
    'SL' => 'Sierra Leone',
    'SG' => 'Singapore',
    'SK' => 'Slovakia (Slovak Republic)',
    'SI' => 'Slovenia',
    'SB' => 'Solomon Islands',
    'SO' => 'Somalia, Somali Republic',
    'ZA' => 'South Africa',
    'GS' => 'South Georgia and the South Sandwich Islands',
    'ES' => 'Spain',
    'LK' => 'Sri Lanka',
    'SD' => 'Sudan',
    'SR' => 'Suriname',
    'SJ' => 'Svalbard & Jan Mayen Islands',
    'SZ' => 'Swaziland',
    'SE' => 'Sweden',
    'CH' => 'Switzerland, Swiss Confederation',
    'SY' => 'Syrian Arab Republic',
    'TW' => 'Taiwan',
    'TJ' => 'Tajikistan',
    'TZ' => 'Tanzania',
    'TH' => 'Thailand',
    'TL' => 'Timor-Leste',
    'TG' => 'Togo',
    'TK' => 'Tokelau',
    'TO' => 'Tonga',
    'TT' => 'Trinidad and Tobago',
    'TN' => 'Tunisia',
    'TR' => 'Turkey',
    'TM' => 'Turkmenistan',
    'TC' => 'Turks and Caicos Islands',
    'TV' => 'Tuvalu',
    'UG' => 'Uganda',
    'UA' => 'Ukraine',
    'AE' => 'United Arab Emirates',
    'GB' => 'United Kingdom',
    'US' => 'United States of America',
    'UM' => 'United States Minor Outlying Islands',
    'VI' => 'United States Virgin Islands',
    'UY' => 'Uruguay, Eastern Republic of',
    'UZ' => 'Uzbekistan',
    'VU' => 'Vanuatu',
    'VE' => 'Venezuela',
    'VN' => 'Vietnam',
    'WF' => 'Wallis and Futuna',
    'EH' => 'Western Sahara',
    'YE' => 'Yemen',
    'ZM' => 'Zambia',
    'ZW' => 'Zimbabwe'
);

function envo_getCountryName($code)
{

    $code = strtoupper($code);

    global $countryList;
    if (!$countryList[$code]) return $code;
    else return $countryList[$code];
}

function envo_get_ecommerce_col($prodId = null, $dataName = null, $data_type = null)
{
    global $wpdb;

    $table_name = $wpdb->prefix . 'woo_envoflix_cart_items';
    $envoflix_visitors = $wpdb->prefix . 'envoflix_visitors';
    $woo_envoflix_view_product = $wpdb->prefix . 'woo_envoflix_view_product';
    if ($data_type == "wooData")
        $data_type = " AND data_type = 'woo' ";
    if ($data_type == "eddData")
        $data_type = " AND data_type = 'edd' ";

    if ($dataName == "add_cart") {
        $res = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE cart_is_abandoned = 0 AND success_cart = 0 AND checkout_cart = 0 AND order_id IS NULL  AND product_id='" . $prodId . "'  " . $data_type . " ");
    } else if ($dataName == "remove_cart") {
        $res = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE cart_is_abandoned = 1   AND order_id IS NULL AND product_id='" . $prodId . "'  " . $data_type . " ");
    } else if ($dataName == "checkout_cart") {
        $res = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE order_id IS NULL AND checkout_cart = 1 AND product_id='" . $prodId . "'  " . $data_type . "  ");
    } else if ($dataName == "success_cart") {
        $res = $wpdb->get_col("SELECT SUM(qty)  as Col FROM $table_name WHERE success_cart = 1 AND order_id IS NOT NULL AND product_id='" . $prodId . "'  " . $data_type . " ");
    } else if ($dataName == "refund") {
        $res = $wpdb->get_col("SELECT COUNT(TR.refund) as Col FROM (SELECT DISTINCT order_id , refund FROM $table_name WHERE product_id='" . $prodId . "'  " . $data_type . " AND refund >0 AND order_id IS NOT NULL ) AS TR ");
    } else if ($dataName == "average") {
        $res = $wpdb->get_col("SELECT ROUND(SUM(tr.pp) / COUNT(order_id)) as aveOrder FROM  (
            SELECT order_id, IF( amountAfterRefund > 0, amountAfterRefund, SUM(productPrice * qty) ) as pp FROM wp_woo_envoflix_cart_items  WHERE product_id='" . $prodId . "'  " . $data_type . " AND  order_id IS NOT NULL  group by order_id ) as tr ");
    } else if ($dataName == "conversion") {
        $res = $wpdb->get_col("SELECT CONCAT(ROUND((count(TR.totalActions)/(SELECT count(id) FROM $envoflix_visitors)) * 100),'%') as Conversion
            FROM (SELECT user_id as totalActions FROM $table_name WHERE product_id='" . $prodId . "'  " . $data_type . " AND order_id IS NOT NULL  GROUP BY  ip_address,user_id) as TR ");
    } else if ($dataName == "views") {
        $res = $wpdb->get_col("SELECT MAX(count) as Col FROM $woo_envoflix_view_product WHERE product_id='" . $prodId . "'  " . $data_type . "  ");
    }


    if ($res[0] == null || $res[0] == "")
        $res[0] =  0;

    return $res[0];
}



function envo_getAllDataQuery($param = "", $allDataFilter = "", $whereProductAll = "", $whereFromDate = "", $whereToDate = "")
{
    global $wpdb;

    if ($param == "ac")
        $check = " cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 0 ";
    if ($param == "rc")
        $check = " cart_is_abandoned = 1 AND order_id IS  NULL ";
    if ($param == "cc")
        $check = " cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 1 ";
    if ($param == "sc")
        $check = " cart_is_abandoned = 0 AND order_id IS NOT NULL AND success_cart = 1 ";
    if ($param == "rfc")
        $check = "  cart_is_abandoned = 0 AND refund > 1 ";

    /* MAIN QUERY */
    $sql1 = "SELECT DISTINCT COUNT(id) as value, country as data ,'country' as type , CONCAT(country,' : ',COUNT(id)) as result FROM wp_woo_envoflix_cart_items WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . "  GROUP BY country 

        UNION ALL
        SELECT DISTINCT COUNT(id) as value, city as data, 'city' as type,CONCAT(city,' : ',COUNT(id)) as result FROM wp_woo_envoflix_cart_items WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY city
        UNION ALL
        SELECT DISTINCT COUNT(id) as value, browser as data, 'browser' as type, CONCAT(browser,' : ',COUNT(id)) as result FROM wp_woo_envoflix_cart_items WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY browser
        UNION ALL 
        SELECT DISTINCT COUNT(id) as value, refereral_link  as data, 'source' as type , CONCAT(refereral_link,' : ',COUNT(id)) as result FROM wp_woo_envoflix_cart_items WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY refereral_link
        UNION ALL 
        SELECT DISTINCT COUNT(id) as value, os as data, 'device' as type , CONCAT(os,' : ',COUNT(id)) as result FROM wp_woo_envoflix_cart_items WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY os";
    $queryToPass = $sql1;

    if ($param == "vp") {
        $check = "  product_id > 0 ";
        /*PRODUCT VIEW QUERY*/
        $sql2 = "SELECT  DISTINCT COUNT(id) as value, country as data ,'country' as type , CONCAT(country,' : ',COUNT(id)) as result FROM wp_woo_envoflix_view_product WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . "  GROUP BY country

            UNION ALL
            SELECT  DISTINCT COUNT(id) as value, city as data, 'city' as type,CONCAT(city,' : ',SUM(count)) as result FROM wp_woo_envoflix_view_product WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY city
            UNION ALL
            SELECT  DISTINCT COUNT(id) as value, browser as data, 'browser' as type, CONCAT(browser,' : ',SUM(count)) as result FROM wp_woo_envoflix_view_product WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY browser
            UNION ALL 
            SELECT  DISTINCT COUNT(id) as value, source  as data, 'source' as type , CONCAT(source,' : ',SUM(count)) as result FROM wp_woo_envoflix_view_product WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY source
            UNION ALL 
            SELECT  DISTINCT COUNT(id) as value, device as data, 'device' as type , CONCAT(device,' : ',SUM(count)) as result FROM wp_woo_envoflix_view_product WHERE " . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . " GROUP BY device";
        $queryToPass = $sql2;
    }

    return $queryToPass;
}


function envo_getTotalCart($param = "", $allDataFilter = "", $whereProductAll = "", $whereFromDate = "", $whereToDate = "")
{
    global $wpdb;


    $value = " sum(qty) as value ";
    if ($param == "ac")
        $check = "  cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 0 ";
    if ($param == "rc")
        $check = " cart_is_abandoned = 1 AND order_id IS NULL";
    if ($param == "cc")
        $check = "  cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 1 ";
    if ($param == "sc")
        $check = "  cart_is_abandoned = 0 AND order_id IS NOT NULL AND success_cart = 1 ";

    if ($param == "rfc") {
        $check = "  cart_is_abandoned = 0 AND refund > 1 ";
        $value = " count(order_id) as value ";
    }

    /* MAIN QUERY */
    $totalCartQuery = 'SELECT  ' . $value . '
     FROM wp_woo_envoflix_cart_items WHERE ' . $check . $allDataFilter . $whereProductAll . $whereFromDate . $whereToDate . '  ';
    $queryToPass = $totalCartQuery;

    if ($param == "vp") {
    /*PRODUCT VIEW QUERY*/
        $totalViewsQuery = "SELECT  sum(count) as value
     FROM wp_woo_envoflix_view_product WHERE product_id > 0 " . $whereFromDate . $whereToDate . $allDataFilter . "  ";
        $queryToPass = $totalViewsQuery;
    }


    $totalAddCart = $wpdb->get_col($queryToPass)[0];
    if ($totalAddCart == "" || $totalAddCart == null)
        $totalAddCart = 0;

    return $totalAddCart;
}


function envo_getUserDetail($user_id = 0, $columnName = null)
{
    global $wpdb;

    $query =  "SELECT CONCAT( pmt.meta_value,' ',pmt2.meta_value) as user_name ,pmt3.meta_value as email FROM (
    SELECT post_id FROM wp_postmeta where meta_key = '_customer_user' AND meta_value = '" . $user_id . "' order by meta_id desc limit 1 ) as TR
INNER JOIN wp_postmeta as pmt ON (TR.post_id = pmt.post_id) AND pmt.meta_key='_billing_first_name'
INNER JOIN wp_postmeta as pmt2 ON (TR.post_id = pmt2.post_id) AND pmt2.meta_key='_billing_last_name'
INNER JOIN wp_postmeta as pmt3 ON (TR.post_id = pmt3.post_id) AND pmt3.meta_key='_billing_email'";

    $results = $wpdb->get_results($query, ARRAY_A);
    foreach ($results as $key) {
        $userName =  $key['user_name'];
        $userEmail = $key['email'];
    }
    if ($columnName == "name")
        return $userName;

    if ($columnName == "email")
        return $userEmail;
}

/* FETCH Ecommerce Statistics*/
if (isset($_POST['ecommerceProdList'])) {
    global $wpdb;

    if ($_POST["donutSelectOption"] == "pw")
        $donutSelectOption = "pw";
    else if ($_POST["donutSelectOption"] == "cw")
        $donutSelectOption = "cw";
    else if ($_POST["donutSelectOption"] == "sw")
        $donutSelectOption = "sw";
    else if ($_POST["donutSelectOption"] == "dw")
        $donutSelectOption = "dw";

    $donutSelectSubOption = $_POST["donutSelectSubOption"];
    if ($donutSelectSubOption == null || $donutSelectSubOption == "all" || $donutSelectSubOption == "")
        $donutSelectSubOption = "all";

    $whereProduct = "";
    $groupBy = "";
    $dataWise = $_POST['donutSelectOption'];
    $CartDataOption = $_POST['donutCartDataOption'];
    $fromDate = $_POST['allDateFilter'];
    $toDate = $_POST['allToDateFilter'];
    $allProdFilter = $_POST['allProdFilter'];

    $whereProductAll = "";

    if ($allProdFilter != "all" && $allProdFilter != "null" && $allProdFilter != "")
        $whereProductAll = " AND product_id = '" . $allProdFilter . "' ";

    $subOption = "all";
    $whereFromDate = "";
    $whereToDate = "";

    $showAll = $_POST["showAll"];

    if ($fromDate != ""  && $fromDate != null) {
        $whereFromDate = " AND date >= '" . $fromDate . "' ";
    }
    if ($fromDate != "" && $fromDate != null && $toDate != "" && $toDate != null) {
        $whereToDate = " AND date <= '" . $toDate . "' ";
    }
    $title_index = "product_name";
    $groupBy = " GROUP BY product_id ";
    if ($dataWise == "pw") {
        $groupBy = " GROUP BY product_id ";
        $title_index = "product_name";
        $th_name = "Product";
        $subOption = $_POST['donutSelectSubOption'];
    } else if ($dataWise == "cw") {
        $groupBy = " GROUP BY country ";
        $title_index = "country";
        $th_name = "Country";
        $subOption = $_POST['donutSelectSubOption'];
    } else if ($dataWise == "dw") {
        $groupBy = " GROUP BY os ";
        $subOption = $_POST['donutSelectSubOption'];
        $title_index = "os";
        $th_name = "Device";
    } else if ($dataWise == "sw") {
        $groupBy = " GROUP BY refereral_link ";
        $subOption = "all";
        $title_index = "refereral_link";
        $th_name = "Source";
    } else if ($dataWise == "bw") {
        $groupBy = " GROUP BY browser ";
        $subOption = $_POST['donutSelectSubOption'];
        $title_index = "browser";
        $th_name = "Browser";
    }

    if ($subOption != "" && $subOption != null && $subOption != "all") {
        if ($dataWise == "pw")
            $whereProduct = " AND product_id = '" . $subOption . "' ";
        else if ($dataWise == "cw")
            $whereProduct = " AND country = '" . envo_getCountryName($subOption) . "' ";
        else if ($dataWise == "dw")
            $whereProduct = " AND os = '" . $subOption . "' ";
        else if ($dataWise == "bw")
            $whereProduct = " AND browser LIKE '%" . $subOption . "%' ";
    }

    $allDataFilter = " AND data_type ='woo' ";
    if ($_POST['allDataFilter'] == "wooData")
        $allDataFilter = " AND data_type ='woo' ";
    if ($_POST['allDataFilter'] == "eddData")
        $allDataFilter = " AND data_type ='edd' ";

    //____ FOR ADD CART DATA
    $addCartQuery = 'SELECT DISTINCT sum(qty) as value, product_name, os, browser, country , refereral_link FROM wp_woo_envoflix_cart_items WHERE cart_is_abandoned = 0 AND order_id IS NULL  AND checkout_cart = 0 AND success_cart = 0
    ' . $whereProduct . $whereFromDate . $whereToDate . $allDataFilter . $groupBy . '  ';

    //____ FOR REMOVE CART DATA
    $removeCartQuery = 'SELECT DISTINCT sum(qty) as value, product_name, os, browser, country , refereral_link FROM wp_woo_envoflix_cart_items WHERE cart_is_abandoned = 1 AND order_id IS NULL AND checkout_cart = 0 AND success_cart = 0
    ' . $whereProduct . $whereFromDate . $whereToDate . $allDataFilter . $groupBy . '  ';

    //____ FOR CHECKOUT CART DATA
    $checkoutCartQuery = 'SELECT DISTINCT sum(qty) as value, product_name, os, browser, country , refereral_link FROM wp_woo_envoflix_cart_items WHERE cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 1
     ' . $whereProduct . $whereFromDate . $whereToDate . $allDataFilter . $groupBy . '  ';

    //____ FOR SUCCESS CART DATA
    $successCartQuery = 'SELECT DISTINCT sum(qty) as value, product_name, os, browser, country , refereral_link FROM wp_woo_envoflix_cart_items WHERE cart_is_abandoned = 0 AND order_id IS NOT NULL AND success_cart = 1
     ' . $whereProduct . $whereFromDate . $whereToDate . $allDataFilter . $groupBy . '  ';

    //____ FOR refund
    $refundCartQuery = 'SELECT DISTINCT COUNT(id) as value, product_name, os, browser, country , refereral_link FROM wp_woo_envoflix_cart_items WHERE cart_is_abandoned = 0 AND order_id IS NOT NULL AND refund > 0
     ' . $whereProduct . $whereFromDate . $whereToDate . $allDataFilter . $groupBy . '  ';

    //____ FOR VIEW CART
    $viewCartQuery = 'SELECT SUM(count) as value, product_name, device as os, browser, country , source as refereral_link  FROM wp_woo_envoflix_view_product
     WHERE product_id>0  ' . $whereProduct . $whereFromDate . $whereToDate . $allDataFilter . $groupBy . '  ';
    if ($CartDataOption == "ac") {
        $queryToPass = $addCartQuery;
        $th_data = "ADD CARTS";
    } else if ($CartDataOption == "rc") {
        $queryToPass = $removeCartQuery;
        $th_data = "REMOVE CARTS";
    } else if ($CartDataOption == "cc") {
        $queryToPass = $checkoutCartQuery;
        $th_data = "CHECKOUT CARTS";
    } else if ($CartDataOption == "sc") {
        $queryToPass = $successCartQuery;
        $th_data = "SUCCESS CARTS";
    } else if ($CartDataOption == "rfc") {
        $queryToPass = $refundCartQuery;
        $th_data = "Refund";
    } else if ($CartDataOption == "vc") {
        $queryToPass = $viewCartQuery;
        $th_data = "VIEW CARTS";
    }

    if ($showAll == 0) {

        $envo_getDonutData = $wpdb->get_results($queryToPass, ARRAY_A);

        $html = '
            <table id="aaecommerceProdStat" class="table table-hover stripe records-datatable" style="width:100%">
            <thead>
            <tr>
            <th>' . esc_html("S.no") . '</th>
            <th>' . esc_html($th_name) . '</th>
            <th>' . esc_html($th_data) . '</th>
            </tr>
            </thead>
            <tbody>';

        $i = 1;
        foreach ($envo_getDonutData as  $key) {
            $html .= '
                <tr>
                <td>' . esc_html($i) . '</td>
                <td>' . esc_html(($key[$title_index] == "" ? "N/A" : $key[$title_index])) . '</td>
                <td>' . esc_html(($key["value"] == "" ? "N/A" : $key["value"])) . '</td>
       
                </tr>
                ';
            $i++;
        }

        $html .= '</tbody></table>';
    }

    if ($showAll == 1) {

        $dataType = "woo";
        $ac_query = envo_getAllDataQuery("ac", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $ac_queryResult = $wpdb->get_results($ac_query, ARRAY_A);
        $rc_query = envo_getAllDataQuery("rc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $rc_queryResult = $wpdb->get_results($rc_query, ARRAY_A);
        $cc_query = envo_getAllDataQuery("cc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $cc_queryResult = $wpdb->get_results($cc_query, ARRAY_A);
        $sc_query = envo_getAllDataQuery("sc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $sc_queryResult = $wpdb->get_results($sc_query, ARRAY_A);

        $rfc_query = envo_getAllDataQuery("rfc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $rfc_queryResult = $wpdb->get_results($rfc_query, ARRAY_A);

        $vp_query = envo_getAllDataQuery("vp", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $vp_queryResult = $wpdb->get_results($vp_query, ARRAY_A);

        $ac_countries = array();
        $ac_cities = array();
        $ac_browsers = array();
        $ac_sources = array();
        $ac_devices = array();

        $rc_countries = array();
        $rc_cities = array();
        $rc_browsers = array();
        $rc_sources = array();
        $rc_devices = array();

        $cc_countries = array();
        $cc_cities = array();
        $cc_browsers = array();
        $cc_sources = array();
        $cc_devices = array();

        $sc_countries = array();
        $sc_cities = array();
        $sc_browsers = array();
        $sc_sources = array();
        $sc_devices = array();

        $rfc_countries = array();
        $rfc_cities = array();
        $rfc_browsers = array();
        $rfc_sources = array();
        $rfc_devices = array();

        $vp_countries = array();
        $vp_cities = array();
        $vp_browsers = array();
        $vp_sources = array();
        $vp_devices = array();

        foreach ($ac_queryResult as $ac_envo_data) {
            if ($ac_envo_data['type'] == "country")
                $ac_countries[] = ($ac_envo_data['result'] == "" ? "N/A" : $ac_envo_data['result']);
            if ($ac_envo_data['type'] == "city")
                $ac_cities[] = ($ac_envo_data['result']    == "" ? "N/A" : $ac_envo_data['result']);
            if ($ac_envo_data['type'] == "browser")
                $ac_browsers[] = ($ac_envo_data['result']  == "" ? "N/A" : $ac_envo_data['result']);
            if ($ac_envo_data['type'] == "source")
                $ac_sources[] = ($ac_envo_data['result']   == "" ? "N/A" : $ac_envo_data['result']);
            if ($ac_envo_data['type'] == "device")
                $ac_devices[] = ($ac_envo_data['result']   == "" ? "N/A" : $ac_envo_data['result']);
        }

        foreach ($rc_queryResult as $rc_envo_data) {
            if ($rc_envo_data['type'] == "country")
                $rc_countries[] = ($rc_envo_data['result'] == "" ? "N/A" : $rc_envo_data['result']);
            if ($rc_envo_data['type'] == "city")
                $rc_cities[] = ($rc_envo_data['result']    == "" ? "N/A" : $rc_envo_data['result']);
            if ($rc_envo_data['type'] == "browser")
                $rc_browsers[] = ($rc_envo_data['result']  == "" ? "N/A" : $rc_envo_data['result']);
            if ($rc_envo_data['type'] == "source")
                $rc_sources[] = ($rc_envo_data['result']   == "" ? "N/A" : $rc_envo_data['result']);
            if ($rc_envo_data['type'] == "device")
                $rc_devices[] = ($rc_envo_data['result']   == "" ? "N/A" : $rc_envo_data['result']);
        }

        foreach ($cc_queryResult as $cc_envo_data) {
            if ($cc_envo_data['type'] == "country")
                $cc_countries[] = ($cc_envo_data['result'] == "" ? "N/A" : $cc_envo_data['result']);
            if ($cc_envo_data['type'] == "city")
                $cc_cities[] = ($cc_envo_data['result']    == "" ? "N/A" : $cc_envo_data['result']);
            if ($cc_envo_data['type'] == "browser")
                $cc_browsers[] = ($cc_envo_data['result']  == "" ? "N/A" : $cc_envo_data['result']);
            if ($cc_envo_data['type'] == "source")
                $cc_sources[] = ($cc_envo_data['result']   == "" ? "N/A" : $cc_envo_data['result']);
            if ($cc_envo_data['type'] == "device")
                $cc_devices[] = ($cc_envo_data['result']   == "" ? "N/A" : $cc_envo_data['result']);
        }
        foreach ($sc_queryResult as $sc_envo_data) {
            if ($sc_envo_data['type'] == "country")
                $sc_countries[] = ($sc_envo_data['result'] == "" ? "N/A" : $sc_envo_data['result']);
            if ($sc_envo_data['type'] == "city")
                $sc_cities[] = ($sc_envo_data['result']    == "" ? "N/A" : $sc_envo_data['result']);
            if ($sc_envo_data['type'] == "browser")
                $sc_browsers[] = ($sc_envo_data['result']  == "" ? "N/A" : $sc_envo_data['result']);
            if ($sc_envo_data['type'] == "source")
                $sc_sources[] = ($sc_envo_data['result']   == "" ? "N/A" : $sc_envo_data['result']);
            if ($sc_envo_data['type'] == "device")
                $sc_devices[] = ($sc_envo_data['result']   == "" ? "N/A" : $sc_envo_data['result']);
        }
        foreach ($rfc_queryResult as $rfc_envo_data) {
            if ($rfc_envo_data['type'] == "country")
                $rfc_countries[] = ($rfc_envo_data['result'] == "" ? "N/A" : $rfc_envo_data['result']);
            if ($rfc_envo_data['type'] == "city")
                $rfc_cities[] = ($rfc_envo_data['result']    == "" ? "N/A" : $rfc_envo_data['result']);
            if ($rfc_envo_data['type'] == "browser")
                $rfc_browsers[] = ($rfc_envo_data['result']  == "" ? "N/A" : $rfc_envo_data['result']);
            if ($rfc_envo_data['type'] == "source")
                $rfc_sources[] = ($rfc_envo_data['result']   == "" ? "N/A" : $rfc_envo_data['result']);
            if ($rfc_envo_data['type'] == "device")
                $rfc_devices[] = ($rfc_envo_data['result']   == "" ? "N/A" : $rfc_envo_data['result']);
        }
        foreach ($vp_queryResult as $vp_envo_data) {
            if ($vp_envo_data['type'] == "country")
                $vp_countries[] = ($vp_envo_data['result'] == "" ? "N/A" : $vp_envo_data['result']);
            if ($vp_envo_data['type'] == "city")
                $vp_cities[] = ($vp_envo_data['result']    == "" ? "N/A" : $vp_envo_data['result']);
            if ($vp_envo_data['type'] == "browser")
                $vp_browsers[] = ($vp_envo_data['result']  == "" ? "N/A" : $vp_envo_data['result']);
            if ($vp_envo_data['type'] == "source")
                $vp_sources[] = ($vp_envo_data['result']   == "" ? "N/A" : $vp_envo_data['result']);
            if ($vp_envo_data['type'] == "device")
                $vp_devices[] = ($vp_envo_data['result']   == "" ? "N/A" : $vp_envo_data['result']);
        }

        $totalAcRecords = max(sizeof($ac_countries), sizeof($ac_cities), sizeof($ac_browsers), sizeof($ac_sources), sizeof($ac_devices));
        $totalRcRecords = max(sizeof($rc_countries), sizeof($rc_cities), sizeof($rc_browsers), sizeof($rc_sources), sizeof($rc_devices));
        $totalCcRecords = max(sizeof($cc_countries), sizeof($cc_cities), sizeof($cc_browsers), sizeof($cc_sources), sizeof($cc_devices));
        $totalScRecords = max(sizeof($sc_countries), sizeof($sc_cities), sizeof($sc_browsers), sizeof($sc_sources), sizeof($sc_devices));
        $totalRfcRecords = max(sizeof($rfc_countries), sizeof($rfc_cities), sizeof($rfc_browsers), sizeof($rfc_sources), sizeof($rfc_devices));
        $totalVpRecords = max(sizeof($vp_countries), sizeof($vp_cities), sizeof($vp_browsers), sizeof($vp_sources), sizeof($vp_devices));

        $totalCartRecords = max($totalAcRecords, $totalRcRecords, $totalCcRecords, $totalScRecords, $totalRfcRecords, $totalVpRecords);

        $ac_TotalCart = envo_getTotalCart("ac", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $rc_TotalCart = envo_getTotalCart("rc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $cc_TotalCart = envo_getTotalCart("cc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $sc_TotalCart = envo_getTotalCart("sc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $rfc_TotalCart = envo_getTotalCart("rfc", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);
        $vp_TotalCart = envo_getTotalCart("vp", $allDataFilter, $whereProductAll, $whereFromDate, $whereToDate);

        $html = '<table id="aaaecommerceProdStat" class="table table-hover stripe records-datatable" style="width:100%">
            <thead>
            <tr>
            <th class="dark">' . esc_html("S.no") . '</th>
            <th class="dark">' . esc_html("Country") . '</th>
            <th class="dark">' . esc_html("City") . '</th>
            <th class="dark">' . esc_html("Browser") . '</th>
            <th class="dark">' . esc_html("Source") . '</th>
            <th class="dark">' . esc_html("Device") . '</th>

            <th class="light">' . esc_html("Country") . '</th>
            <th class="light">' . esc_html("City") . '</th>
            <th class="light">' . esc_html("Browser") . '</th>
            <th class="light">' . esc_html("Source") . '</th>
            <th class="light">' . esc_html("Device") . '</th>

            <th class="dark">' . esc_html("Country") . '</th>
            <th class="dark">' . esc_html("City") . '</th>
            <th class="dark">' . esc_html("Browser") . '</th>
            <th class="dark">' . esc_html("Source") . '</th>
            <th class="dark">' . esc_html("Device") . '</th>

            <th class="light">' . esc_html("Country") . '</th>
            <th class="light">' . esc_html("City") . '</th>
            <th class="light">' . esc_html("Browser") . '</th>
            <th class="light">' . esc_html("Source") . '</th>
            <th class="light">' . esc_html("Device") . '</th>

            <th class="dark">' . esc_html("Country") . '</th>
            <th class="dark">' . esc_html("City") . '</th>
            <th class="dark">' . esc_html("Browser") . '</th>
            <th class="dark">' . esc_html("Source") . '</th>
            <th class="dark">' . esc_html("Device") . '</th>

            <th class="light">' . esc_html("Country") . '</th>
            <th class="light">' . esc_html("City") . '</th>
            <th class="light">' . esc_html("Browser") . '</th>
            <th class="light">' . esc_html("Source") . '</th>
            <th class="light">' . esc_html("Device") . '</th>

            </tr>
            
            <tr>
            <th colspan="6"class="normal"> Add Carts : ' . esc_html($ac_TotalCart) . ' </th>
            <th colspan="5"class="normal"> Remove Carts : ' . esc_html($rc_TotalCart) . ' </th>
            <th colspan="5"class="normal"> Checkout Carts : ' . esc_html($cc_TotalCart) . ' </th>
            <th colspan="5"class="normal"> Success Carts : ' . esc_html($sc_TotalCart) . ' </th>
            <th colspan="5"class="normal"> Refund Carts : ' . esc_html($rfc_TotalCart) . ' </th>
            <th colspan="5"class="normal"> Product Views  : ' . esc_html($vp_TotalCart) . ' </th>
            </tr>

            </thead>
            <tbody>';

        $sr = 1;

        for ($i = 0; $i < $totalCartRecords; $i++) {

            $html .= '<tr>';
            $html .= '<td class="dark">' . esc_html($sr) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($ac_countries[$i])) ? ($ac_countries[$i])  : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($ac_cities[$i]))    ? ($ac_cities[$i])     : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($ac_browsers[$i]))  ? ($ac_browsers[$i])   : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($ac_sources[$i]))   ? ($ac_sources[$i])    : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($ac_devices[$i]))   ? ($ac_devices[$i])    : ("N/A"))) . '</td>';

            $html .= '<td class="light">' . esc_html(((isset($rc_countries[$i])) ? ($rc_countries[$i])  : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($rc_cities[$i]))    ? ($rc_cities[$i])     : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($rc_browsers[$i]))  ? ($rc_browsers[$i])   : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($rc_sources[$i]))   ? ($rc_sources[$i])    : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($rc_devices[$i]))   ? ($rc_devices[$i])    : ("N/A"))) . '</td>';

            $html .= '<td class="dark">' . esc_html(((isset($cc_countries[$i])) ? ($cc_countries[$i])  : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($cc_cities[$i]))    ? ($cc_cities[$i])     : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($cc_browsers[$i]))  ? ($cc_browsers[$i])   : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($cc_sources[$i]))   ? ($cc_sources[$i])    : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($cc_devices[$i]))   ? ($cc_devices[$i])    : ("N/A"))) . '</td>';

            $html .= '<td class="light">' . esc_html(((isset($sc_countries[$i])) ? ($sc_countries[$i])  : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($sc_cities[$i]))    ? ($sc_cities[$i])     : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($sc_browsers[$i]))  ? ($sc_browsers[$i])   : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($sc_sources[$i]))   ? ($sc_sources[$i])    : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($sc_devices[$i]))   ? ($sc_devices[$i])    : ("N/A"))) . '</td>';

            $html .= '<td class="dark">' . esc_html(((isset($rfc_countries[$i])) ? ($rfc_countries[$i])  : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($rfc_cities[$i]))    ? ($rfc_cities[$i])     : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($rfc_browsers[$i]))  ? ($rfc_browsers[$i])   : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($rfc_sources[$i]))   ? ($rfc_sources[$i])    : ("N/A"))) . '</td>';
            $html .= '<td class="dark">' . esc_html(((isset($rfc_devices[$i]))   ? ($rfc_devices[$i])    : ("N/A"))) . '</td>';

            $html .= '<td class="light">' . esc_html(((isset($vp_countries[$i])) ? ($vp_countries[$i])  : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($vp_cities[$i]))    ? ($vp_cities[$i])     : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($vp_browsers[$i]))  ? ($vp_browsers[$i])   : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($vp_sources[$i]))   ? ($vp_sources[$i])    : ("N/A"))) . '</td>';
            $html .= '<td class="light">' . esc_html(((isset($vp_devices[$i]))   ? ($vp_devices[$i])    : ("N/A"))) . '</td>';

            $html .= '</tr>';

            $sr++;
        }
        $html .= '</tbody></table>';
    }

    echo $html;
    die();
}

/* FETCH Product Statistics */
if (isset($_POST['ecommerceProdStat'])) {
    global $wpdb;

    $count = 0;
    $initialCounter = 0;
    $getPurchasData = array();
    $table_post = $wpdb->prefix . 'posts';
    $post_meta = $wpdb->prefix . 'post_meta';

    $allDataFilter = $_POST['allDataFilter'];
    $allDateFilter = $_POST['allDateFilter'];
    $allProdFilter = $_POST['allProdFilter'];

    if ($allDataFilter == "eddData")
        $post_type = "download";
    if ($allDataFilter == "wooData")
        $post_type = "product";

    $productCondition = " ";

    if ($allProdFilter != "all")
        $productCondition = " AND ID = '" . $allProdFilter . "' ";

    $getPurchasData = $wpdb->get_results(" SELECT ID as prodId, post_title as prodName FROM $table_post WHERE post_status = 'publish' AND post_type = '" . $post_type . "' " . $productCondition . "  order by ID, post_modified", ARRAY_A);

    $html = '
        <table id="aecommerceProdStat" class="table table-striped table-bordered records-datatable" style="width:100%">
        <thead>
        <tr>
        <th>' . esc_html("S.no") . '</th>
        <th>' . esc_html("Name") . '</th>
        <th>' . esc_html("Add Carts") . '</th>
        <th>' . esc_html("Remove Carts") . '</th>
        <th>' . esc_html("Checkout Carts") . '</th>
        <th>' . esc_html("Success Carts") . '</th>
        <th>' . esc_html("Refunds Carts") . '</th>
        <th>' . esc_html("Avg Order Value") . '</th>
        <th>' . esc_html("Conversion") . '</th>
        <th>' . esc_html("Views") . '</th>
        </tr>
        </thead>
        <tbody>';

    $i = 1;
    foreach ($getPurchasData as  $value) {
        $html .= '
            <tr>
            <td>' . esc_html($i) . '</td>
            <td>' . esc_html($value["prodName"]) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'add_cart', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'remove_cart', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'checkout_cart', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'success_cart', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'refund', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'average', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'conversion', $allDataFilter)) . '</td>
            <td>' . esc_html(envo_get_ecommerce_col($value["prodId"], 'views', $allDataFilter)) . '</td>
            </tr>
            ';
        $count++;
        $i++;
    }

    $html .= '</tbody></table>';
    echo $html;
    die();
}


if (isset($_POST['ecommerceCustList'])) {
    global $wpdb;
    $query = array();

    $allDataFilter = $_POST['allDataFilter'];
    $allDateFilter = $_POST['allDateFilter'];
    $allToDateFilter = $_POST['allToDateFilter'];
    $cart_name = $_POST['btn_id'];
    $edd_customers = $wpdb->prefix . 'edd_customers';
    $post_meta = $wpdb->prefix . 'postmeta';
    $woo_envoflix_cart_items = $wpdb->prefix . 'woo_envoflix_cart_items';
    $woo_envoflix_view_product = $wpdb->prefix . 'woo_envoflix_view_product';

    if ($allDataFilter == "wooData")
        $dataType = " AND data_type = 'woo' ";

    else if ($allDataFilter == "eddData")
        $dataType = " AND data_type = 'edd' ";

    $fromDate = " ";
    $toDate = " ";

    if ($allDateFilter != "" && $allDateFilter != null)
        $fromDate = " AND date >= '" . $allDateFilter . "'  ";
    if ($allDateFilter != "" && $allDateFilter != null && $allToDateFilter != "" && $allToDateFilter != null)
        $toDate = " AND date <= '" . $allToDateFilter . "'  ";

    if ($cart_name == "add_cart") {

        $check2 = "  cart_is_abandoned = 0 AND order_id IS NULL AND success_cart = 0 AND checkout_cart = 0";
        $total = "  sum(qty) as total, ";
    }

    if ($cart_name == "remove_cart") {

        $check2 = "  cart_is_abandoned = 1 AND order_id IS NULL";
        $total = "  sum(qty) as total, ";
    }

    if ($cart_name == "checkout_cart") {

        $check2 = "  cart_is_abandoned = 0 AND order_id IS NULL  AND success_cart = 0 AND checkout_cart = 1";
        $total = "  sum(qty) as total, ";
    }

    if ($cart_name == "success_cart") {

        $check2 = "  cart_is_abandoned = 0 AND order_id IS NOT NULL  AND success_cart = 1 AND checkout_cart = 1";
        $total = "  sum(qty) as total, ";
    }

    if ($cart_name == "refund") {

        $check2 = "  cart_is_abandoned = 0 AND order_id IS NOT NULL  AND refund > 0";
        $total = "  COUNT(order_id) as total, ";
    }

    /*MAIN QUERY*/
    $totalData = "  count(user_id) ";
    $query1 = "SELECT  " . $total . " user_id, country, city, ip_address, browser, refereral_link as 'source', os as device , last_activity as created_date FROM " . $woo_envoflix_cart_items . " WHERE " . $check2 . $fromDate . $toDate . $dataType . "  GROUP BY user_id, cart_id   ";
    $queryToPass = $query1;

    if ($cart_name == "product_views") {
        $check2 = " GROUP BY product_id, user_id, ip_address, browser, source, device ";

     /*PRODUCT VIEW QUERY*/
        $query2 = "SELECT  sum(count) as total, user_id, country, city, ip_address, browser, source, device, last_activity as created_date 
    FROM " . $woo_envoflix_view_product . " WHERE product_id > 0 " . $fromDate . $toDate . $dataType . $check2 . "  ";
        $queryToPass = $query2;
    }

    $dataUserWise = $wpdb->get_results($queryToPass, ARRAY_A);

    $html = '
        <table id="custListEcommTable" class="table table-striped table-bordered records-datatable" style="width:100%">
        <thead>
        <tr>
        <th>' . esc_html("S.no") . '</th>
        <th>' . esc_html("Customer") . '</th>
        <th>' . esc_html("Email") . '</th>
        <th>' . esc_html("Created") . '</th>
        <th>' . esc_html("Country") . '</th>
        <th>' . esc_html("City") . '</th>
        <th>' . esc_html("Browser") . '</th>
        <th>' . esc_html("Source") . '</th>
        <th>' . esc_html("Device") . '</th>
        <th>' . esc_html("Total") . '</th>
        </tr>
        </thead>
        <tbody>';

    $i = 1;
    foreach ($dataUserWise as  $value) {
        $country = $value['country'] == "" ? "N/A" : $value['country'];
        $city =    $value['city']    == "" ? "N/A" : $value['city'];
        $browser = $value['browser'] == "" ? "N/A" : $value['browser'];
        $source =  $value['source']  == "" ? "N/A" : $value['source'];
        $device =  $value['device']  == "" ? "N/A" : $value['device'];
        $total =   $value['total']   == 0  ? "N/A" : $value['total'];

        $customerCreated = $value['created_date'];
        $customerCreated = strtotime($customerCreated);
        $customerCreated =  ' ' . envo_humanTiming($customerCreated) . ' ago';

        if ($value['user_id'] == "" || $value['user_id'] == 0) {
            $customerName  = "";
            $customerEmail = "";
        } else {
            $customerName = envo_getUserDetail($value['user_id'], 'name');
            $customerEmail = envo_getUserDetail($value['user_id'], 'email');
        }

        $html .= '
        <tr>
        
        <td>' . esc_html($i) . '</td>
        <td>' . esc_html($customerName) . '</td>
        <td>' . esc_html($customerEmail) . '</td>
        <td>' . esc_html($customerCreated) . '</td>
        <td>' . esc_html($country) . '</td>
        <td>' . esc_html($city) . '</td>
        <td>' . esc_html($browser) . '</td>
        <td>' . esc_html($source) . '</td>
        <td>' . esc_html($device) . '</td>
        <td>' . esc_html($total) . '</td>
  
        </tr>
        ';
        $i++;
    }

    $html .= '</tbody></table>';
    echo $html;
    die();
}



/*FETCH VISITORS paxaron.com */
if (isset($_POST['visitorsFetch'])) {

    global $wpdb;
    $limit = "LIMIT " . $_POST['limit'];
    if (($_POST['limit'] == "") || ($_POST['limit'] == null) || ($_POST['limit'] == 0) || (empty($_POST['limit'])))
        $limit = "";

    $query = $wpdb->get_results("SELECT * FROM(SELECT * FROM h_user ORDER BY register_date desc  " . $limit . " ) AS TR", ARRAY_A);

    $count = 0;
    $initialCounter = 0;

    $html = '
    <table id="visitorsTable" class="table table-striped table-bordered records-datatable" style="width:100%">
    <thead>
    <tr>
    <th style="display:none;">Add</th>
    <th>' . esc_html("Username") . '</th>
    <th>' . esc_html("Country") . '</th>
    <th>' . esc_html("Description") . '</th>
    <th>' . esc_html("Time") . '</th>
    <th style="display:none;">tc1</th>
    <th style="display:none;">tc2</th>
    <th style="display:none;">tc3</th>
    <th >' . esc_html("Redirect URL") . '</th>
    <th style="display:none;">tc7</th>
    <th style="display:none;">tc8</th>
    <th style="display:none;">tc8</th>
    </tr>
    </thead>
    <tbody>';

    $i = 0;
    foreach ($query as  $value) {

        $log = 0;
        $user_id = $value['user_id'];
        $userEmail = getUserForRealData($user_id, 'user_email');
        $userName = getUserForRealData($user_id, 'user_login');
        $country = $value['country'];
        $city = $value['city'];
        $time = $value['register_date'];
        $visitorLink = $value['reffer'];
        $description = $userName . " ( " . $city . "," . $country . " )visited on this " . $visitorLink;

        $time = strtotime($time);
        $time =  ' ' . envo_humanTiming($time) . ' ago';

        $display = " style = 'display:none; ' ";

        $html .= '
        <tr>
        <td style="display:none;">
        <input type="checkbox" name="addDataRow" id ="aa' . $count . '" class="addDataRow" onClick = "add_RealData(this);" title="By Clicking This will insert on your notification" ' . ($log == 0 ? "" : "") . ' checked>
        <input type="hidden" value="1"  id="isEnableVR-' . $count . '" name="isEnableVR-' . $count . '" class="visitorCheckBox">
        </td>
        <td>' . esc_html($userName) . '</td>
        <td>' . esc_html($country) . '</td>
        <td>' . esc_html($description) . '</td>
        <td>' . esc_html($time) . '</td>
        <td><input type ="text" class="realData_class_' . $count . '" name="redirectionUrl_' . $count . '" value= "' . $visitorLink . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="title_' . $count . '" value="Recent Visitors"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="description_' . $count . '" value="' . $description . '" ></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="footer_' . $count . '" value="' . $time . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="image1_' . $count . '" ></td>
        <td ' . $display . '><input type ="text" class="realData_class_' . $count . '" name="notificationDelay_' . $count . '" value=""></td>
        <td ' . $display . '><input type ="text" class="realData_class_' . $count . '" name="visitorId_' . $count . '" value="' . $user_id . '"></td>
        </tr>
        ';
        $count++;
        $i++;
    }

    $totalRealData = $i;

    $html .= '<tr style="display: none;">
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><input type ="hidden" name="initialCounter" value="' . $initialCounter . '" /></td>
    <td><input type ="hidden" name="totalRealDataVR" value="' . $totalRealData . '" /></td>
    </tr>';
    $html .= '</tbody></table>';

    echo $html;
    die();
}


/* FETCH Purchase */
if (isset($_POST['purchasesFetch'])) {

    global $wpdb;

    $count = 0;
    $initialCounter = 0;

    $limit = "LIMIT " . $_POST['limit'];
    if (($_POST['limit'] == "") || ($_POST['limit'] == null) || ($_POST['limit'] == 0) || (empty($_POST['limit'])))
        $limit = "";

    $getPurchasData = array();
    $getPurchasData = $wpdb->get_results("SELECT * FROM (SELECT o.order_id,
            o.order_item_name as item_name,
            MAX(CASE WHEN pd.meta_key = '_product_id' THEN pd.meta_value ELSE NULL END) item_id,
            MAX(CASE WHEN pd.meta_key = '_line_total' THEN pd.meta_value ELSE NULL END) item_price,
            MAX(CASE WHEN pd.meta_key = '_qty' THEN pd.meta_value ELSE NULL END) item_qty,
            MAX(t.name) item_category,
            MAX(CASE WHEN d.meta_key = '_billing_first_name' THEN d.meta_value ELSE NULL END) first_name,
            MAX(CASE WHEN d.meta_key = '_billing_last_name' THEN d.meta_value ELSE NULL END) last_name,
            MAX(CASE WHEN d.meta_key = '_billing_address_1' THEN d.meta_value ELSE NULL END) user_address,
            MAX(CASE WHEN d.meta_key = '_billing_city' THEN d.meta_value ELSE NULL END) user_city,
            MAX(CASE WHEN d.meta_key = '_billing_country' THEN d.meta_value ELSE NULL END) user_country,
            MAX(CASE WHEN d.meta_key = '_billing_email' THEN d.meta_value ELSE NULL END) user_email,
            MAX(CASE WHEN d.meta_key = '_billing_phone' THEN d.meta_value ELSE NULL END) user_phone, p.post_date as created_date
            FROM wp_woocommerce_order_items o
            INNER JOIN
            (SELECT order_id
            FROM wp_woocommerce_order_items
            ORDER BY order_id " . $limit . ") as o2
            ON o.order_id = o2.order_id
            left join wp_postmeta d
            on o.order_id = d.post_id
            AND
            d.meta_key in('_billing_first_name','_billing_last_name','_billing_address_1','_billing_city','_billing_email','_billing_phone', '_billing_country')
            left join wp_posts p
            on p.id = d.post_id
            left join wp_woocommerce_order_itemmeta pd
            on o.order_item_id = pd.order_item_id
            left join wp_term_relationships r on r.object_id = p.id
            left join wp_terms t on t.term_id = (select max(term_taxonomy_id)
            from wp_term_relationships WHERE object_id = CASE WHEN pd.meta_key = '_product_id' THEN pd.meta_value ELSE NULL END)
            WHERE
            o.order_item_type in('line_item')
            group by o.order_item_id
            order by o.order_id  ) AS TR", ARRAY_A);


    $html = '
        <table id="purchasesTable" class="table table-striped table-bordered records-datatable" style="width:100%">
        <thead>
        <tr>
        <th style="display:none;">Add</th>
        <th>' . esc_html("Customer") . '</th>
        <th>' . esc_html("Country") . '</th>
        <th>' . esc_html("Product") . '</th>
        <th>' . esc_html("URL") . '</th>
        <th>' . esc_html("Time") . '</th>
        <th style="display:none;"></th>
        <th style="display:none;"></th>
        <th style="display:none;"></th>
        <th style="display:none;"></th>
        <th style="display:none;"></th>
        </tr>
        </thead>
        <tbody>';

    $i = 0;
    foreach ($getPurchasData as  $value) {

        $log = 0;
        $orderNo = $value['order_id'];
        $productId = $value['item_id'];
        $productName = $value['item_name'];
        $productPrice = $value['item_price'];
        $productURL = (get_site_url() . '/product/' . preg_replace('#[ -]+#', '-', $productName) . '/');
        $customerName = $value['first_name'] . ' ' . $value['last_name'];
        $created = $value['created_date'];
        $country =  $value['user_country'];
        if ($country != null && $country != "")
            $country = envo_getCountryName($country);


        $created = strtotime($created);
        $created =  ' ' . envo_humanTiming($created) . ' ago';

        $display = " style = 'display:none; ' ";
        $html .= '
            <tr>
            <td style="display:none;">
            <input type="checkbox" name="addDataRowPR" id ="bb' . $count . '" class="addDataRow" onClick = "add_RealDataPR(this);" title="By Clicking This will insert on your notification" ' . ($log == 0 ? "" : "") . ' checked>
            <input type="hidden" value="1"  id="isEnablePR-' . $count . '" name="isEnablePR-' . $count . '" class="purchaseCheckBox">
            </td>
            <td>' . esc_html($customerName) . '</td>
            <td>' . esc_html($country) . '</td>
            <td>' . esc_html($productName) . '</td>
            <td><input type ="text" class="realData_class_' . $count . '" name="order_productURL_' . $count . '" value="' . $productURL . '"></td>
            <td>' . esc_html($created) . '</td>
            <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="order_orderNo_' . $count . '" value="' . $orderNo . '"></td>
            <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="order_customerName_' . $count . '" value="' . $customerName . '"></td>
            <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="order_country_' . $count . '" value="' . $country . '"></td>
            <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="order_productName_' . $count . '" value="' . $productName . '" ></td>
            <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="order_created_' . $count . '" value="' . $created . '" ></td>
            </tr>
            ';
        $count++;
        $i++;
    }

    $totalRealData = $i;

    $html .= '<tr style="display: none;">
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td></td>
        <td><input type ="hidden" name="totalRealDataPR" value="' . $totalRealData . '" /></td>
        </tr>';
    $html .= '</tbody></table>';
    echo $html;
    die();
}


/*SIGNUP*/

if (isset($_POST['signupFetch'])) {
    $query = array();
    // if ( class_exists( 'WooCommerce' ) ) {
    $query = $wpdb->get_results("SELECT * FROM (SELECT o.order_id,
            o.order_item_name as item_name,
            MAX(CASE WHEN pd.meta_key = '_product_id' THEN pd.meta_value ELSE NULL END) item_id,
            MAX(CASE WHEN pd.meta_key = '_line_total' THEN pd.meta_value ELSE NULL END) item_price,
            MAX(CASE WHEN pd.meta_key = '_qty' THEN pd.meta_value ELSE NULL END) item_qty,
            MAX(t.name) item_category,
            MAX(CASE WHEN d.meta_key = '_billing_first_name' THEN d.meta_value ELSE NULL END) first_name,
            MAX(CASE WHEN d.meta_key = '_billing_last_name' THEN d.meta_value ELSE NULL END) last_name,
            MAX(CASE WHEN d.meta_key = '_billing_address_1' THEN d.meta_value ELSE NULL END) user_address,
            MAX(CASE WHEN d.meta_key = '_billing_city' THEN d.meta_value ELSE NULL END) user_city,
            MAX(CASE WHEN d.meta_key = '_billing_country' THEN d.meta_value ELSE NULL END) user_country,
            MAX(CASE WHEN d.meta_key = '_billing_email' THEN d.meta_value ELSE NULL END) user_email,
            MAX(CASE WHEN d.meta_key = '_billing_phone' THEN d.meta_value ELSE NULL END) user_phone, p.post_date as created_date
            FROM wp_woocommerce_order_items o
            INNER JOIN
            (SELECT order_id
            FROM wp_woocommerce_order_items
            ORDER BY order_id
            " . $limit . ") as o2
            ON o.order_id = o2.order_id
            left join wp_postmeta d
            on o.order_id = d.post_id
            AND
            d.meta_key in('_billing_first_name','_billing_last_name','_billing_address_1','_billing_city','_billing_email','_billing_phone', '_billing_country')
            left join wp_posts p
            on p.id = d.post_id
            left join wp_woocommerce_order_itemmeta pd
            on o.order_item_id = pd.order_item_id
            left join wp_term_relationships r on r.object_id = p.id
            left join wp_terms t on t.term_id = (select max(term_taxonomy_id)
            from wp_term_relationships WHERE object_id = CASE WHEN pd.meta_key = '_product_id' THEN pd.meta_value ELSE NULL END)
            WHERE
            o.order_item_type in('line_item')
            group by o.order_item_id
            order by o.order_id) AS TR
            LEFT JOIN wp_usermeta c on c.meta_value = TR.user_email
            GROUP BY user_email", ARRAY_A);
    // }
    $html = '
    <table id="signupTable" class="table table-striped table-bordered records-datatable" style="width:100%">
    <thead>
    <tr>
    <th style="display:none;">Add</th>
    <th>' . esc_html("Customer") . '</th>
    <th>' . esc_html("Mobile") . '</th>
    <th>' . esc_html("Email") . '</th>
    <th>' . esc_html("URL") . '</th>
    <th>' . esc_html("Address") . '</th>
    <th>' . esc_html("City") . '</th>
    <th>' . esc_html("Country") . '</th>
    <th>' . esc_html("Created") . '</th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    <th style="display:none;"></th>
    </tr>
    </thead>
    <tbody>';

    $count = 0;
    $i = 0;
    foreach ($query as  $value) {

        $log = 0;
        $orderNo = $value['order_id'];
        $customerId = $value['user_id'];
        $productId = $value['item_id'];
        $productName = $value['item_name'];
        $productPrice = $value['item_price'];
        $productURL = (get_site_url() . '/product/' . preg_replace('#[ -]+#', '-', $productName) . '/');
        $customerName = $value['first_name'] . ' ' . $value['last_name'];
        $customerMobile = $value['user_phone'];
        $customerEmail = $value['user_email'];
        $customerAddress = $value['user_address'];
        $customerCity = $value['user_city'];
        // $customerCountry = WC()->countries->countries[ $value['user_country'] ];  
        $country = $value['user_country'];
        $customerCountry = envo_getCountryName($country);
        $customerCreated = $value['created_date'];

        $display = " style = 'display:none; ' ";
        $html .= '
        <tr>
        <td style="display:none;">
        <input type="checkbox" name="addDataRowSU" id ="cc' . $count . '" class="addDataRow" onClick = "add_RealDataSU(this);" title="By Clicking This will insert on your notification" ' . ($log == 0 ? "" : "") . ' checked>
        <input type="hidden" value="1"  id="isEnableSU-' . $count . '" name="isEnableSU-' . $count . '" class="signupCheckBox">
        </td>
        <td>' . esc_html($customerName) . '</td>
        <td>' . esc_html($customerMobile) . '</td>
        <td>' . esc_html($customerEmail) . '</td>
        <td><input type ="text" class="realData_class_' . $count . '" name="customerURL_' . $count . '" value="' . site_url() . '"></td>
        <td>' . esc_html($customerAddress) . '</td>
        <td>' . esc_html($customerCity) . '</td>
        <td>' . esc_html($customerCountry) . '</td>
        <td>' . esc_html($customerCreated) . '</td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerId_' . $count . '" value="' . $customerId . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerCreated_' . $count . '" value="' . $customerCreated . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerCountry_' . $count . '" value="' . $customerCountry . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerCity_' . $count . '" value="' . $customerCity . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerAddress_' . $count . '" value="' . $customerAddress . '"></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerEmail_' . $count . '" value="' . $customerEmail . '" ></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerMobile_' . $count . '" value="' . $customerMobile . '" ></td>
        <td ' . $display . ' ><input type ="text" class="realData_class_' . $count . '" name="customerName_' . $count . '" value="' . $customerName . '"></td>
        </tr>
        ';
        $count++;
        $i++;
    }

    $totalRealData = $i;

    $html .= '<tr style="display: none;">
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td></td>
    <td><input type ="hidden" name="totalRealDataSU" value="' . $totalRealData . '" /></td>
    </tr>';
    $html .= '</tbody></table>';
    echo $html;
    die();
}

function envo_ms_simple_popup()
{

    $labels = array(

        'name'               => _x('Edit', 'post type general name', 'ms-simple-popup'),

        'singular_name'      => _x('MS Popup', 'post type singular name', 'ms-simple-popup'),

        'menu_name'          => _x('MS Popup', 'admin menu', 'ms-simple-popup'),

        'name_admin_bar'     => _x('MS Popup', 'add popup on admin bar', 'ms-simple-popup'),

        'add_new'            => _x('Add New Popup', 'Popup', 'ms-simple-popup'),

        'add_new_item'       => __('Add New Popup', 'ms-simple-popup'),

        'new_item'           => __('New Popup', 'ms-simple-popup'),

        'edit_item'          => __('Edit Popup Notification', 'ms-simple-popup'),

        'view_item'          => __('View Popup', 'ms-simple-popup'),

        'all_items'          => __('All Popups', 'ms-simple-popup'),

        'search_items'       => __('Search Popups', 'ms-simple-popup'),

        'parent_item_colon'  => __('Parent Popups:', 'ms-simple-popup'),

        'not_found'          => __('No Popups found.', 'ms-simple-popup'),

        'not_found_in_trash' => __('No Popups found in Trash.', 'ms-simple-popup')

    );

    $args = array(

        'labels'             => $labels,

        'description'        => __('Description.', 'ms-simple-popup'),

        'public'             => true,

        'publicly_queryable' => true,

        'show_ui'            => true,

        'show_in_menu'       => false,

        'query_var'          => true,

        'rewrite'            => array('slug' => 'ms-popup'),

        'capability_type'    => 'post',

        'has_archive'        => true,

        'hierarchical'       => true,

        'menu_position'      => null,

        'menu_icon'          => plugins_url('/EnvoFlix/assets/images/ms-simple-popup.png'),

    );

    register_post_type('ms-simple-popup', $args);
}

add_action('init', 'envo_ms_web_notification');

function envo_ms_web_notification()
{

    $labels = array(

        'name'               => _x('Edit', 'post type general name', 'ms-simple-popup'),

        'singular_name'      => _x('MS Notification', 'post type singular name', 'ms-simple-popup'),

        'menu_name'          => _x('MS Notification', 'admin menu', 'ms-simple-popup'),

        'name_admin_bar'     => _x('MS Notification', 'add popup on admin bar', 'ms-simple-popup'),

        'add_new'            => _x('Add New Web Notification', 'Notification', 'ms-simple-popup'),

        'add_new_item'       => __('Add New Web Notification', 'ms-simple-popup'),

        'new_item'           => __('New Notification', 'ms-simple-popup'),

        'edit_item'          => __('Edit Web Notification', 'ms-simple-popup'),

        'view_item'          => __('View Notification', 'ms-simple-popup'),

        'all_items'          => __('All Notification', 'ms-simple-popup'),

        'search_items'       => __('Search Notification', 'ms-simple-popup'),

        'parent_item_colon'  => __('Parent Notification:', 'ms-simple-popup'),

        'not_found'          => __('No Notifications found.', 'ms-simple-popup'),

        'not_found_in_trash' => __('No Notifications found in Trash.', 'ms-simple-popup')

    );

    $args = array(

        'labels'             => $labels,

        'description'        => __('Description.', 'ms-simple-popup'),

        'public'             => true,

        'publicly_queryable' => true,

        'show_ui'            => true,

        'show_in_menu'       => false,

        'query_var'          => true,

        'rewrite'            => array('slug' => 'ms-web-notification'),

        'capability_type'    => 'post',

        'has_archive'        => true,

        'hierarchical'       => false,

        'menu_position'      => null,

    );

    register_post_type('ms-web-notification', $args);
}

add_action('init', 'envo_ms_header_bar');

function envo_ms_header_bar()
{

    $labels = array(

        'name'               => _x('Edit', 'post type general name', 'mspopup'),

        'singular_name'      => _x('MS Header Bar', 'post type singular name', 'mspopup'),

        'menu_name'          => _x('MS Header Bar', 'admin menu', 'msh-header-bar'),

        'name_admin_bar'     => _x('MS Header Bar', 'add popup on admin bar', 'mspopup'),

        'add_new'            => _x('Add New Header Bar', 'Popup', 'mspopup'),

        'add_new_item'       => __('Add New Header Bar', 'mspopup'),

        'new_item'           => __('New Header Bar', 'mspopup'),

        'edit_item'          => __('Edit Header Bar', 'mspopup'),

        'view_item'          => __('View Header Bar', 'mspopup'),

        'all_items'          => __('All Header Bars', 'mspopup'),

        'search_items'       => __('Search Header Bar', 'mspopup'),

        'parent_item_colon'  => __('Parent Headers:', 'mspopup'),

        'not_found'          => __('No Header Bar found.', 'mspopup'),

        'not_found_in_trash' => __('No Header Bar in Trash.', 'mspopup')

    );

    $args = array(

        'labels'             => $labels,

        'description'        => __('Description.', 'mspopup'),

        'public'             => true,

        'publicly_queryable' => true,

        'show_ui'            => true,

        'show_in_menu'       => false,

        'query_var'          => true,

        'rewrite'            => array('slug' => 'mspopup'),

        'capability_type'    => 'post',

        'has_archive'        => true,

        'hierarchical'       => false,

        'menu_position'      => null,

    );

    register_post_type('ms-header-bar', $args);
}

// Register Boost Sales CPT

add_action('init', 'envo_ms_boost_sales');

function envo_ms_boost_sales()
{

    $labels = array(

        'name'               => _x('Boost Sales', 'post type general name', 'ms-boost-sales'),

        'singular_name'      => _x('Boost sales', 'post type singular name', 'ms-boost-sales'),

        'menu_name'          => _x('Boost sales', 'admin menu', 'ms-boost-sales'),

        'name_admin_bar'     => _x('Boost sales', 'add popup on admin bar', 'ms-boost-sales'),

        'add_new'            => _x('Add New', 'Notification', 'ms-boost-sales'),

        'add_new_item'       => __('Add New', 'ms-boost-sales'),

        'new_item'           => __('New Notification', 'ms-boost-sales'),

        'edit_item'          => __('Edit Notification', 'ms-boost-sales'),

        'view_item'          => __('View Notification', 'ms-boost-sales'),

        'all_items'          => __('All Notifications', 'ms-boost-sales'),

        'search_items'       => __('Search Notifications', 'ms-boost-sales'),

        'parent_item_colon'  => __('Parent Notifications:', 'ms-boost-sales'),

        'not_found'          => __('No Notifications found.', 'ms-boost-sales'),

        'not_found_in_trash' => __('No Notifications found in Trash.', 'ms-boost-sales')

    );

    $args = array(

        'labels'             => $labels,

        'description'        => __('Description.', 'ms-boost-sales'),

        'public'             => true,

        'publicly_queryable' => true,

        'show_ui'            => true,

        'show_in_menu'       => false,

        'query_var'          => true,

        'rewrite'            => array('slug' => 'ms-boost-sales'),

        'capability_type'    => 'post',

        'has_archive'        => true,

        'hierarchical'       => false,

        'menu_position'      => null,

        'menu_icon'          => plugins_url('/EnvoFlix/assets/images/ms-simple-popup.png'),

    );

    register_post_type('ms-boost-sales', $args);
}

add_action('post_edit_form_tag', 'envo_update_edit_form');

function envo_update_edit_form()
{

    echo ' enctype="multipart/form-data"';
} 

add_action('add_meta_boxes', 'envo_the_upload_metabox');

function envo_the_upload_metabox()
{

 

    add_meta_box(

        'choose_method',

        'Choose method',

        'envo_choose_method_callback',

        'ms-boost-sales'

    );

    add_meta_box(

        'file_xlsx',

        'Upload File',

        'envo_wp_custom_file_attachment',

        'ms-boost-sales'

    );

    
    add_meta_box(

        'realData',

        'Choose Real Data',

        'envo_choose_method_callback_realData', 

        'ms-boost-sales'  

    );
    
    add_meta_box(

        'file_xlsx_users',

        'Upload File',

        'envo_wp_custom_file_attachment_for_users',

        'ms-simple-popup'

    );
    add_meta_box(

        'file_xlsx_users',

        'Upload File',

        'envo_wp_custom_file_attachment_for_users',

        'ms-header-bar'

    );
}

function envo_choose_method_callback()
{

    $html = '<input type="radio" checked class="choose_method_boostsales" name="choose_method_boostsales" id="choose_method_upload" value="1" /><label for="choose_method_upload">File upload</label><br>';

    $html .= '<input type="radio" class="choose_method_boostsales" name="choose_method_boostsales" id="choose_method_create" value="2" /><label for="choose_method_create">Create with fields</label><br>';

    $html .= '<input type="radio" class="choose_method_boostsales" name="choose_method_boostsales" id="choose_method_realData" value="3" /><label for="choose_method_realData">Real Data</label><br><br>';

    $html .= '&nbsp&nbsp&nbsp&nbsp
        <input type="radio" class="choose_method_boostsales subOptionRealData1" name="choose_method_boostsales_subOptionRealData" id="choose_method_subOptionRealData1" value="1" /><label for="choose_method_realData" class ="subOptionRealData1">Visitors</label><br>';

    $html .= '&nbsp&nbsp&nbsp&nbsp
        <input type="radio" class="choose_method_boostsales subOptionRealData2" name="choose_method_boostsales_subOptionRealData" id="choose_method_subOptionRealData2" value="2" /><label for="choose_method_realData" class ="subOptionRealData2">Purchase</label><br>';

    $html .= '&nbsp&nbsp&nbsp&nbsp
        <input type="radio" class="choose_method_boostsales subOptionRealData3" name="choose_method_boostsales_subOptionRealData" id="choose_method_subOptionRealData3" value="3" /><label for="choose_method_realData" class ="subOptionRealData3">Signup</label><br>';

    echo $html;
}

function envo_humanTiming($time)
{

    $time = time() - $time; // to get the time since that moment
    $time = ($time < 1) ? 1 : $time;
    $tokens = array(
        31536000 => 'year',
        2592000 => 'month',
        604800 => 'week',
        86400 => 'day',
        3600 => 'hour',
        60 => 'minute',
        1 => 'second'
    );

    foreach ($tokens as $unit => $text) {
        if ($time < $unit) continue;
        $numberOfUnits = floor($time / $unit);
        return $numberOfUnits . ' ' . $text . (($numberOfUnits > 1) ? 's' : '');
    }
}

function envo_choose_method_callback_realData()
{
    global $wpdb;

    $query = $wpdb->get_results("SELECT * FROM(SELECT * FROM h_user ORDER BY register_date desc LIMIT 10) AS TR", ARRAY_A);
    $count = $wpdb->get_col("SELECT MAX(meta_value) AS count FROM wp_postmeta WHERE meta_key = 'boostsales_notification' AND post_id = '" . strip_tags($_GET['post']) . "'");
    if (!empty($count[0])) {
        $count = $count[0];
    } else {
        $count = 0;
    }
    $initialCounter = 0;

    $html = '

    <h3 class ="realDataTitle" > </h3>

    <input type="text" name ="x_Notification_visitors" id="x_Notification_visitors" placeholder="Add x-notification"  title="Show x recent Notification and 0 means all Notification" >
    <input type="text" name ="x_Notification_purchases" id="x_Notification_purchases" placeholder="Add x-notification"  title="Show x recent Notification and 0 means all Notification" >
    <input type="text" name ="x_Notification_signup" id="x_Notification_signup" placeholder="Add x-notification"  title="Show x recent Notification and 0 means all Notification" >

    <label for="x_Notification_visitors">Show x recent Notification and 0 means all Notification</p>';

    /*VISITORS*/
    $html .= '
    <div class = "allRecordsVisitors  visitors-datatable col-sm-12 table-responsive"></div> ';

    /*PURCHASED*/
    $html .= '
    <div class = "allRecordsPurchases purchases-datatable col-sm-12 table-responsive"></div>';

    /*SIGNUP*/
    $html .= '
    <div class = "allRecordsSignup signup-datatable col-sm-12 table-responsive"></div>';
    echo $html;
}


function envo_wp_custom_file_attachment()
{

    global $post;

    $theFILE = array();

    $theFILE =  get_post_meta($post->ID, 'file_xlsx', true);

    $html = '<p class="description">';

    $html .= 'Upload the File.';
    if ($theFILE != '') {

        $html .= " Uploaded File:   <b>" . $theFILE . "</b>";
    }

    $html .= '</p>';

    $html .= '<input name="file" type="file"/>';

    echo $html;
}
function envo_wp_custom_file_attachment_for_users()
{

    global $post;
    $theFILE = array();
    $theFILE =  get_post_meta($post->ID, 'file_xlsx_users', true);

    $html = '<p class="description">';
    $html .= 'Upload the User Excel File like (username email ip).';
    if ($theFILE != '') {
        $html .= " Uploaded File:   <b>" . $theFILE . "</b>";
    }
    $html .= '</p>';

    $html .= '<input name="file_users" type="file" value=' . $theFILE . '/>';
    echo $html;
}


add_action('save_post', 'envo_save_custom_meta_data');


add_action('save_post', 'envo_save_custom_meta_real_data');

function envo_save_custom_meta_real_data($id)
{
    global $wpdb;
 
    $lastRowVR = 0;
    if (isset($_POST['totalRealDataVR']))
        $lastRowVR = (int)$_POST['totalRealDataVR'];

    $counter = 0;

    $count = $wpdb->get_col("SELECT MAX(meta_value) AS count FROM wp_postmeta WHERE meta_key = 'boostsales_notification' AND post_id = '" . $id . "'");
    if (!empty($count[0])) {
        $count = $count[0];
    } else {
        $count = 0;
    }

    $initialCounter = 0;

    $j = $initialCounter;

    $wpdb->query($wpdb->prepare("DELETE FROM wp_postmeta WHERE meta_key LIKE '%boostsales_notification_%' AND post_id ='" . $id . "' "), 547);
    $wpdb->query($wpdb->prepare("UPDATE wp_postmeta SET meta_value = 0  WHERE meta_key = 'boostsales_notification' AND post_id = '" . $id . "' "), 548);

    $chooseMethod_field = 'boostsales_notification_chooseMethod';
    $X_notification_field = 'boostsales_notification_x_notification';

    $chooseMethodSubOption = 0;
    $chooseMethodOption = 0;
    if (isset($_POST['choose_method_boostsales']) || isset($_POST['choose_method_boostsales_subOptionRealData'])) {
        $chooseMethodOption  = $_POST['choose_method_boostsales'];
        $chooseMethodSubOption  = $_POST['choose_method_boostsales_subOptionRealData'];
    }

    $X_notification = 0;
    if ($chooseMethodSubOption == 1) //VISITOR X-Notification
        $X_notification  = $_POST['x_Notification_visitors'];

    if ($chooseMethodSubOption == 2) //PURCHASE X-Notification
        $X_notification  = $_POST['x_Notification_purchases'];

    if ($chooseMethodSubOption == 3) //SIGNUP X-Notification
        $X_notification  = $_POST['x_Notification_signup'];

    if ($X_notification == "" || empty($X_notification))
        $X_notification = 0;

    add_post_meta($id, $chooseMethod_field, $chooseMethodOption . $chooseMethodSubOption);
    add_post_meta($id, $X_notification_field, $X_notification);

    for ($i = 1; $i <= $lastRowVR; $i++) {

        if ((($_POST['isEnableVR-' . $counter]) == 1) && isset($_POST['title_' . $counter]) && !empty($_POST['title_' . $counter])) {

            // TOTAL COUNT
            $boostsales_field = 'boostsales_notification';
            $boostsales_custom  = '_boostsales_notification';

            $title_field = 'boostsales_notification_' . $j . '_boostsales_title';
            $title_custom = '_boostsales_notification_' . $j . '_boostsales_title ';

            $description_field = 'boostsales_notification_' . $j . '_boostsales_description';
            $description_custom = '_boostsales_notification_' . $j . '_boostsales_description';

            $footer_field = 'boostsales_notification_' . $j . '_boostsales_footer_message';
            $footer_custom = '_boostsales_notification_' . $j . '_boostsales_footer_message';

            $redirect_field = 'boostsales_notification_' . $j . '_ms_auto_boostsales_redirect_page_url';
            $redirect_custom = '_boostsales_notification_' . $j . '_ms_auto_boostsales_redirect_page_url';

            $icon_field = 'boostsales_notification_' . $j . '_boostsales_icon';
            $icon_custom = '_boostsales_notification_' . $j . '_boostsales_icon';

            $sound_field = 'boostsales_notification_' . $j . '_boostsales_sound';
            $sound_custom = '_boostsales_notification_' . $j . '_boostsales_sound';

            $display_time_field = 'boostsales_notification_' . $j . '_boostsales_display_time';
            $display_time_custom = '_boostsales_notification_' . $j . '_boostsales_display_time';

            $next_notification_field = 'boostsales_notification_' . $j . '_boostsales_delay_for_next_notification';
            $next_notification_custom = '_boostsales_notification_' . $j . '_boostsales_delay_for_next_notification';

            $A = $_POST["title_" . $counter]; //title
            $B = $_POST["description_" . $counter]; //description
            $C = $_POST["footer_" . $counter]; //footer
            $D = $_POST["redirectionUrl_" . $counter]; //redirectUrl
            $E = $_POST["visitorId_" . $counter]; //icon
            $F = ""; //sound
            $G = ""; //display_time
            $H = ""; //next_notification

            //TITLE
            if (!update_post_meta($id, $title_field, $A))
                add_post_meta($id, $title_field, $A);
            if (!update_post_meta($id, $title_custom, 'field_5b99496ddbd4f'))
                add_post_meta($id, $title_custom, 'field_5b99496ddbd4f');

            //DESCRIPTION
            if (!update_post_meta($id, $description_field, $B))
                add_post_meta($id, $description_field, $B);
            if (!update_post_meta($id, $description_custom, 'field_5b99498fdbd50'))
                add_post_meta($id, $description_custom, 'field_5b99498fdbd50');

            //FOOTER
            if (!update_post_meta($id, $footer_field, $C))
                add_post_meta($id, $footer_field, $C);
            if (!update_post_meta($id, $footer_custom, 'field_5b9949a6dbd51'))
                add_post_meta($id, $footer_custom, 'field_5b9949a6dbd51');

            //REDIRECT URL
            if (!update_post_meta($id, $redirect_field, $D))
                add_post_meta($id, $redirect_field, $D);
            if (!update_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url'))
                add_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url');

            //icon
            if (!update_post_meta($id, $icon_field, $E))
                add_post_meta($id, $icon_field, $E);
            if (!update_post_meta($id, $icon_custom, 'field_5b9949d8dbd52'))
                add_post_meta($id, $icon_custom, 'field_5b9949d8dbd52');

            //sound
            if (!update_post_meta($id, $sound_field, $F))
                add_post_meta($id, $sound_field, $F);
            if (!update_post_meta($id, $sound_custom, 'field_5b994a2fdbd53'))
                add_post_meta($id, $sound_custom, 'field_5b994a2fdbd53');

            //display_time
            if (!update_post_meta($id, $display_time_field, $G))
                add_post_meta($id, $display_time_field, $G);
            if (!update_post_meta($id, $display_time_custom, 'field_5b9ba6ed32aff'))
                add_post_meta($id, $display_time_custom, 'field_5b9ba6ed32aff');

            //next_notification
            if (!update_post_meta($id, $next_notification_field, $H))
                add_post_meta($id, $next_notification_field, $H);
            if (!update_post_meta($id, $next_notification_custom, 'field_5b9ba73b32b00'))
                add_post_meta($id, $next_notification_custom, 'field_5b9ba73b32b00');

            // TOTAL COUNT
            if (!update_post_meta($id, $boostsales_field, ($j + 1)))
                add_post_meta($id, $boostsales_field, ($j + 1));
            $j++;
        }
        $counter++;
    }
    /*Visitors*/

    $counter = 0;
    /*PURCHASES*/
    $lastRowPR = 0;
    if (isset($_POST['totalRealDataPR']))
        $lastRowPR = (int)$_POST['totalRealDataPR'];
    for ($i = 1; $i <= $lastRowPR; $i++) {

        if ((($_POST['isEnablePR-' . $counter]) == 1)) {
            // TOTAL COUNT
            $boostsales_field = 'boostsales_notification';
            $boostsales_custom  = '_boostsales_notification';

            $title_field = 'boostsales_notification_' . $j . '_boostsales_title';
            $title_custom = '_boostsales_notification_' . $j . '_boostsales_title ';

            $description_field = 'boostsales_notification_' . $j . '_boostsales_description';
            $description_custom = '_boostsales_notification_' . $j . '_boostsales_description';

            $footer_field = 'boostsales_notification_' . $j . '_boostsales_footer_message';
            $footer_custom = '_boostsales_notification_' . $j . '_boostsales_footer_message';

            $redirect_field = 'boostsales_notification_' . $j . '_ms_auto_boostsales_redirect_page_url';
            $redirect_custom = '_boostsales_notification_' . $j . '_ms_auto_boostsales_redirect_page_url';

            $A = $_POST["order_orderNo_" . $counter]; //orderNo_
            $B = $_POST["order_customerName_" . $counter]; //productName_
            $C = $_POST["order_country_" . $counter]; //customerName_
            $D = $_POST["order_productName_" . $counter]; //orderNo_
            $E = $_POST["order_created_" . $counter]; //orderNo_productURL_
            $F = $_POST["order_productURL_" . $counter]; //orderNo_productURL_

            ///TITLE
            if (!update_post_meta($id, $title_field, ' ' . $B))
                add_post_meta($id, $title_field, ' ' . $B);
            if (!update_post_meta($id, $title_custom, 'field_5b99496ddbd4f'))
                add_post_meta($id, $title_custom, 'field_5b99496ddbd4f');

            //DESCRIPTION
            if (!update_post_meta($id, $description_field, $D . ' - ' . $C))
                add_post_meta($id, $description_field, $D . ' - ' . $C);
            if (!update_post_meta($id, $description_custom, 'field_5b99498fdbd50'))
                add_post_meta($id, $description_custom, 'field_5b99498fdbd50');

            //FOOTER
            if (!update_post_meta($id, $footer_field, $E))
                add_post_meta($id, $footer_field, $E);
            if (!update_post_meta($id, $footer_custom, 'field_5b9949a6dbd51'))
                add_post_meta($id, $footer_custom, 'field_5b9949a6dbd51');

            //REDIRECT URL
            if (!update_post_meta($id, $redirect_field, $F))
                add_post_meta($id, $redirect_field, $F);
            if (!update_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url'))
                add_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url');

            // TOTAL COUNT
            if (!update_post_meta($id, $boostsales_field, ($j + 1)))
                add_post_meta($id, $boostsales_field, ($j + 1));
            $j++;
        }
        $counter++;
    }
    /*PURCHASES*/

    /*SIGNUP*/
    $lastRowSU = 0;
    if (isset($_POST['totalRealDataSU']))
        $lastRowSU = (int)$_POST['totalRealDataSU'];
    $counter = 0;
    for ($i = 1; $i <= $lastRowSU; $i++) {

        if ((($_POST['isEnableSU-' . $counter]) == 1) && isset($_POST['customerName_' . $counter]) && !empty($_POST['customerName_' . $counter])) {
            // TOTAL COUNT
            $boostsales_field = 'boostsales_notification';
            $boostsales_custom  = '_boostsales_notification';

            $title_field = 'boostsales_notification_' . $j . '_boostsales_title';
            $title_custom = '_boostsales_notification_' . $j . '_boostsales_title ';

            $description_field = 'boostsales_notification_' . $j . '_boostsales_description';
            $description_custom = '_boostsales_notification_' . $j . '_boostsales_description';

            $footer_field = 'boostsales_notification_' . $j . '_boostsales_footer_message';
            $footer_custom = '_boostsales_notification_' . $j . '_boostsales_footer_message';

            $redirect_field = 'boostsales_notification_' . $j . '_ms_auto_boostsales_redirect_page_url';
            $redirect_custom = '_boostsales_notification_' . $j . '_ms_auto_boostsales_redirect_page_url';

            $A = $_POST["customerId_" . $counter]; //orderNo_
            $B = $_POST["customerName_" . $counter]; //productName_
            $C = $_POST["customerMobile_" . $counter]; //customerName_
            $D = $_POST["customerEmail_" . $counter]; //orderNo_
            $E = $_POST["customerURL_" . $counter]; //orderNo_productURL_
            $F = $_POST["customerCity_" . $counter]; //orderNo_productURL_
            $G = $_POST["customerCountry_" . $counter]; //orderNo_productURL_
            $H = $_POST["customerCreated_" . $counter]; //orderNo_productURL_

            ///TITLE
            if (!update_post_meta($id, $title_field, 'Recent Signup'))
                add_post_meta($id, $title_field, 'Recent Signup');
            if (!update_post_meta($id, $title_custom, 'field_5b99496ddbd4f'))
                add_post_meta($id, $title_custom, 'field_5b99496ddbd4f');

            //DESCRIPTION
            if (!update_post_meta($id, $description_field, $B . ' ( ' . $F . ', ' . $G . ' ) '))
                add_post_meta($id, $description_field, $B . ' ( ' . $F . ', ' . $G . ' ) ');
            if (!update_post_meta($id, $description_custom, 'field_5b99498fdbd50'))
                add_post_meta($id, $description_custom, 'field_5b99498fdbd50');

            //FOOTER
            if (!update_post_meta($id, $footer_field, $H))
                add_post_meta($id, $footer_field, $H);
            if (!update_post_meta($id, $footer_custom, 'field_5b9949a6dbd51'))
                add_post_meta($id, $footer_custom, 'field_5b9949a6dbd51');

            //REDIRECT URL
            if (!update_post_meta($id, $redirect_field, $E))
                add_post_meta($id, $redirect_field, $E);
            if (!update_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url'))
                add_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url');

            // TOTAL COUNT
            if (!update_post_meta($id, $boostsales_field, ($j + 1)))
                add_post_meta($id, $boostsales_field, ($j + 1));
            $j++;
        }
        $counter++;
    }
    /*SIGNUP*/
}

add_action('save_post', 'envo_save_custom_meta_data_for_users'); 
function envo_save_custom_meta_data_for_users($id)
{
    global $wpdb;

    if (isset($_FILES['file_users']) && !empty($_FILES["file_users"]["name"])) {

        require_once "Classes/PHPExcel.php";
        $tmpfname = $_FILES['file_users']['tmp_name'];
        $excelReader = PHPExcel_IOFactory::createReaderForFile($tmpfname);
        $excelObj = $excelReader->load($tmpfname);
        $worksheet = $excelObj->getSheet(0);
        $lastRow = $worksheet->getHighestRow();

        $cells = array('A', 'B', 'C');

        $counter = 0;

        $wpdb->query($wpdb->prepare("DELETE FROM users_excel WHERE post_id ='" . $id . "' ", 549));
        $fileName = $_FILES["file_users"]["name"];
        update_post_meta($id, 'file_xlsx_users', $fileName);

        for ($row = 2; $row <= $lastRow; $row++) {
            $username = $worksheet->getCell('A' . $row)->getValue();
            $email = $worksheet->getCell('B' . $row)->getValue();
            $ip = $worksheet->getCell('C' . $row)->getValue();

            //________ INSERT EXCEL DATA _________________________________
            $wpdb->insert(
                'users_excel',
                array(
                    'post_id' => $id,
                    'username' => $username,
                    'email' => $email,
                    'ip' => $ip,
                )

            );
            //________ INSERT EXCEL DATA _________________________________

        } //END FOREACH
    }
}

// Saving the uploaded file details

function envo_save_custom_meta_data($id)
{

    require_once "Classes/PHPExcel.php";

    if (isset($_FILES['file'])) {
        $tmpfname = $_FILES['file']['tmp_name'];
        if (!empty($_FILES['file']['name'])) {

            update_post_meta($id, 'file_xlsx', $_FILES['file']['name']);

            $excelReader = PHPExcel_IOFactory::createReaderForFile($tmpfname);
            $excelObj = $excelReader->load($tmpfname);
            $worksheet = $excelObj->getSheet(0);
            $lastRow = $worksheet->getHighestRow();

            $cells = array('A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z');

            $counter = 0;

            global $wpdb;

            for ($row = 2; $row <= $lastRow; $row++) {

                $title = $worksheet->getCell('B' . $row)->getValue();

                if ($title != '') {

                    $title_field = 'boostsales_notification_' . $counter . '_boostsales_title';

                    $title_custom = '_boostsales_notification_' . $counter . '_boostsales_title';

                    $description_field = 'boostsales_notification_' . $counter . '_boostsales_description';

                    $description_custom = '_boostsales_notification_' . $counter . '_boostsales_description';

                    $footer_field = 'boostsales_notification_' . $counter . '_boostsales_footer_message';

                    $footer_custom = '_boostsales_notification_' . $counter . '_boostsales_footer_message';

                    $redirect_field = 'boostsales_notification_' . $counter . '_ms_auto_boostsales_redirect_page_url';

                    $redirect_custom = '_boostsales_notification_' . $counter . '_ms_auto_boostsales_redirect_page_url';

                    $image_field = 'boostsales_notification_' . $counter . '_boostsales_icon';

                    $image_custom = '_boostsales_notification_' . $counter . '_boostsales_icon';

                    $sound_field = 'boostsales_notification_' . $counter . '_boostsales_sound';

                    $sound_custom = '_boostsales_notification_' . $counter . '_boostsales_sound';

                    $time_field = 'boostsales_notification_' . $counter . '_boostsales_display_time';

                    $time_custom = '_boostsales_notification_' . $counter . '_boostsales_display_time';

                    $dely_field = 'boostsales_notification_' . $counter . '_boostsales_delay_for_next_notification';

                    $dely_custom = '_boostsales_notification_' . $counter . '_boostsales_delay_for_next_notification';

                    $boostsales_field = 'boostsales_notification';

                    $boostsales_custom  = '_boostsales_notification';

                    $time = date("Y-m-d H:i:s");

                    $A = $worksheet->getCell('A' . $row)->getValue();

                    $B = $worksheet->getCell('B' . $row)->getValue();

                    $C = $worksheet->getCell('C' . $row)->getValue();

                    $D = $worksheet->getCell('D' . $row)->getValue();

                    $E = $worksheet->getCell('E' . $row)->getValue();

                    $F = $worksheet->getCell('F' . $row)->getValue();

                    $G = $worksheet->getCell('G' . $row)->getValue();

                    $H = $worksheet->getCell('H' . $row)->getValue();

                    if (!is_numeric($A)) {

                        $A = envo_ms_get_image_id($A);
                    }

                    if (!is_numeric($F)) {

                        $F = envo_ms_get_image_id($F);
                    }

                    if (!update_post_meta($id, $image_field, $A))

                        add_post_meta($id, $image_field, $A);

                    if (!update_post_meta($id, $image_custom, 'field_5b9949d8dbd52'))

                        add_post_meta($id, $image_custom, 'field_5b9949d8dbd52');

                    if (!update_post_meta($id, $title_field, $B))

                        add_post_meta($id, $title_field, $B);

                    if (!update_post_meta($id, $title_custom, 'field_5b99496ddbd4f'))

                        add_post_meta($id, $title_custom, 'field_5b99496ddbd4f');

                    if (!update_post_meta($id, $description_field, $C))

                        add_post_meta($id, $description_field, $C);

                    if (!update_post_meta($id, $description_custom, 'field_5b99498fdbd50'))

                        add_post_meta($id, $description_custom, 'field_5b99498fdbd50');

                    if (!update_post_meta($id, $redirect_field, $D))

                        add_post_meta($id, $redirect_field, $D);

                    if (!update_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url'))

                        add_post_meta($id, $redirect_custom, 'ms_auto_boostsales_redirect_page_url');
                    if (!update_post_meta($id, $footer_field, $E))

                        add_post_meta($id, $footer_field, $E);

                    if (!update_post_meta($id, $footer_custom, 'field_5b9949a6dbd51'))

                        add_post_meta($id, $footer_custom, 'field_5b9949a6dbd51');

                    if (!update_post_meta($id, $sound_field, $F))

                        add_post_meta($id, $sound_field, $F);

                    if (!update_post_meta($id, $sound_custom, 'field_5b994a2fdbd53'))

                        add_post_meta($id, $sound_custom, 'field_5b994a2fdbd53');

                    if (!update_post_meta($id, $time_field, $G))

                        add_post_meta($id, $time_field, $G);

                    if (!update_post_meta($id, $time_custom, 'field_5b9ba6ed32aff'))

                        add_post_meta($id, $time_custom, 'field_5b9ba6ed32aff');

                    if (!update_post_meta($id, $dely_field, $H))

                        add_post_meta($id, $dely_field, $H);

                    if (!update_post_meta($id, $dely_custom, 'field_5b9ba73b32b00'))

                        add_post_meta($id, $dely_custom, 'field_5b9ba73b32b00');

                    $counter++;

                    update_post_meta($id, $boostsales_field, $counter);
                }
            }
        }
    }
}

function envo_ms_get_image_id($image_url)
{

    global $wpdb;

    $attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE guid='%s';", $image_url));

    return $attachment[0];
} 



add_action('init', 'envo_ms_simple_popup_taxonomies', 0);

function envo_ms_simple_popup_taxonomies()
{

   

    $labels = array(

        'name'              => _x('Categories', 'Categories', 'ms-simple-popup'),

        'singular_name'     => _x('Category', 'Category', 'ms-simple-popup'),

        'search_items'      => __('Search Category', 'ms-simple-popup'),

        'all_items'         => __('All Categories', 'ms-simple-popup'),

        'parent_item'       => __('Parent Category', 'ms-simple-popup'),

        'parent_item_colon' => __('Parent Category', 'ms-simple-popup'),

        'edit_item'         => __('Edit Category', 'ms-simple-popup'),

        'update_item'       => __('Update Category', 'ms-simple-popup'),

        'add_new_item'      => __('Add New Category', 'ms-simple-popup'),

        'new_item_name'     => __('New Category Name', 'ms-simple-popup'),

        'menu_name'         => __('Category', 'ms-simple-popup'),

    );

    $args = array(

        'hierarchical'      => true,

        'labels'            => $labels,

        'show_ui'           => true,

        'show_admin_column' => true,

        'query_var'         => true,

        'rewrite'           => array('slug' => 'ms-popup-category'),

    );

    register_taxonomy('simple-popup-category', array('ms-simple-popup'), $args);
}

/* load admin css */

function envo_ms_popup_enqueue_admin_styles()
{

    wp_enqueue_style('ms_popup_ionIcons', 'https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css');

    wp_enqueue_style('ms_popup_admin_bootstrap', plugin_dir_url(__FILE__) . 'assets/css/bootstrap.min.css');

    wp_enqueue_style('ms_popup_admin_datatables_css', plugin_dir_url(__FILE__) . 'assets/css/dataTablesBootstrap_1.10.12.min.css');

    wp_enqueue_style('ms_popup_admin_datatables_buttons_css', plugin_dir_url(__FILE__) . 'assets/css/buttons.bootstrap1.2.2.min.css');

    wp_enqueue_style('ms_popup_admin_css', plugin_dir_url(__FILE__) . 'assets/css/admin.css');

    wp_enqueue_style('data_table_datatable_css', plugin_dir_url(__FILE__) . 'assets/css/jqueryDataTable_1.10.17.min.css');

    wp_enqueue_style('ms_popup_aginputTsMin_css', plugin_dir_url(__FILE__) . 'assets/css/inputTags.css');

    wp_enqueue_style('select2_css', plugin_dir_url(__FILE__) . 'assets/css/select2.min.css');
  
}

add_action('admin_head', 'envo_ms_popup_enqueue_admin_styles');


function envo_scriptsHtmlToCanvas()
{

    wp_enqueue_script('jspdf', plugin_dir_url(__FILE__) . 'assets/js/jspdf.min.js', array('jquery'), '', true);
    wp_enqueue_script('html2canvas', plugin_dir_url(__FILE__) . 'assets/js/html2canvas.min.js');
}

add_action('wp_head', 'envo_scriptsHtmlToCanvas');



function envo_ms_popup_enqueue_admin_js()
{

    wp_enqueue_script('ms_popup_admin_bootstrap_js', plugin_dir_url(__FILE__) . 'assets/js/bootstrap.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_font_awesome_js', plugin_dir_url(__FILE__) . 'assets/js/fontawesomev5.0.7.js');



    wp_enqueue_script('ms_popup_inputTagsJquery_js', plugin_dir_url(__FILE__) . 'assets/js/inputTags.jquery.js', array('jquery'), '', true);

    

    wp_enqueue_script('ms_popup_admin_data_tables', plugin_dir_url(__FILE__) . 'assets/js/jquery.dataTables1.10.16.min.js', array('jquery'), '', true);


    wp_enqueue_script('ms_popup_admin_data_tables_buttons', plugin_dir_url(__FILE__) . 'assets/js/dataTables.buttons1.2.2.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_data_tables_colVis', plugin_dir_url(__FILE__) . 'assets/js/buttons.colVis1.2.2.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_data_tables_html5_buttons', plugin_dir_url(__FILE__) . 'assets/js/buttons.html5_1.2.2.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_data_tables_buttons_print', plugin_dir_url(__FILE__) . 'assets/js/buttons.print1.2.2.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_data_tables_bootstrap', plugin_dir_url(__FILE__) . 'assets/js/dataTables.1.10.16.bootstrap4.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_data_tables_buttons_bootstrap', plugin_dir_url(__FILE__) . 'assets/js/buttons.1.5.1.bootstrap4.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_data_tables_jszip', plugin_dir_url(__FILE__) . 'assets/js/jszip2.5.0.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_admin_js', plugin_dir_url(__FILE__) . 'assets/js/admin.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_Chart_Google', plugin_dir_url(__FILE__) . 'assets/js/googleChart.js'); 

    wp_enqueue_script('select2_js', plugin_dir_url(__FILE__) . 'assets/js/select2.min.js'); 

    wp_enqueue_script('envoHP_all_scripts_js', plugin_dir_url(__FILE__) . 'assets/js/all_scripts.js');
    if (isset($_GET['page']) && $_GET['page'] == 'ecommerceStats') {
        wp_enqueue_script('eCommerce_scripts_js', plugin_dir_url(__FILE__) . 'assets/js/envo_eCommerce_scripts.js');
    }
}

add_action('admin_enqueue_scripts', 'envo_ms_popup_enqueue_admin_js');

function envo_get_IpAddress()
{

    $ip_address = envo_getIp();
    envo_updateVisitors($ip_address);
}

add_action('wp_enqueue_scripts', 'envo_get_IpAddress');


function envo_getWidgetData()
{

    global $wpdb;
    $table_name = $wpdb->prefix . 'woo_envoflix_cart_items';
    $envoflix_visitors = $wpdb->prefix . 'envoflix_visitors';
    $allDataFilter = $_POST['allDataFilter'];
    $allProdFilter = $_POST['allProdFilter'];
    $allDateFilter = $_POST['allDateFilter'];
    $allToDateFilter = $_POST['allToDateFilter'];

    $productCondition = " ";
    $fromDateCondition = " ";
    $toDateCondition = " ";

    if (isset($_POST['WidgetName'])) {
        if ($allDataFilter != null && $allDataFilter != "") {
            if ($allDataFilter == "wooData")
                $allDataFilter = " AND data_type = 'woo' ";
            if ($allDataFilter == "eddData")
                $allDataFilter = " AND data_type = 'edd' ";
        }

        // _________ PRODUCT CONDITION

        if ($allProdFilter != "all") {
            $productCondition = " AND product_id = '" . $allProdFilter . "' ";
        }

        // _________ From Date CONDITION

        if ($allDateFilter != null && $allDateFilter != "") {
            $fromDateCondition = " AND date >= '" . $allDateFilter . "' ";
        }

        // _________ To Date CONDITION

        if ($allDateFilter != null && $allDateFilter != ""  && $allToDateFilter != null && $allToDateFilter != "") {
            $toDateCondition = " AND date <= '" . $allToDateFilter . "' ";
        }


        if ($_POST['WidgetName'] == "checkoutOrder")
            $result = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE order_id IS NULL AND checkout_cart = 1 AND success_cart =0 " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . " ");
        if ($_POST['WidgetName'] == "addCart")
            $result = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 0  " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . " ");
        if ($_POST['WidgetName'] == "removeCart")
            $result = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE cart_is_abandoned = 1  AND order_id IS NULL " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . "");
        if ($_POST['WidgetName'] == "successTransaction")
            $result = $wpdb->get_col("SELECT SUM(qty) as Col FROM $table_name WHERE order_id IS NOT NULL AND success_cart = 1 " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . " ");
        if ($_POST['WidgetName'] == "avgOrdValue") {
            $result = $wpdb->get_col("SELECT ROUND(SUM(tr.pp) / COUNT(order_id)) as aveOrder FROM  (
            SELECT order_id, IF( amountAfterRefund > 0, amountAfterRefund, SUM(productPrice * qty) ) as pp FROM wp_woo_envoflix_cart_items  WHERE order_id IS NOT NULL  " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . " group by order_id ) as tr ");
            if ($result[0] == null || $result[0] == "")
                $result[0] = 0;
            $currency = envo_get_currency_symbol();
            $result[0] = $currency . $result[0];
        }
        if ($_POST['WidgetName'] == "refund") {
            $result = $wpdb->get_col("SELECT SUM(TR.refund) as Col FROM (SELECT DISTINCT order_id , refund FROM $table_name WHERE refund IS NOT NULL AND order_id IS NOT NULL " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . ") AS TR");
            if ($result[0] == null || $result[0] == "")
                $result[0] = 0;
            $currency = envo_get_currency_symbol();
            $result[0] = $currency . $result[0];
        }
        if ($_POST['WidgetName'] == "conversion") {
            $result = $wpdb->get_col("SELECT ROUND((count(TR.totalActions)/(SELECT count(id) FROM $envoflix_visitors)) * 100) as Conversion
            FROM (SELECT user_id as totalActions FROM $table_name WHERE order_id IS NOT NULL " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . " GROUP BY  ip_address,user_id) as TR");
            $result[0] .= "%";
        }
        if ($_POST['WidgetName'] == "revenue") {
            $result = $wpdb->get_col("SELECT SUM(TR.revenue) FROM (SELECT DISTINCT order_id , IF( amountAfterRefund > 0, amountAfterRefund, (productPrice * qty) ) as revenue FROM $table_name WHERE refund IS NOT NULL AND order_id IS NOT NULL " . $allDataFilter . $productCondition . $fromDateCondition . $toDateCondition . ") AS TR ");
            if ($result[0] == null || $result[0] == "")
                $result[0] = 0;
            $currency = envo_get_currency_symbol();
            $result[0] = $currency . $result[0];
        }
    }

    echo $result[0];
    wp_die();
}

function envo_updateVisitors($ip_address)
{

    global $wpdb;
    $table_name = $wpdb->prefix . 'envoflix_visitors';
    $user_id = get_current_user_id();

    if ($user_id == null)
        $user_id = 0;

    $count = "SELECT COUNT(ip_address) as duplicate from $table_name WHERE ip_address = '" . $ip_address . "'
    AND user_id = '" . $user_id . "' ";
    $duplicateIp = $wpdb->get_col($count);

    if ($duplicateIp[0] == 0) {
        $wpdb->insert(
            $table_name,
            array(
                'ip_address' => $ip_address,
                'user_id' => $user_id
            )
        );
    }
}

function envo_getprodData()
{
    global $wpdb;
    $table_post = $wpdb->prefix . 'posts';
    $allDataFilter = $_POST['allDataFilter'];

    if ($allDataFilter == "eddData")
        $post_type = "download";
    if ($allDataFilter == "wooData")
        $post_type = "product";


    $products = $wpdb->get_results(" SELECT ID as prodId, post_title as prodName FROM $table_post WHERE post_status = 'publish' AND post_type = '" . $post_type . "' order by ID, post_modified", ARRAY_A);

    $result = array();
    foreach ($products as  $product) {
        $prodId = $product['prodId'];
        $prodName = $product['prodName'];

        $result[$prodId] = $prodName;
    }

    echo json_encode($result);
    wp_die();
}

add_action("admin_footer", "envo_boostsales_method_script");


function envo_boostsales_method_script()
{

    if (isset($_GET['post']))
        $postID = $_GET['post'];
    else
        $postID = 0;

    echo '
    
    <script>
    
jQuery(document).ready(function(){

    "use strict";

    jQuery("#toplevel_page_ms-marketing-tools").find(".wp-first-item").html("");

    var postID = "' . $postID . '";
    var data = {"action":"envo_getChooseMethod", "postID":postID};

    jQuery.post(ajaxurl,data,function(response){
        
        // 31 --> realData-visitors
        // 32 --> realData-purchase
        // 33 --> realData-signup   

        if(response == 31)
        {
            jQuery("#choose_method_realData").prop("checked", true).trigger("click");
            jQuery("#choose_method_subOptionRealData1").prop("checked", true).trigger("click");

        }
        
        if(response == 32)
        {
            jQuery("#choose_method_realData").prop("checked", true).trigger("click");
            jQuery("#choose_method_subOptionRealData2").prop("checked", true).trigger("click");
        }
        
        if(response == 33)
        {
            jQuery("#choose_method_realData").prop("checked", true).trigger("click");
            jQuery("#choose_method_subOptionRealData3").prop("checked", true).trigger("click");
        }

    });

    var data = {"action":"envo_getChooseMethodxNotification", "postID":postID};

    jQuery.post(ajaxurl,data,function(response){

    jQuery("#x_Notification_visitors").val(response).trigger("keyup");
    jQuery("#x_Notification_purchases").val(response).trigger("keyup");
    jQuery("#x_Notification_signup").val(response).trigger("keyup");

    });

    });
    </script>';
}
/* load css files for front end */

function envo_ms_popup_enqueue_styles()
{

    wp_enqueue_style('ms_popup_bootstrap', plugin_dir_url(__FILE__) . 'assets/css/ms-bootstrap.css');

    wp_enqueue_style('ionicons', 'https://unpkg.com/ionicons@4.3.0/dist/css/ionicons.min.css');

    wp_enqueue_style('fontfesto',  plugins_url('EnvoFlix/assets/css/fontistov3.0.4.min.css'));

    wp_enqueue_style('ms_popup_lightlayer', plugin_dir_url(__FILE__) . 'assets/css/lightlayer.min.css');

    wp_enqueue_style('ms_popup_animate', plugin_dir_url(__FILE__) . 'assets/css/animate.css');

    wp_enqueue_style('ms_popup_font_awesome_css', plugin_dir_url(__FILE__) . 'assets/css/fontawesome-all.css');

    wp_enqueue_style('ms_popup_fontawesome', 'https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css');

    wp_enqueue_style('ms_owl_carousel', plugin_dir_url(__FILE__) . 'assets/css/owl.carousel.css');

    wp_enqueue_style('ms_owltheme_carousel', plugin_dir_url(__FILE__) . 'assets/css/owl.theme.default.css');

    wp_enqueue_style('ms_owlgreen_carousel', plugin_dir_url(__FILE__) . 'assets/css/owl.theme.green.css');

    wp_enqueue_style('ms_flipclock_css', plugin_dir_url(__FILE__) . 'assets/css/flipclock.css');

    wp_enqueue_style('ms_calendar_css', plugin_dir_url(__FILE__) . 'assets/css/calendarview.css');

    wp_enqueue_style('ms_popup_style', plugin_dir_url(__FILE__) . 'assets/css/style.css');

    wp_enqueue_style('dashicons');
}

add_action('wp_enqueue_scripts', 'envo_ms_popup_enqueue_styles', 23428346, 1);

/* load required js files */

function envo_ms_popup_enqueue_js()
{

    wp_enqueue_script('ms_popup_bootstrap_js', plugin_dir_url(__FILE__) . 'assets/js/bootstrap.min.js', array('jquery'), '', true);

    wp_enqueue_script('heatmap', plugin_dir_url(__FILE__) . 'assets/js/heatmap.min.js', array('jquery'), '', true);

    wp_enqueue_script('custom', plugin_dir_url(__FILE__) . 'assets/js/custom.js', array('jquery'), '', true);

    $dataToPass = array(

        'ajax' => admin_url('admin-ajax.php')

    );

    wp_localize_script('custom', 'ajaxurl', $dataToPass);

    wp_enqueue_script('ms_popup_popper_js', plugin_dir_url(__FILE__) . 'assets/js/popper.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_lightlayer_js', plugin_dir_url(__FILE__) . 'assets/js/jquery.lightlayer.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_countdown_js', plugin_dir_url(__FILE__) . 'assets/js/countdown.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_jquery_validate_js', plugin_dir_url(__FILE__) . 'assets/js/jquery.validate.1.15.0.min.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_flipclock_js', plugin_dir_url(__FILE__) . 'assets/js/flipclock.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_calendar_prototype_js', plugin_dir_url(__FILE__) . 'assets/js/prototype.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_calendar_js', plugin_dir_url(__FILE__) . 'assets/js/calendarview.js', array('jquery'), '', true);

    wp_register_script('ms_popup_main_js', plugin_dir_url(__FILE__) . 'assets/js/main.js', array('jquery'), '', true);

    wp_register_script('ms_header_js', plugin_dir_url(__FILE__) . 'assets/js/ms-header.js', array('jquery'), '', true);

    wp_enqueue_script('ms_popup_main_js');

    wp_enqueue_script('ms_header_js');

    $ms_popup_id = get_field('ms_popup_select_to_use', get_the_ID());

    $ms_notification_id = get_field('ms_notification_select_to_use', get_the_ID());

    if (get_field("ms_boostsales_select_to_use", get_the_ID())) {

        $ms_boostsales = get_field("ms_boostsales_select_to_use", get_the_ID());

        $ms_boostsales_times = array();

        $ms_boostsales_delay_array = array();

        $ms_boostsales_sounds_array = array();

        foreach ($ms_boostsales as $ms_boostsale_id) {

            if (have_rows('boostsales_notification', $ms_boostsale_id)) :

                while (have_rows('boostsales_notification', $ms_boostsale_id)) : the_row();

                    $dptime = get_sub_field('boostsales_display_time');

                    $delaytime = get_sub_field('boostsales_delay_for_next_notification');

                    $ms_boostsales_repeat = get_field('ms_auto_boostsales_repeat_option', $ms_boostsale_id);

                    $ms_boostsales_default_milli_seconds = get_field('boostsales_default_display_time', $ms_boostsale_id);

                    $ms_boostsales_default_delay_time = get_field('boostsales_default_delay_for_next_notification', $ms_boostsale_id);

                    if ($ms_boostsales_repeat != 1) {
                        $ms_boostsales_repeat = 0;
                    }

                    if ($delaytime) {

                        array_push($ms_boostsales_delay_array, $delaytime);
                    } else {
                        array_push($ms_boostsales_delay_array, 0);
                    }

                    if ($dptime) {

                        array_push($ms_boostsales_times, $dptime);
                    } else {
                        array_push($ms_boostsales_times, 0);
                    }

                    if (get_field("default_sound", $ms_boostsale_id)) {

                        array_push($ms_boostsales_sounds_array, get_field("default_sound", $ms_boostsale_id));
                    } elseif (get_sub_field("boostsales_sound")) {

                        array_push($ms_boostsales_sounds_array, get_sub_field("boostsales_sound"));
                    }

                endwhile;

            endif;
        }

        /* MS Notification data pass */

        $notification_passed_data = array(

            'note_custom_id' => get_field('ms_notifications_custom_id', $ms_notification_id),

            'note_delay_type' => get_field('ms_notification_display_when', $ms_notification_id),

            'note_delay_scroll' => get_field('ms_notification_display_scroll_down', $ms_notification_id),

            'note_delay_milli_sec' => get_field('ms_notification_display_milli_seconds', $ms_notification_id),

            'ms_boostsales_times' => $ms_boostsales_times,

            'ms_boostsales_sounds' => $ms_boostsales_sounds_array,

            'ms_boostsales_delay' => $ms_boostsales_delay_array,

            'ms_boostsales_repeat' => $ms_boostsales_repeat,

            'default_milli_seconds' => $ms_boostsales_default_milli_seconds,

            'default_delay_time' => $ms_boostsales_default_delay_time,

        );

        wp_localize_script('ms_popup_main_js', 'ms_notification_data', $notification_passed_data);
    } else {
        $ms_boostsales_times = array(0);
    }

    if (!empty($ms_popup_id)) {

        foreach ($ms_popup_id as $sing_popup_id) {

            $backgroundimg = get_field('ms_popup_background_image', $sing_popup_id);

            if ($backgroundimg) {

                $url = $backgroundimg;
            } else {

                $url = '';
            }

            $popup_passed_data[$sing_popup_id] = array(

                'time' => get_field('ms_popup_delay_to_popup', $sing_popup_id),

                'clock_enabled' => get_field('ms_popup_countdown_timer_options', $sing_popup_id),

                'expire_year' => get_field('ms_popup_countdown_expire_year', $sing_popup_id),

                'expire_month' => get_field('ms_popup_countdown_expire_month', $sing_popup_id),

                'expire_days' => get_field('ms_popup_countdown_expire_days', $sing_popup_id),

                'expire_hours' => get_field('ms_popup_countdown_expire_hours', $sing_popup_id),

                'expire_min' => get_field('ms_popup_countdown_expire_min', $sing_popup_id),

                'expire_sec' => get_field('ms_popup_countdown_expire_sec', $sing_popup_id),

                'layer_background' => get_field('ms_popup_background_layer_color', $sing_popup_id),

                'background_color' => get_field('ms_popup_background_color', $sing_popup_id),

                'layer_background_img' => $url,

                'popup_width' => get_field('ms_popup_width', $sing_popup_id),

                'layer_opacity' => get_field('ms_popup_layer_background_opacity', $sing_popup_id),

                'popup_position' => get_field('ms_popup_position', $sing_popup_id),

                'screen_size' => get_field('ms_popup_minimum_screen_size', $sing_popup_id),

                'display_when' => get_field('ms_popup_display_when', $sing_popup_id),

                'is_mobile' => get_field('ms_popup_mobile_show', $sing_popup_id),

                'is_tablet' => get_field('ms_popup_tablet_show', $sing_popup_id),

                'is_desktop' => get_field('ms_popup_desktop_show', $sing_popup_id),

            );
        }

        wp_localize_script('ms_popup_main_js', 'ms_data', $popup_passed_data);
    }
}

add_action('wp_enqueue_scripts', 'envo_ms_popup_enqueue_js', 346834324, 1); 


function envo_cookie_info_scripts()
{

    //js file for ajax calling

    wp_enqueue_script('ci-ajax-js', plugin_dir_url(__FILE__) . 'assets/js/ms-ajax.js', array('jquery'), time(), true);

    //wp ajax file

    wp_localize_script('ci-ajax-js', 'ciAjax', array(

    

        'ajaxurl' => admin_url('admin-ajax.php'),

        

        'security' => wp_create_nonce('YeSGUodNkznc1EJeIgLzwDVWMuOMpxwdzfJjtLVC86EZzd17kC')

    ));
}

add_action('wp_enqueue_scripts', 'envo_cookie_info_scripts');


function envo_cookie_info_process()
{
    check_ajax_referer('YeSGUodNkznc1EJeIgLzwDVWMuOMpxwdzfJjtLVC86EZzd17kC', 'security');

    include_once('inc/cookie_notification/prepare-cookie-info.php');

    global $wpdb;

    // Using the WordPress global $current_user to get the current user's data
    $current_user = wp_get_current_user();
    $cUserName = ($current_user->ID !== 0) ? $current_user->display_name : 'unknown_visitor';
    $cUserEmail = ($current_user->ID !== 0) ? $current_user->user_email : 'unknown_email';

    $country_name = $data->geobytescountry; // Assuming $data is available from your included file
    $ip_address = envo_get_visitor_ip();

    $expire_day = get_field('cookie_notification_expire_date', 'option')['cookie_notification_expire_days'];

    $table_name = $wpdb->prefix . 'cookie_info';

    setcookie($cUserName, $cUserEmail, time() + (86400 * $expire_day), "/");

    $wpdb->insert(
        $table_name,
        array(
            'cookie_name'   => $cUserName,
            'cookie_value'  => $cUserEmail,
            'country_name'  => $country_name,
            'ip_address'    => $ip_address,
            'cookie_time'   => date('l, F d, Y h:i:s a', time() + (86400 * $expire_day)),
        )
    );

    wp_die(); // This is required to return a proper result
}

add_action('wp_ajax_envo_cookie_info_process', 'envo_cookie_info_process');
add_action('wp_ajax_nopriv_envo_cookie_info_process', 'envo_cookie_info_process');

add_action('wp_ajax_envo_event_happened', 'envo_event_happened');
add_action('wp_ajax_nopriv_envo_event_happened', 'envo_event_happened');

add_action('wp_ajax_envo_scroll', 'envo_scroll');
add_action('wp_ajax_nopriv_envo_scroll', 'envo_scroll');

add_action('wp_ajax_envo_user', 'envo_user');
add_action('wp_ajax_nopriv_envo_user', 'envo_user');

add_action('wp_ajax_envo_spend', 'envo_spend');
add_action('wp_ajax_nopriv_envo_spend', 'envo_spend');

add_action('wp_ajax_envo_showEvent', 'envo_showEvent');
add_action('wp_ajax_nopriv_envo_showEvent', 'envo_showEvent');

add_action('wp_ajax_envo_showEventAll', 'envo_showEventAll');
add_action('wp_ajax_nopriv_envo_showEventAll', 'envo_showEventAll');

add_action('wp_ajax_envo_getHeatAnalytic', 'envo_getHeatAnalytic');
add_action('wp_ajax_nopriv_envo_getHeatAnalytic', 'envo_getHeatAnalytic');

add_action('wp_ajax_envo_getChooseMethod', 'envo_getChooseMethod');
add_action('wp_ajax_nopriv_envo_getChooseMethod', 'envo_getChooseMethod');

add_action('wp_ajax_envo_getChooseMethodxNotification', 'envo_getChooseMethodxNotification');
add_action('wp_ajax_nopriv_envo_getChooseMethodxNotification', 'envo_getChooseMethodxNotification');

add_action('wp_ajax_envo_updateHeatAnalytic', 'envo_updateHeatAnalytic');
add_action('wp_ajax_nopriv_envo_updateHeatAnalytic', 'envo_updateHeatAnalytic');

add_action('wp_ajax_envo_spendTime', 'envo_spendTime');
add_action('wp_ajax_nopriv_envo_spendTime', 'envo_spendTime');

add_action('wp_ajax_envo_get_movement', 'envo_get_movement');
add_action('wp_ajax_nopriv_envo_get_movement', 'envo_get_movement');

add_action('wp_ajax_envo_showScroll', 'envo_showScroll');
add_action('wp_ajax_nopriv_envo_showScroll', 'envo_showScroll');

add_action('admin_post_pdf', 'envo_pdf');

add_action('admin_post_envo_ecommercePDF', 'envo_ecommercePDF');

add_action('wp_ajax_envo_getWidgetData', 'envo_getWidgetData');
add_action('wp_ajax_nopriv_envo_getWidgetData', 'envo_getWidgetData');

add_action('wp_ajax_envo_updateVisitors', 'envo_updateVisitors');
add_action('wp_ajax_nopriv_envo_updateVisitors', 'envo_updateVisitors');

add_action('wp_ajax_envo_getprodData', 'envo_getprodData');
add_action('wp_ajax_nopriv_envo_getprodData', 'envo_getprodData');


// Graph pdf 
function envo_get_sub_data($whereProduct = null, $whereFromDate = null, $whereToDate = null, $allDataCondition = null, $groupBy = null, $subDataName = "")
{
    global $wpdb;
    $woo_envoflix_cart_items = $wpdb->prefix . "woo_envoflix_cart_items";
    if ($subDataName == "ac")    /*Add Cart Sub Data*/
        $check = " WHERE cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 0 ";
    else if ($subDataName == "rc")
        $check = " WHERE cart_is_abandoned = 1 AND order_id IS  NULL ";
    else if ($subDataName == "cc")
        $check = " WHERE cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 1 ";
    else if ($subDataName == "sc")
        $check = " WHERE cart_is_abandoned = 0 AND order_id IS NOT NULL AND success_cart = 1 ";

    $subDataQuery = 'SELECT sum(qty) as value, country,city, browser, refereral_link FROM ' . $woo_envoflix_cart_items . $check . $whereProduct . $whereFromDate . $whereToDate . $allDataCondition . $groupBy . '  ';
    $subDataQuery = $wpdb->get_results($subDataQuery, ARRAY_A);
    return $subDataQuery;
}
function envo_ecommercePDF()
{
    global $wpdb;
    require('fpdf.php');
    $whereProduct = "";
    $groupBy = "";
    $dataWise = $_POST['donutSelectOption'];
    $CartDataOption = $_POST['donutCartDataOption'];
    $fromDate = $_POST['allDateFilter'];
    $toDate = $_POST['allToDateFilter'];

    $showAllPDF = $_POST['showAllPDF'];
    $woo_envoflix_cart_items = $wpdb->prefix . "woo_envoflix_cart_items";

    $allDataFilter = $_POST['allDataFilter'];

    if ($allDataFilter == "eddData")
        $allDataCondition = " AND data_type = 'edd' ";

    if ($allDataFilter == "wooData")
        $allDataCondition = " AND data_type = 'woo' ";

    if ($showAllPDF == 1) {

        $whereFromDate = " ";
        $whereToDate = " ";

        if ($fromDate != "") {
            $whereFromDate = " AND date >= '" . $fromDate . "' ";
        }
        if ($fromDate != "" && $toDate != "") {
            $whereToDate = " AND date <= '" . $toDate . "' ";
        }

        /*FOR ADD CART DATA*/
        $addCartQuery = 'SELECT sum(qty) as value FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 0 ' . $whereProduct . $whereFromDate . $allDataCondition . $whereToDate . '  ';
        $totalAddCart = $wpdb->get_col($addCartQuery)[0];


        /* FOR REMOVE CART DATA*/
        $removeCartQuery = 'SELECT sum(qty) as value FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 1 AND order_id IS NULL ' . $whereProduct . $whereFromDate . $allDataCondition . $whereToDate . '  ';
        $totalRemoveCart = $wpdb->get_col($removeCartQuery)[0];


        /* FOR CHECKOUT CART DATA*/
        $checkoutCartQuery = 'SELECT sum(qty) as value FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 0 AND order_id IS NULL AND checkout_cart = 1  ' . $whereProduct . $whereFromDate . $allDataCondition . $whereToDate . '  ';
        $totalCheckoutCart = $wpdb->get_col($checkoutCartQuery)[0];


        /* FOR SUCCESS CART DATA*/
        $successCartQuery = 'SELECT sum(qty) as value FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 0 AND order_id IS NOT NULL AND success_cart = 1  ' . $whereProduct . $whereFromDate . $allDataCondition . $whereToDate . '  ';
        $totalSuccessCart = $wpdb->get_col($successCartQuery)[0];


        $groupByCountry  = " GROUP BY country ";
        $groupByCity     = " GROUP BY city ";
        $groupByBrowser  = " GROUP BY browser ";
        $groupBySource   = " GROUP BY refereral_link ";

        /* TOP COUNTRIES */
        $AC_topCountries = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCountry, 'ac');
        $RC_topCountries = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCountry, 'rc');
        $CC_topCountries = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCountry, 'cc');
        $SC_topCountries = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCountry, 'sc');

        /* TOP CITIES */
        $AC_topcities    = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCity, 'ac');
        $RC_topcities    = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCity, 'rc');
        $CC_topcities    = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCity, 'cc');
        $SC_topcities    = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByCity, 'sc');

        /* TOP BROWSERS */
        $AC_topBrowsers  = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByBrowser, 'ac');
        $RC_topBrowsers  = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByBrowser, 'rc');
        $CC_topBrowsers  = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByBrowser, 'cc');
        $SC_topBrowsers  = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupByBrowser, 'sc');

        /* TOP SOURCES */
        $AC_topSources   = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupBySource, 'ac');
        $RC_topSources   = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupBySource, 'rc');
        $CC_topSources   = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupBySource, 'cc');
        $SC_topSources   = envo_get_sub_data($whereProduct, $whereFromDate, $whereToDate, $allDataCondition, $groupBySource, 'sc');

        $count = 1;

        class ECOMMPDF extends FPDF
        {
            function Footer()
            {
                $this->SetY(-15);
                $this->SetFont('Arial', 'I', 8);
                $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
            }
        }

        $pdf = new ECOMMPDF();
        $pdf->AliasNbPages();
        $pdf->AddPage();

        // ____ ADD CARTS DATA ___________________________________________________________________________
        $pdf->SetFont('Times', 'B', 16);
        $pdf->Cell(10, 10, 'Total Add Carts', 10, 10);
        $pdf->Cell(10, 10, $totalAddCart, 10, 10);

        // ____ SUB DATA

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Countries', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($AC_topCountries as $AC_topCountry) {
            $pdf->Cell(10, 10, $AC_topCountry['country'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Cities', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($AC_topcities as $AC_topCity) {
            $pdf->Cell(10, 10, $AC_topCity['city'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Browsers', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($AC_topBrowsers as $AC_topBrowser) {
            $pdf->Cell(10, 10, $AC_topBrowser['browser'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Sources', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($AC_topSources as $AC_topSource) {
            $pdf->Cell(10, 10, $AC_topSource['refereral_link'], 10, 10);
        }

        // ____ SUB DATA 

        // ____ Remove CARTS DATA ___________________________________________________________________________
        $pdf->SetFont('Times', 'B', 16);
        $pdf->Cell(500, 10, 'Total Remove Carts', 10, 10);
        $pdf->Cell(10, 10, $totalRemoveCart, 10, 10);

        // ____ SUB DATA

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Countries', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($RC_topCountries as $RC_topCountry) {
            $pdf->Cell(10, 10, $RC_topCountry['country'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Cities', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($RC_topcities as $RC_topCity) {
            $pdf->Cell(10, 10, $RC_topCity['city'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Browsers', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($RC_topBrowsers as $RC_topBrowser) {
            $pdf->Cell(10, 10, $RC_topBrowser['browser'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Sources', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($RC_topSources as $RC_topSource) {
            $pdf->Cell(10, 10, $RC_topSource['refereral_link'], 10, 10);
        }

        // ____ SUB DATA 

        // ____ CHECKOUT CARTS DATA ___________________________________________________________________________
        $pdf->SetFont('Times', 'B', 16);
        $pdf->Cell(10, 10, 'Total Checkout Carts', 10, 10);
        $pdf->Cell(10, 10, $totalCheckoutCart, 10, 10);

        // ____ SUB DATA

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Countries', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($CC_topCountries as $CC_topCountry) {
            $pdf->Cell(10, 10, $CC_topCountry['country'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Cities', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($CC_topcities as $CC_topCity) {
            $pdf->Cell(10, 10, $CC_topCity['city'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Browsers', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($CC_topBrowsers as $CC_topBrowser) {
            $pdf->Cell(10, 10, $CC_topBrowser['browser'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Sources', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($CC_topSources as $CC_topSource) {
            $pdf->Cell(10, 10, $CC_topSource['refereral_link'], 10, 10);
        }

        // ____ SUB DATA 

        // ____ SUCCESS CARTS DATA ___________________________________________________________________________
        $pdf->SetFont('Times', 'B', 16);
        $pdf->Cell(10, 10, 'Total Success Carts', 10, 10);
        $pdf->Cell(10, 10, $totalSuccessCart, 10, 10);

        // ____ SUB DATA

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Countries', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($SC_topCountries as $SC_topCountry) {
            $pdf->Cell(10, 10, $SC_topCountry['country'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Cities', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($SC_topcities as $SC_topCity) {
            $pdf->Cell(10, 10, $SC_topCity['city'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Browsers', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($SC_topBrowsers as $SC_topBrowser) {
            $pdf->Cell(10, 10, $SC_topBrowser['browser'], 10, 10);
        }

        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, 'Top Sources', 10, 10);
        $pdf->SetFont('Times', '', 10);
        foreach ($SC_topSources as $SC_topSource) {
            $pdf->Cell(10, 10, $SC_topSource['refereral_link'], 10, 10);
        }

        // ____ SUB DATA 

    } else {

        $subOption = "all";
        $whereFromDate = " ";
        $whereToDate = " ";

        if ($fromDate != "") {
            $whereFromDate = " AND date >= '" . $fromDate . "' ";
        }
        if ($fromDate != "" && $toDate != "") {
            $whereToDate = " AND date <= '" . $toDate . "' ";
        }
        $title = "product_name";
        $groupBy = " GROUP BY product_id ";
        $Heading = "Product Wise Data";
        if ($dataWise == "pw") {
            $groupBy = " GROUP BY product_id ";
            $title = "product_id";
            $subOption = $_POST['donutSelectSubOption_pw'];
            $Heading = "Product Wise Data";
        } else if ($dataWise == "cw") {
            $groupBy = " GROUP BY country ";
            $title = "country";
            $subOption = $_POST['donutSelectSubOption_cw'];
            $Heading = "Country Wise Data";
        } else if ($dataWise == "dw") {
            $groupBy = " GROUP BY os ";
            $subOption = $_POST['donutSelectSubOption_dw'];
            $title = "os";
            $Heading = "Device Wise Data";
        } else if ($dataWise == "sw") {
            $groupBy = " GROUP BY refereral_link ";
            $subOption = "all";
            $title = "refereral_link";
            $Heading = "Source Wise Data";
        } else if ($dataWise == "bw") {
            $groupBy = " GROUP BY browser ";
            $subOption = $_POST['donutSelectSubOption_bw'];
            $title = "browser";
            $Heading = "Browser Wise Data";
        }

        if ($subOption != "" && $subOption != null && $subOption != "all") {
            if ($dataWise == "pw")
                $whereProduct = " AND product_name LIKE '%" . $subOption . "%' ";
            else if ($dataWise == "cw")
                $whereProduct = " AND country = '" . $subOption . "' ";
            else if ($dataWise == "dw")
                $whereProduct = " AND os = '" . $subOption . "' ";
            else if ($dataWise == "bw")
                $whereProduct = " AND browser LIKE '%" . $subOption . "%' ";
        }

        if ($allDataFilter == "eddData")
            $allDataCondition = " AND data_type = 'edd' ";

        if ($allDataFilter == "wooData")
            $allDataCondition = " AND data_type = 'woo' ";

        //____ FOR ADD CART DATA
        $addCartQuery = 'SELECT DISTINCT COUNT(id) as value, product_id, os, browser, country , refereral_link FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 0 AND order_id IS NULL ' . $whereProduct . $whereFromDate . $whereToDate . $allDataCondition . $groupBy . '  ';

        //____ FOR REMOVE CART DATA
        $removeCartQuery = 'SELECT DISTINCT COUNT(id) as value, product_id, os, browser, country , refereral_link FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 1 AND order_id IS NULL ' . $whereProduct . $whereFromDate . $whereToDate . $allDataCondition . $groupBy . '  ';

        //____ FOR SUCCESS CART DATA
        $successCartQuery = 'SELECT DISTINCT COUNT(id) as value, product_id, os, browser, country , refereral_link FROM ' . $woo_envoflix_cart_items . ' WHERE cart_is_abandoned = 0 AND order_id IS NOT NULL ' . $whereProduct . $whereFromDate . $whereToDate . $allDataCondition . $groupBy . '  ';

        if ($CartDataOption == "ac") {
            $content = "Add Carts";
            $queryToRun = $addCartQuery;
        } else if ($CartDataOption == "rc") {
            $content = "Remove Carts";
            $queryToRun = $removeCartQuery;
        } else if ($CartDataOption == "sc") {
            $content = "Success Carts";
            $queryToRun = $successCartQuery;
        }

        $query = $wpdb->get_results($queryToRun, ARRAY_A);

        $count = 1;

        class ECOMMPDFF extends FPDF
        {
            function Footer()
            {
                $this->SetY(-15);
                $this->SetFont('Arial', 'I', 8);
                $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
            }
        }

        $pdf = new ECOMMPDFF();
        $pdf->AliasNbPages();
        $pdf->AddPage();

        $count = 1;
        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, $Heading, 10, 10);
        foreach ($query as  $value) {
            if ($title == "product_id") {
                $product = wc_get_product($value[$title]);
                $product = $product->get_title();
            } else
                $product = $value[$title];

            $pdf->SetFont('Times', 'B', 11);
            $pdf->Cell(10, 10, $count . ')  ' . $product, 10, 10);
            $pdf->SetFont('Times', '', 10);
            $pdf->Cell(10, 10, $value['value'] . ' ' . $content, 10, 10);
            $count++;
        }
    }
    $pdf->footer();
    $pdf->Output('D', 'doc.pdf', true);
}


// Graph pdf 
function envo_pdf()
{

    global $wpdb;

    require('fpdf.php');

    $user = $_POST['pdf'];

    $query = $wpdb->get_results("SELECT * FROM h_page  WHERE user_id = '$user'  GROUP BY url", ARRAY_A);

    $count = 1;

    class PDF extends FPDF
    {
        // Page footer
        function Footer()
        {
            // Position at 1.5 cm from bottom
            $this->SetY(-15);
            // Arial italic 8
            $this->SetFont('Arial', 'I', 8);
            // Page number
            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }
    }
    //Instanciation of inherited class

    $pdf = new PDF();
    $pdf->AliasNbPages();
    $pdf->AddPage();
    $query_user = $wpdb->get_results("SELECT * FROM h_user WHERE user_id = '$user'", ARRAY_A);
    $count = 1;
    if ($query_user) {
        foreach ($query_user as $value) {
            $pdf->SetFont('Times', 'B', 11);
            $user_id = $value['user_id'];
            $user = get_user_by('ID', $user_id);

            $pdf->Cell(10, 30, $value['city'] . '      ' . $value['country'] . '         ' . $value['ip_adress'] . '         ' . $value['browser'] . '        ' . $value['os'], 10, 10);

            $reffer = $wpdb->get_results("SELECT reffer FROM h_user  WHERE user_id = $user_id", ARRAY_A);
            $pdf->SetFont('Times', '', 10);
            $pdf->Cell(10, 10, 'Reffer From:  ' . $reffer[0]['reffer'], 10, 10);
        }
    }

    foreach ($query as  $value) {
        $url = $value['url'];
        $session = $value['session_id'];
        $time_spend = $wpdb->get_results("SELECT time_spend FROM h_time WHERE session_id = '$session' ", ARRAY_A);
        $spend_time = gmdate("H:i:s", strtotime($time_spend[0]["time_spend"]));
        $event_count = $wpdb->get_results("SELECT COUNT(pageX) AS count FROM h_event WHERE url = '$url' AND user_id = '$user_id'", ARRAY_A);
        $page_views = $wpdb->get_results("SELECT COUNT(url) AS count FROM h_page WHERE url = '$url' AND user_id = '$user_id'", ARRAY_A);
        $vi = $page_views[0]['count'];
        if ($vi == 0) {
            $vi = 1;
        }
        $pdf->SetFont('Times', 'B', 11);
        $pdf->Cell(10, 10, $count++ . '    ' . $url, 0, 10);
        $pdf->SetFont('Times', '', 11);
        $pdf->Cell(10, 20, 'Date:  ' . $value['view_date'] . '       Time Spend:  ' . $spend_time . '      Clicks:  ' . $event_count[0]["count"] . '    Views:  ' . $vi, 0, 10);
    }
    $pdf->footer();
    $pdf->Output('D', 'doc.pdf', true);
}

function envo_showScroll()
{

    global $wpdb;

    $url = $_POST['url'];

    $user = $_POST['user'];

    $result = $wpdb->get_results("SELECT max(scroll) AS scroll FROM h_page WHERE url = '$url' AND user_id = '$user'");

    if ($result) {

        echo json_encode($result);
    } else {

        echo 'false';
    }

    wp_die();
}

function envo_get_movement()
{

    global $wpdb;

    $session = $_POST['session'];

    $result = $wpdb->get_results("SELECT json FROM h_movement WHERE session_id = '$session'", ARRAY_A);

    if ($result) {
        echo json_encode($result);
    } else {
        echo "false";
    }

    wp_die();
}

function envo_spendTime()
{

    global $wpdb;

    $time = $_POST['time'];

    $session = $_POST['session'];

    $session_id = $session;

    $result2 = $wpdb->get_results("SELECT * FROM h_time WHERE session_id = '$session_id'", ARRAY_A);

    if (!$result2) {

        $insert = $wpdb->insert("h_time", array('session_id' => $session_id, 'time_spend' => $time));
    } else {

        $insert = $wpdb->query("UPDATE h_time SET time_spend = '$time' WHERE session_id = '$session_id'");
    }

    echo $session;

    wp_die();
}
function envo_scroll()
{

    global $wpdb;

    $session = $wpdb->get_results("SELECT session_id FROM h_page ORDER BY id DESC LIMIT 1", ARRAY_A);

    $session = $session[0]['session_id'];

    $scroll = $_POST['scroll'];

    $result = $wpdb->query("UPDATE h_page SET scroll = '$scroll' WHERE session_id = '$session'");

    if (!$result) {

        echo "no";
    }

    wp_die();
}

function envo_showEvent()
{

    global $wpdb;

    $url = $_POST['url'];

    $user = $_POST['user'];

    $result = $wpdb->get_results("SELECT * FROM h_event WHERE url = '$url' AND user_id = '$user'");

    if ($result) {

        echo json_encode($result);
    } else {

        echo 'false';
    }

    wp_die();
}



function envo_showEventAll()
{

    global $wpdb;

    $url = $_POST['url'];
    $user = $_POST['user'];
    $width = $_POST['width'];
    $height = $_POST['height'];

    $result = $wpdb->get_results("SELECT * FROM h_event WHERE url = '$url' 
        AND page_width = '$width' AND page_height = '$height'");

    if ($result) {

        echo json_encode($result);
    } else {

        echo 'false';
    }

    wp_die();
}



function envo_spend()
{

    global $wpdb;

    $scroll = $_POST['scroll'];

    $json = trim(stripslashes($_POST['points']), '"'); 

    $session = $_POST['session'];

    $time = $_POST['time'];

    $result2 = $wpdb->get_results("SELECT * FROM h_time WHERE session_id = '$session'", ARRAY_A);

    if (!$result2) {

        $insert = $wpdb->insert("h_time", array('session_id' => $session, 'time_spend' => $time));
    } else {

        $insert = $wpdb->query("UPDATE h_time SET time_spend = '$time' WHERE session_id = '$session'");
    }

    $result2 = $wpdb->get_results("SELECT * FROM h_movement WHERE session_id = '$session'", ARRAY_A);

    $result1 = $wpdb->query("UPDATE `h_page` SET `scroll` = '$scroll' WHERE `session_id`=$session");
    if (!$result2) {

        $result3 = $wpdb->insert('h_movement', array('json' => $json, 'session_id' => $session));
    } else {

        $result3 = $wpdb->query("UPDATE `h_movement` SET `json` ='$json' WHERE `session_id` = '$session'");
    }

    echo $result3;

    wp_die();
}

function envo_user()
{
    global $wpdb;

    $ua = $_SERVER['HTTP_USER_AGENT'];

    $parser = new UAParser;
    $result = $parser->parse($ua);

    $ip = $_SERVER['REMOTE_ADDR'];
    $freegeoipjson = file_get_contents("http://www.geoplugin.net/json.gp?ip=" . $ip);
    $jsondata = json_decode($freegeoipjson);

    $country = isset($jsondata->geoplugin_countryName) ? $jsondata->geoplugin_countryName : '';
    $city = isset($jsondata->geoplugin_city) ? $jsondata->geoplugin_city : '';

    $url = isset($_POST['url']) ? $_POST['url'] : '';
    $width = isset($_POST['width']) ? $_POST['width'] : '';
    $height = isset($_POST['height']) ? $_POST['height'] : '';

    $time = date("Y-m-d H:i:s");
    $session = rand(1000, 100000);
    $os = isset($result->os->family) ? $result->os->family : '';
    $referrer = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '';

    if (empty($city)) {
        $city = "";
        $country = "";
    }

    $user = get_current_user_id();

    if ($user == 0) {
        $user = isset($_POST['user']) ? $_POST['user'] : '';
    }

    if (!strpos($url, "?heatmap=true")) {
        $page_info = $wpdb->insert("h_page", array(
            'url' => $url,
            'view_date' => $time,
            'user_id' => $user,
            'session_id' => $session,
            'page_width' => $width,
            'page_height' => $height
        ));

        $select = $wpdb->get_results("SELECT * FROM h_user WHERE user_id = '$user'");

        if (!$select) {
            $refereral_link = isset($_POST['refereral_link']) ? $_POST['refereral_link'] : '';
            $result = $wpdb->insert("h_user", array(
                'user_id' => $user,
                'city' => $city,
                'country' => $country,
                'ip_adress' => $ip,
                'browser' => isset($result->ua->family) ? $result->ua->family : '',
                'os' => $os,
                'reffer' => $referrer,
                'register_date' => date('Y-m-d H:i:s'),
                'refereral_link' => $refereral_link
            ));

            // Check the result and handle accordingly
            if ($result) {
                //  echo "insert";
            } else {
                // echo "false";
            }
        } else {
            // echo "exist";
        }
    }

    echo $session;

    wp_die();
}




function envo_event_happened()
{
    global $wpdb;

    $href = sanitize_text_field($_POST['href']);
    $x = intval($_POST['x']);
    $y = intval($_POST['y']);
    $width = intval($_POST['width']);
    $height = intval($_POST['height']);
    $time = current_time('mysql');
    $user = get_current_user_id();

    if ($user == 0) {
        $user = intval($_POST['user']);
    }

    
    $duplicate_click = $wpdb->get_var(
        $wpdb->prepare(
            "SELECT COUNT(user_id) FROM h_event WHERE user_id = %d AND pageX = %d AND pageY = %d",
            $user,
            $x,
            $y
        )
    );

    if (!strpos($href, "?heatmap=true") && $duplicate_click == 0) {
        $result = $wpdb->insert(
            "h_event",
            array(
                'url'         => $href,
                'pageX'       => $x,
                'pageY'       => $y,
                'user_id'     => $user,
                'time'        => $time,
                'page_width'  => $width,
                'page_height' => $height,
            ),
            array('%s', '%d', '%d', '%d', '%s', '%d', '%d')
        );

        if ($result) {
            echo "success";
        } else {
            echo "not inserted";
        }
    }

    wp_die();
}


//added by happy
// Implementing the features based on the settings
add_action('wp_login', 'maybe_trigger_voice_callback_on_login', 10, 2);
add_action('woocommerce_add_to_cart', 'maybe_trigger_voice_callback_on_cart', 10, 1);
add_action('woocommerce_order_status_completed', 'maybe_trigger_voice_callback_on_order', 10, 1);
add_filter('login_redirect', 'envo_custom_login_redirect', 10, 3);

function maybe_trigger_voice_callback_on_login($user_login, $user) {
   
    $enabled = get_option('voice_callback_enable_login', '0');
    if ($enabled === '1') {
       
        envo_play_login_sound();
    }
}

function maybe_trigger_voice_callback_on_cart($cart_item_key) {
    $enabled = get_option('voice_callback_enable_cart', '0');
    if ($enabled === '1') {
        echo '
    <script type="text/javascript">
        var audio = new Audio("' . plugins_url('assets/audio/envo_add_cart.mp3', __FILE__) . '");
        audio.play();
    </script>';
    }
}

function maybe_trigger_voice_callback_on_order($order_id) {
    $enabled = get_option('voice_callback_enable_order', '0');
    if ($enabled === '1') {
        // Place your voice callback logic here for order success
    }
}

function envo_custom_login_redirect($redirect_to, $requested_redirect_to, $user){
    $url = add_query_arg( array(
        'playLogin' => '1',
    ), $redirect_to );
return $url;
}
add_action('init', 'envo_play_login_sound');
function envo_play_login_sound() {
    if ( strpos( $_SERVER['REQUEST_URI'], 'playLogin' ) !== false ) {
        echo '
    <script type="text/javascript">
        var audio = new Audio("' . plugins_url('assets/audio/envo_login.mp3', __FILE__) . '");
        audio.play();
    </script>';
    } else {
        // The URL does not contain 'playLogin'
    }
   
}